<?php


	/////////////////////////////////////////////
	///// ADDS OUR USER ROLE
	/////////////////////////////////////////////
	
	//// INCLUDES OUR PAYPAL CLASS
	include('paypal.php');
	include('paypal-send.php');
	
	//// IF ROLE DOESN'T ALREADY ESITS
	$role = get_role('agent'); 
	if(!$role) {
		
		//// LET'S CREATE OUR NEW ROLE
		add_role('agent', __('Agent', 'btoa'), array(
		
			//// ADDS OUR CAPABILITIES
			
			///// USER CAN ADD PROPERTIES - WE VERIFY IF HE CAN ACTUALLY ADD BASED ON HIS PACKAGES LATER
			'edit_property' => true,
			'edit_properties' => true,
			'read_property' => true,
			'delete_properties' => true,
			'upload_files' => true,
			'read' => true,
			'assign_suburbs' => true,
			'assign_property_types' => true,
			'assign_custom_fields' => true,
		
		));
		
		$admin = get_role('administrator');
		$admin->add_cap('edit_properties');
		$admin->add_cap('edit_others_properties');
		$admin->add_cap('delete_properties');
		$admin->add_cap('delete_others_properties');
		$admin->add_cap('read_private_properties');
		$admin->add_cap('delete_property');
		$admin->add_cap('publish_property');
		$admin->add_cap('assign_suburbs');
		$admin->add_cap('assign_property_types');
		$admin->add_cap('assign_custom_fields');
		$admin->add_cap('manage_suburbs');
		$admin->add_cap('manage_property_types');
		$admin->add_cap('manage_custom_fields');
		
	}
	
	//// LETS AGENT SEE HIS POSTS ONLY
	function posts_for_current_author($query) {
		
		global $pagenow;
		
		//// IF USER IS AN AGENT
		if(is_user_agent() && $pagenow != 'profile.php') {
			
			global $user_ID;
			$query->set('author',  $user_ID);
			return $query;
			
		}
	}
	
	if(is_admin()) { add_action('pre_get_posts', 'posts_for_current_author'); }
	
	//// ADDS CUSTOM FIELDS TO OUR AGENTS PROFILE
	function add_custom_fields_agents( $user ) {
	?>
		<h3><?php _e('Other Information', 'btoa'); ?></h3>
		
		<table class="form-table">
			<tr>
				<th>
					<label for="address"><?php _e('Agent\'s Phone', 'btoa'); ?>
				</label></th>
				<td>
					<input type="text" name="phone" id="phone" value="<?php echo esc_attr( get_the_author_meta( 'phone', $user->ID ) ); ?>" class="regular-text" /><br />
					<span class="description"><?php _e('Please enter your contact number.', 'btoa'); ?></span>
				</td>
			</tr>
			<tr>
				<th>
					<label for="position"><?php _e('Agent\'s Position or Company Name', 'btoa'); ?>
				</label></th>
				<td>
					<input type="text" name="position" id="position" value="<?php echo esc_attr( get_the_author_meta( 'position', $user->ID ) ); ?>" class="regular-text" /><br />
					<span class="description"><?php _e('Please enter your real estate agency name or your staff position (ie Property Manager).', 'btoa'); ?></span>
				</td>
			</tr>
		</table>
        
        <br /><br />
		<h3><?php _e('Package Information', 'btoa'); ?></h3>
		
		<table class="form-table">
			<tr>
				<th>
					<label for="address"><?php _e('Current Package', 'btoa'); ?>
				</label></th>
				<td>
					<p><?php
					
					$package = get_post(get_the_author_meta('package', $user->ID));
					echo sprintf2(__('Your current package is %package. You can still submit up to %property_number properties until you need a new package.', 'btoa'), array(

						'property_number' => get_the_author_meta( 'package_count', $user->ID ),
						'package' => $package->post_title,

					)); ?></p>
				</td>
			</tr>
			<tr>
				<th>
					<label for="position"><?php _e('Purchase new package', 'btoa'); ?>
				</label></th>
				<td>
                	<select id="purchase-package-id">
                    
                    	<?php
						
							//// GETS PACKAGES
							$args = array(
							
								'post_type' => 'package',
								'posts_per_page' => -1,
							
							);
							
							$packagesQ = new WP_Query($args);
							
							while($packagesQ->have_posts()) : $packagesQ->the_post();
						
						?>
                        
                        	<option value="<?php the_ID(); ?>"<?php if(get_the_author_meta('package', $user->ID) == get_the_ID()) { echo 'selected="selected"'; } ?>><?php the_title(); ?></option>
                        
                        <?php endwhile; ?>
                    
                    </select><input id="purchase-package" type="button" class="button" value="<?php _e('Purchase Package', 'btoa'); ?>" style="margin-left: 10px; display: inline-block;" /><br /><br />
					<span class="description"><?php _e('Select your new package and click submit.', 'btoa'); ?></span>
                    
                    <script type="text/javascript">
					
						jQuery(document).ready(function() {
							
							jQuery('#purchase-package').click(function() {
								
								var c = confirm('<?php _e('Are you sure you want to purchase this package? Purchasing this package will override your current package and any submissions left will be overriden.', 'btoa'); ?>');
								
								if(c==true) {
									
									jQuery(this).attr('disabled', 'disabled');
									
									jQuery.ajax({
										
										url: 				ajaxurl,
										type: 				'post',
										dataType: 			'json',
										data: {
											
											action: 		'signUpPackage',
											nonce_logged: 	'true',
											username: 		'<?php echo $user->ID; ?>',
											logged_in: 		'true',
											package: 		jQuery('#purchase-package-id option:selected').val()
											
										},
										success: function(data) {
											//// IF BASIC
											if(data == 'done') {
												
												jQuery('#purchase-package').after('<br><br><?php _e('Package Updated.', 'btoa'); ?>');
												
											} else if(data.redirect) {
												
												jQuery('#purchase-package').val('<?php _e('Redirecting', 'btoa'); ?>');
												window.location = data.redirect;
												
											}
											
										}
										
									})
									
								}
								
							});
							
						});
					
					</script>
                    
                    
				</td>
			</tr>
		</table>
        
        
        
        <?php if(current_user_can('activate_plugins')) : ?>
        <h3><?php _e('Admin Fields', 'btoa'); ?></h3>
        
        <table class="form-table">
			<tr>
				<th><label for="package"><?php _e('Current Package', 'btoa'); ?></label></th>
                
				<td>
                	<select class="widefat" name="package" id="package">
                    
                    	<option value="0"<?php if(get_the_author_meta('package', $user->ID) == 0) { echo 'selected="selected"'; } ?>><?php _e('Select a package', 'btoa'); ?></option>
                    
                    	<?php
						
							//// GETS PACKAGES
							$args = array(
							
								'post_type' => 'package',
								'posts_per_page' => -1,
							
							);
							
							$packagesQ = new WP_Query($args);
							
							while($packagesQ->have_posts()) : $packagesQ->the_post();
						
						?>
                        
                        	<option value="<?php the_ID(); ?>"<?php if(get_the_author_meta('package', $user->ID) == get_the_ID()) { echo 'selected="selected"'; } ?>><?php the_title(); ?></option>
                        
                        <?php endwhile; ?>
                    
                    </select><br />
					<span class="description"><?php _e('Current package user has - Only admins can see this', 'btoa'); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="package_count"><?php _e('Properties Left in Package', 'btoa'); ?></label></th>
                
				<td><input type="text" name="package_count" id="package_count" value="<?php echo esc_attr( get_the_author_meta( 'package_count', $user->ID ) ); ?>" class="regular-text" /><br />
					<span class="description"><?php _e('Number of submissions left in his package - Blank for unlimited - zero to not let him add any more', 'btoa'); ?></span>
				</td>
			</tr>
        </table>
        
        <?php endif; ?>
        
        
        
        
        
	<?php }
	 
	function save_custom_fields_agent( $user_id ) {
		
		if ( !current_user_can( 'edit_user', $user_id ) )
			return FALSE;
			
		//// IF ADMIN SAVE ADMIN FIELDS
		if(current_user_can('activate_plugins')) {
			
			update_user_meta( $user_id, 'package', $_POST['package'] );
			update_user_meta( $user_id, 'package_count', $_POST['package_count'] );
			
		}
		
		update_user_meta( $user_id, 'phone', $_POST['phone'] );
		update_user_meta( $user_id, 'position', $_POST['position'] );
		
	}
	 
	add_action( 'show_user_profile', 'add_custom_fields_agents' );
	add_action( 'edit_user_profile', 'add_custom_fields_agents' );
	 
	add_action( 'personal_options_update', 'save_custom_fields_agent' );
	add_action( 'edit_user_profile_update', 'save_custom_fields_agent' );
	
	
	
	
	//////////////////////////////////////////////////
	//// ONLY LET USER ADD PROPERTIES IF HE HAS ENOUGH
	//// PROPERTIES IN HIS ACCOUNT LEFT IN HIS PACKAGE
	//// ----
	//// ONLY LET USER EDIT IF HIS PACKAGE ALLOWS HIM 
	//////////////////////////////////////////////////
	
	add_action('init', 'check_if_user_can_add_property');
	
	function check_if_user_can_add_property() {
		
		global $pagenow;
		
		//// IF ADMIN
		if(is_admin() && $pagenow == 'post-new.php') {
			
			//// IF AN AGENT
			if(is_user_agent()) {
				
				$current_user = wp_get_current_user();
				$package = get_the_author_meta('package', $current_user->ID);
				
				//// CHECKS TO SEE IF HE HAS A PACKAGE AT ALL
				if($package == 0) { wp_die(sprintf(__('Oops! Seems like you do not have a package!<br>Please go back and sign up for a new package from your profile page.<br><br><a href="%s">&larr; Back to profile page</a>', 'btoa'), admin_url( 'profile.php' ))); }
				
				//// GETS OUR USER AND CHECKS IF HE IS ABLE TO POST PROPERTIES
				$package = get_the_author_meta('package_count', $current_user->ID);
				
				//// IF OUR PACKAGE IS ZERO DIE ON HIM
				if($package == 'zero') { wp_die(sprintf(__('Oops! Looks like you have run out of properties in your package. Please go back and purchase a new package from your profile page.<br><br><a href="%s">&larr; Back to profile page</a>', 'btoa'), admin_url( 'profile.php' ))); }
				
			}
		
		}
		
		if(is_admin() && $pagenow == 'post.php') {
			
			/// IF AGENT
			if(is_user_agent()) {
			
				//// IF EDITING AND NOT ADDING A NEW ONE
				if(isset($_POST['original_publish'])) {
					
						if($_POST['original_publish']  == 'Update') {
						
						$current_user = wp_get_current_user();
					
						//// IF USER CAN EDIT PROPERTY
						$error = false;
						$the_package_id = get_the_author_meta('package', $current_user->ID);
						if($the_package_id === 0) { $error = true; } else {
							
							//// GETS THE PACKAGE
							if($this_package = get_post($the_package_id)) {
								
								//// CHECKS TO SEE IF USER CAN EDIT POST
								$can_user_edit = get_post_meta($this_package->ID, 'allow_edit', true);
								if($can_user_edit == 'on') { $error = false; }
								else { $error = true; }
								
								
							} else { $error = true; }
							
						}
						
						//// IF USER CAN NOT EDIT PROPERTY
						if($error == true) { wp_die(__('Oops, your current package does not allow you to edit properties. Please upgrade your package or contact the site administrator.', 'btoa')); }
					
					}
					
				}
			
			}
			
		}
		
	}
	
	
	
	
	//////////////////////////////////////////////////
	//// WHEN USER SUBMITS A PROPERTY, MAKE SURE WE
	//// DECREASE ONE PROPERTY FROM HIS ACCOUNT
	//// ALSO EMAIL THE SITE ADMINISTRATOR TO ADVISE
	//// OF A NEW PROPERTY SUBMISSION
	//// ------
	//// ALSO CHECKS IF A USER IS ABLE TO EDIT PROPERTY
	//////////////////////////////////////////////////
	
	add_action('save_post', 'update_agent_property_count');
	
	function update_agent_property_count($post_id) {
		
		//// MAKE SURE WE ARE AN AGENT
		if(is_user_agent()) {
			
			$current_user = wp_get_current_user();
		
			//// CHECK IF IT'S AN AUTOSAVE
			if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
			
			//// CHECK IF WE ARE ACTUALLY SAVING THIS POST
			if(!$_POST['post_type']) { return $post_id; }
			
			//// IF IT'S NOT AN EDIT
			if(isset($_POST['original_post_status'])) { if($_POST['original_post_status'] == 'pending' || $_POST['original_post_status'] == 'publish') { return $post_id; } }
				
			//// GETS OUR USER AND CHECKS IF HE IS ABLE TO POST PROPERTIES
			$package = get_the_author_meta('package_count', $current_user->ID);
				
			//// IF OUR PACKAGE IS ZERO DIE ON HIM
			if($package == 'zero') { wp_die(sprintf(__('Oops! Looks like you have run out of properties in your package. Please go back and purchase a new package from your profile page.<br><br><a href="%s">&larr; Back to profile page</a>', 'btoa'), admin_url( 'profile.php' ))); }
			
			//// IF HE DOES HAVE ENOUGH PROPERTIES, DECREASE ONE
			if(is_numeric($package)) {
				
				//// IF ONE PUT TOO ZERO
				if($package > 1) { $new_package = $package-1; }
				else { $new_package = 'zero'; }
				
				//// UPDATES HIS META
				update_user_meta( $current_user->ID, 'package_count', $new_package );
				
			}
			
			//// NOW THAT WE HAVE SUBMITTED FOR REVIEW, SEND SITE ADMIN AN EMAIL
			send_admin_post_review($post_id, $current_user);
			
		} else {
			
			//// IF WE ARE AN ADMIN PUBLISHING THE POST
			if(isset($_POST['post_status']) && isset($_POST['original_post_status'])) {
				
				if($_POST['post_status'] == 'publish' && $_POST['original_post_status'] == 'pending') {
					
					send_agent_post_publish($post_id, $current_user, $_POST['post_title']);
					
				}
				
			}
			
		}
		
	}
	
	//// DISABLES AUTO SAVE FOR AGENTS
	add_action( 'admin_init', 'disable_autosave' );
	function disable_autosave() {
			if(is_user_agent()) { wp_deregister_script( 'autosave' ); }
	}
	
	//// MAKES SURE AGENTS CAN'T SEE MENUS SUCH AS ALL AND TRASH
	add_filter('views_edit-property', 'disable_subsubsub_menu', 10, 1);
	function disable_subsubsub_menu($views) { if(is_user_agent()) { return false; } }
	
	//// DISABLES MEDIA PAGE FOR AGENT
	add_action('admin_menu', 'disable_media_page_agent');
	function disable_media_page_agent() { if(is_user_agent()) { remove_menu_page('upload.php'); } }
	
	
	
	
	//////////////////////////////////////////////////
	//// LIMITS THE NUMBER OF IMAGES PER POST
	//// BASED ON AGENT'S PACKAGE
	//////////////////////////////////////////////////
	
	add_filter('wp_handle_upload_prefilter', 'limit_agents_upload');
	
	function limit_agents_upload($file) {
		
		//// IF AGENT
		if(is_user_agent()) {
			
			//// GETS HIS PACKAGE
			$current_user = wp_get_current_user();
			$package_id = get_the_author_meta('package', $current_user->ID);
			
			//// GETS PACKAGE POST
			$package = get_post($package_id);
			
			//// GETS FIELD OF HIS PACKAGE
			$upload_count = get_post_meta($package->ID, 'images', true);
			
			//// FLASH UPLOADER
			if($file['type'] == 'application/octet-stream' && isset($file['tmp_name'])) {
				
			  $file_size = getimagesize($file['tmp_name']);
			  
			  if(isset($file_size['error']) && $file_size['error']!=0) {
				  
				$file['error'] = "Unexpected Error: {$file_size['error']}";
				
				return $file;
				
			  } else {
				  
				$file['type'] = $file_size['mime'];
				
			  }
			  
			}
			
			list($category,$type) = explode('/',$file['type']);
			
			//// IF NOT AN IMAGE
  			if('image'!=$category || !in_array($type,array('jpg','jpeg','gif','png'))) {
    
				$file['error'] = "Sorry, you can only upload a .GIF, a .JPG, or a .PNG image file.";
  
  			} else if ($post_id = (isset($_REQUEST['post_id']) ? $_REQUEST['post_id'] : false)) {
    
			//// IF MOR ETHAN WE HAVE UPLOADED
			if (count(get_posts("post_type=attachment&post_parent={$post_id}")) > ($upload_count-1))
      		
				$file['error'] = sprintf2(__("Sorry, you cannot upload more than (%upload_count) image(s).", "btoa"), array(
				
					'upload_count' => $upload_count,
				
				));
 			
			}
			
			//// RETURN FILE IF ALL GOOD
			return $file;
			
		} else { return $file; }
		
	}
	
	///// REMOVES EXCERPT FROM AGENT VIEW
	add_action( 'admin_menu', 'remove_excerpt_agent' );
	function remove_excerpt_agent() {
		
		if(is_user_agent()) {
			
			remove_meta_box('postcustom', 'property', 'normal');
			remove_meta_box('postexcerpt', 'property', 'normal');
			remove_meta_box('slugdiv', 'property', 'normal');
			
		}
		
	}
	
	//// THIS FUNCTIONS SENDS THE ADMIN AN EMAIL WHEN A PROPERTY IS SUBMITTED
	function send_admin_post_review($post_id, $user) {
		
		$property_link = get_permalink($post_id);
		
		$message = sprintf2(__('A new property has been submitted on %blog_name by %user.
		
Please review it and publish it.

Link: %property_link', 'btoa'), array(
		
			'blog_name' => get_bloginfo('name'),
			'user' => $user->display_name,
			'property_link' => $property_link,
			
		));
		$subject = sprintf(__('Property submission at %s', 'btoa'), get_bloginfo('name'));
		$headers = 'From: '.$user->display_name.' <'.$user->user_email.'>';
		
		//// SENDS EMAIL
		wp_mail(get_bloginfo('admin_email'), $subject, $message, $headers);
		
	}
	
	function send_agent_post_publish($post_id, $user, $title) {
		
		$post = get_post($post_id);
		$user = get_user_by('id', $post->post_author);
		
		$message = sprintf2(__('Dear %user, this email is to inform that your property %property_title has been published.
		
You can view your property at %property_link', 'btoa'), array(
		
			'user' => $user->display_name,
			'property_title' => $title,
			'property_link' => get_permalink($post_id)
			
		));
		$subject = sprintf(__('Your property %s has been published', 'btoa'), $title);
		$headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
		
		//// SENDS EMAIL
		wp_mail($user->user_email, $subject, $message, $headers);
		
	}
	
	
	
	
	////////////////////////////////
	//// FRONT END LOGIN
	////////////////////////////////
	
	add_action('wp_ajax_verifyAgentLogin', 'verifyAgentLogin_function');
	add_action('wp_ajax_nopriv_verifyAgentLogin', 'verifyAgentLogin_function');
	
	function verifyAgentLogin_function() {
		
		$return = array();
		$return['error'] = false;
		$return['error_msg'] = '';
		
		// VERIFY NONCE
		$nonce = isset($_POST['nonce']) ? trim($_POST['nonce']) : '';
		if(!wp_verify_nonce($nonce, 'agent-login-nonce'))
			die('Busted!');
			
		//// CHECKS IF USER AND PASS ARE FILLED
		$username = isset($_POST['username']) ? trim($_POST['username']) : '';
		$pass = isset($_POST['password']) ? $_POST['password'] : '';
		if($username == '') { $return['error'] = true; $return['error_msg'] .= __('Please type in your username<br>', 'btoa'); }
		if($pass == '') { $return['error'] = true; $return['error_msg'] .= __('Please type in your password<br>', 'btoa'); }
		
		//// IF NO ERRORS GO THROUGH
		if($return['error'] == false) {
			
			/// CHECKS COMBINATION
			$user = get_user_by('login', $username);
			if($user) {
				
				//// CHECKS PASSWORD
				$password_results = wp_check_password($pass, $user->user_pass, $user->ID);
				
				if(!$password_results) { $return['error'] = true; $return['error_msg'] .= __('Login combination incorrect.', 'btoa'); } else {
					
					wp_signon(array(
					
						'user_login' => $username,
						'user_password' => $pass,
						'remember' => false,
					
					), false);
					
					$return['url'] = admin_url('profile.php');
					$return['message'] = __('Success! Redirecting you now...', 'btoa');
					
				}
				
			} else { $return['error'] = true; $return['error_msg'] .= __('Login combination incorrect.', 'btoa'); }
			
		}
		
		echo json_encode($return);
		
		exit;
		
	}
	
	
	
	
	////////////////////////////////
	//// FRONT END REGISTERING
	////////////////////////////////
	
	add_action('wp_ajax_registerThisAgent', 'registerThisAgent_function');
	add_action('wp_ajax_nopriv_registerThisAgent', 'registerThisAgent_function');
	add_action('wp_ajax_signUpPackage', 'registerThisAgent_function');
	add_action('wp_ajax_nopriv_signUpPackage', 'registerThisAgent_function');
	
	function registerThisAgent_function() {
		
		$return = array();
		$return['error'] = false;
		$return['error_msg'] = '';
		$return['redirect'] = '';
		
		// VERIFY NONCE
		/// IF WE USED THE TOP NONCE
		if(isset($_POST['nonce'])) {
			$nonce = isset($_POST['nonce']) ? trim($_POST['nonce']) : '';
			if(!wp_verify_nonce($nonce, 'agent-register-nonce'))
				die('Busted!');
		}
		
		
		/// IF WE USED THE SHORTCODE NONCE
		if(isset($_POST['package_nonce'])) {
			$nonce = isset($_POST['package_nonce']) ? trim($_POST['package_nonce']) : '';
			if(!wp_verify_nonce($nonce, 'package-sign-up-nonce'))
				die('Busted!');
		}
		
		//// IF USER IS NOT LOGGED IN
		if(!isset($_POST['logged_in'])) {
			
			//// CHECKS IF USER AND EMAIL ARE FILLED
			$username = isset($_POST['username']) ? trim($_POST['username']) : '';
			$email = isset($_POST['email']) ? $_POST['email'] : '';
			if($username == '') { $return['error'] = true; $return['error_msg'] .= __('Please type in your username<br>', 'btoa'); }
			if($email == '') { $return['error'] = true; $return['error_msg'] .= __('Please type in your email<br>', 'btoa'); }
			if(!is_email($email)) { $return['error'] = true; $return['error_msg'] .= __('Please type in a valid email<br>', 'btoa'); }
			
			//// MAKES SURE THE USERNAME AND EMAIL AREN'T ALREADY REGISTERED
			$user = get_user_by('login', $username);
			if($user) { $return['error'] = true; $return['error_msg'] .= __('Username is already taken<br>', 'btoa'); }
			$user = get_user_by('email', $email);
			if($user) { $return['error'] = true; $return['error_msg'] .= __('Email is already in use<br>', 'btoa'); }
			if(!validate_username($username)) { $return['error'] = true; $return['error_msg'] .= __('Username is invalid<br>', 'btoa'); }
		
		}
		
		
		//// IF ALL WENT GOOD
		if(!$return['error']) {
			
			/// CHECKS PACKAGE CHOSEN - IF FREE REGISTERS USER RIGHT AWAY
			$package = $_POST['package'];
			if($the_package = get_post($package)) {
				
				//// CHECKS PACKAGE PRICE
				$price = get_post_meta($the_package->ID, 'price', true);
				
				//// GETS COUNT
				$count = get_post_meta($the_package->ID, 'count', true);
				
				//// FREE REGISTER USER
				if($price == 0 || $price == '') {
					
					//// IF USER IS NOT LOGGED IN
					if(!isset($_POST['logged_in'])) {
					
						//// REGISTERS USER
						$password = wp_generate_password( 12, false );
						$user_id = wp_create_user($username, $password, $email);
					  
						// Set the role
						$user = new WP_User( $user_id );
						$user->set_role( 'agent' );
					
					} else { $user_id = $_POST['username']; }
					
					/// SET THE PACKAGE AND THE COUNT
					update_user_meta($user_id, 'package', $package);
					update_user_meta($user_id, 'package_count', $count);
				  
					// Email the user
					$message = sprintf2(__('Welcome to %blog_name,
					
Here is your login information
user: %user
password: %password

Do not forget to fill out your details on your profile page.', 'btoa'), array(
						
						'blog_name' => get_bloginfo('name'),
						'password' => $password,
						'user' => $username
					
					));
					$subject = sprintf(__('Your %s credentials', 'btoa'), get_bloginfo('name'));
					$headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
					
					//// IF USER IS ALREADY LOGGED IN CHANGE EMAIL
					if(isset($_POST['logged_in'])) {
				  
						// Email the user
						$message = sprintf2(__('Dear %user,
						
Your new package is %package.', 'btoa'), array(
							
							'package' => $the_package->post_title
						
						));
						$subject = __('Package Updated', 'btoa');
						$headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
					
						wp_mail($email, $subject, $message, $headers);
						
						echo json_encode('done'); exit;
						
					}
					
					wp_mail($email, $subject, $message, $headers);
					
					$return['message'] = __('All done! Check your email inbox for your password.', 'btoa'); 
					
				}
				else {
					
					//// LET'S DO A CALL ON THE PAYPAL API
					//// GETS CREDENTIALS
					$credentials = array(
					
						'USER' => ddp('paypal_user'),
						'PWD' => ddp('paypal_password'),
						'SIGNATURE' => ddp('paypal_signature'),
					
					);
					
					//// IF CREDENTIALS ARE NOT EMPTY
					if($credentials['USER'] != '' && $credentials['PWD'] != '' && $credentials['SIGNATURE'] != '') {
						
						if(ddp('paypal_sandbox') == 'on') { $PayPalMode         = 'sandbox'; }
						else { $PayPalMode         = 'live'; } // sandbox or live
						$PayPalApiUsername  = ddp('paypal_user'); //PayPal API Username
						$PayPalApiPassword  = ddp('paypal_password'); //Paypal API password
						$PayPalApiSignature     = ddp('paypal_signature'); //Paypal API Signature
						$PayPalCurrencyCode     = ddp('paypal_currency'); //Paypal Currency Code
						$PayPalReturnURL    = home_url(); //Point to process.php page
						$PayPalCancelURL    = home_url(); //Cancel URL if user clicks cancel
						
						
						$ItemName = ddp('paypal_name').' - '.$the_package->post_title; //Item Name
						$ItemPrice = $price; //Item Price
						$ItemQty = 1; // Item Quantity
						$ItemTotalPrice = ($ItemPrice*$ItemQty); //(Item Price x Quantity = Total) Get total amount of product;
						
						/// IF USER IS NOT ALREADY LOGGED IN
						if(!isset($_POST['logged_in'])) {
						
							$custom_paypal_data = serialize(array(
							
								'e' => $email,
								'u' => $username,
								'p' => $package,
							
							));
						
						} else { $custom_paypal_data = serialize(array('p' => $package)); $the_user = get_user_by('id', $_POST['username']); $username = $the_user->display_name;  }
						
						//// IF LOGGED IN
					
						//Data to be sent to paypal
						$padata =   '&CURRENCYCODE='.urlencode($PayPalCurrencyCode).
									'&PAYMENTACTION=Sale'.
									'&ALLOWNOTE=1'.
									'&PAYMENTREQUEST_0_CURRENCYCODE='.urlencode($PayPalCurrencyCode).
									'&PAYMENTREQUEST_0_AMT='.urlencode($ItemTotalPrice).
									'&PAYMENTREQUEST_0_ITEMAMT='.urlencode($ItemTotalPrice).
									'&L_PAYMENTREQUEST_0_QTY0='. urlencode($ItemQty).
									'&L_PAYMENTREQUEST_0_AMT0='.urlencode($ItemPrice).
									'&L_PAYMENTREQUEST_0_NAME0='.urlencode($ItemName).
									'&L_PAYMENTREQUEST_0_DESC0='.urlencode('user - '.$username).
									'&PAYMENTREQUEST_0_CUSTOM='.urlencode($custom_paypal_data).
									'&AMT='.urlencode($ItemTotalPrice).
									'&RETURNURL='.urlencode($PayPalReturnURL ).
									'&RETURNURL='.urlencode($PayPalReturnURL ).
									'&CANCELURL='.urlencode($PayPalCancelURL);
					
							//We need to execute the "SetExpressCheckOut" method to obtain paypal token
							$paypal= new MyPayPal();
							$httpParsedResponseAr = $paypal->PPHttpPost('SetExpressCheckout', $padata, $PayPalApiUsername, $PayPalApiPassword, $PayPalApiSignature, $PayPalMode);
					
							//Respond according to message we receive from Paypal
							if("SUCCESS" == strtoupper($httpParsedResponseAr["ACK"]) || "SUCCESSWITHWARNING" == strtoupper($httpParsedResponseAr["ACK"]))
							{
					
									if($PayPalMode=='sandbox')
									{
										$paypalmode     =   '.sandbox';
									}
									else
									{
										$paypalmode     =   '';
									}
									//Redirect user to PayPal store with Token received.
									$return['redirect'] ='https://www'.$paypalmode.'.paypal.com/cgi-bin/webscr?cmd=_express-checkout&token='.$httpParsedResponseAr["TOKEN"].'';
									$return['message'] = __('Redirecting to paypal...', 'btoa');
					
							} else {
								
								//// CAN'T PROCESS THE TRANSACTION
								$return['error'] = true; $return['error_msg'] .= __('Cannot process payments right now. Contact Side Administrator - error code 12.<br>', 'btoa');
							
							}
						
						
					} else { $return['error'] = true; $return['error_msg'] .= __('Cannot process payments right now. Contact Side Administrator - error code 10.<br>', 'btoa'); }
					
				}
				
			} else {
				
				$return['error'] = true; $return['error_msg'] .= __('Package non-existent. Please contact the site administrator.<br>', 'btoa');
				
			}
			
		}
		
		
		echo json_encode($return);
		
		exit;
		
	}
	
	
	
	///////////////////////////////////////////////////////
	//// IN THIS FUNCTION WE CHECK FOR A TOKEN AND MAKE SURE
	///// ITS A SUCCESSFULL ONE
	///////////////////////////////////////////////////////
	
	add_action('get_template_part_includes/header/top-bar', 'check_for_paypal_payment');
	
	function check_for_paypal_payment() {
		
		//// IF OUR TOKEN AND PAYERID ARE SET
		if(isset($_GET['token']) && !empty($_GET['token'])) {
			
			//// LET"S GET CHECKOUT INFO
			$paypal = new Paypal();
			$paypal->set_credentials(ddp('paypal_user'), ddp('paypal_password'), ddp('paypal_signature'));
			
			/// ENDPOINT
			if(ddp('paypal_sandbox') == 'on') { $endPoint = 'sandbox'; }
			else { $endPoint = 'live'; }
			
			//// GETS CHECKOUT DETAILS
			$checkoutDetails = $paypal -> request('GetExpressCheckoutDetails', array('TOKEN' => $_GET['token']), $endPoint);
			
			//// PROCESSES IT
		   $requestParams = array(
			   'TOKEN' => $_GET['token'],
			   'PAYMENTACTION' => 'Sale',
			   'PAYERID' => $_GET['PayerID'],
			   'PAYMENTREQUEST_0_AMT' => $checkoutDetails['AMT'], // Same amount as in the original request
			   'PAYMENTREQUEST_0_CURRENCYCODE' => $checkoutDetails['CURRENCYCODE'], // Same currency as the original request
			   'PAYMENTREQUEST_0_CUSTOM' => $checkoutDetails['PAYMENTREQUEST_0_CUSTOM'],
		   );
		   
		   $response = $paypal -> request('DoExpressCheckoutPayment', $requestParams, $endPoint);
		   if( is_array($response) && $response['ACK'] == 'Success') { // Payment successful 
		   
		   	  ///USER DETAILS
		   	  $user_info = unserialize(stripslashes($checkoutDetails['PAYMENTREQUEST_0_CUSTOM']));
		   
		   	  //// IF THE USER IS ALREADY LOGEGED IN - HE IS REBUYING A PACKAGE
			  if(is_user_logged_in() && is_user_agent()) {
				  
				  //// USER ID
				  $user_ID = get_current_user_id();
				  
				  //// UPDATES HIS PACKAGE
				  update_user_meta($user_ID, 'package', $user_info['p']);
			  
				  //// GETS PACKAGE COUNT
				  $count = get_post_meta($user_info['p'], 'count', true);
				  update_user_meta($user_ID, 'package_count', $count);
			  
				  //// DSIPLAYS MESSAGE UPON SIGNING UP
				  echo '<div id="agent-success" class="signup-sucess" style="display: block;"><div class="wrapper"><span><i class="icon-ok"></i>';
				  
					_e('Your package has been updated.', 'btoa');
				  
				  echo '</span></div></div>';
				  
			  } else {
			  
				  //// LETS STORE THE USER IN THE DATABASE WITH HIS PACKAGE AND SEND HIM AN EMAIL
				  //// REGISTERS USER
				  $password = wp_generate_password( 12, false );
				  $user_id = wp_create_user($user_info['u'], $password, $user_info['e']);
				
				  // Set the role
				  $user = new WP_User( $user_id );
				  $user->set_role( 'agent' );
				  
				  /// SET THE PACKAGE AND THE COUNT
				  update_user_meta($user_id, 'package', $user_info['p']);
				  
				  //// GETS PACKAGE COUNT
				  $count = get_post_meta($user_info['p'], 'count', true);
				  update_user_meta($user_id, 'package_count', $count);
				
				  // Email the user
				  $message = sprintf2(__('Welcome to %blog_name. Here is your password: %password', 'btoa'), array(
				  
					'blog_name' =>  get_bloginfo('name'),
					'password' => $password
					
				  ));
				  $subject = sprintf(__('Your %s password', 'btoa'), get_bloginfo('name'));
				  $headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
				  
				  // EMAIL THE ADMIN
				  $message = sprintf2(__("A new agent has signed up with a paid package at %blog_name.
				  
	Transaction ID: %trans_id
	Amount Paid: %amount
	User: %user
	Email: %email
	Package: %package", "btoa"), array(
	
					'blog_name' => get_bloginfo('name'),
					'trans_id' => $response['PAYMENTINFO_0_TRANSACTIONID'],
					'amount' => $response['PAYMENTINFO_0_AMT'],
					'user' => $user_info['u'],
					'email' => $user_info['e'],
					'package' => get_the_title($user_info['p']),
	
				  ));
				  $subject = sprintf(__('New agent on %s', 'btoa'), get_bloginfo('name'));
				  $headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
				  
				  wp_mail(get_bloginfo('admin_email'), $subject, $message, $headers);
					  
				  // Email the user
				  $message = sprintf2(__('Welcome to %blog_name,
				  
	Here is your login information
	user: %user
	password: %password
	
	Do not forget to fill out your details on your profile page.', 'btoa'), array(
					  
					  'blog_name' => get_bloginfo('name'),
					  'password' => $password,
					  'user' => $user_info['u']
				  
				  ));
				  $subject = sprintf2(__('Your %blog_name password', 'btoa'), array(
				  
					'blog_name' => get_bloginfo('name'),
				  
				  ));
				  $headers = 'From: '.get_bloginfo('name').' <'.get_bloginfo('admin_email').'>';
				  
				  wp_mail($user_info['e'], $subject, $message, $headers);
				  
				  //// DSIPLAYS MESSAGE UPON SIGNING UP
				  echo '<div id="agent-success" class="signup-sucess" style="display: block;"><div class="wrapper"><span><i class="icon-mail"></i>';
				  
					_e('All done! Check your email inbox for your password.', 'btoa');
				  
				  echo '</span></div></div>';
				  
			  }
			   
		   } else {
			   
			  //// DSIPLAYS MESSAGE UPON SIGNING UP
			  echo '<div id="agent-success" class="signup-sucess" style="display: block;"><div class="wrapper"><span><i class="icon-mail"></i>';
			  
			  	_e('We could not process your payment right now. Please contact the site administrator.', 'btoa');
			  
			  echo '</span></div></div>';
			   
		   }
			
		}
		
	}
	


?>