<?php
	
	

	
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	//// PROPERTY METABOXES
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	add_action('admin_menu' ,'btoa_agent_metabox');
	add_action('save_post', 'btoa_agent_metabox_save');
	
	//// FUNCTION
	function btoa_agent_metabox() {
		
		//// ADDS METABOX
		add_meta_box('btoa_agent_metabox_meta', 'Agent Information', 'btoa_agent_metabox_create', 'agent', 'normal', 'high' );
		
	}
	
	//// CREATE THEINLINE CONTENT METABOX
	function btoa_agent_metabox_create() {
		
		//// GLOBAL $POST
		global $post;
		
		//// METABOX MARKUP
		include('meta/metaboxes.php');
		
	}
	
	//// SAVES THE INLINE CONTENT METABOX
	function btoa_agent_metabox_save($post_id) {
		
		//// GLOBAL $POST
		global $post;
		
		//// CHECK IF IT'S AN AUTOSAVE
		if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
		
		if(isset($_POST['post_type'])) {
		
			//// VERIFY PERMISSIONS
			if('page' == $_POST['post_type']) {
				 
				//// IF USER CAN'T EDIT PAGE
				if(!current_user_can('edit_page', $post_id)) { return $post_id; }
				
				//// IF USER CAN'T EDIT POST
				if(!current_user_can('edit_post', $post_id)) { return $post_id; }
				
			}
		  
		}
		
		//// FREE TO SAVE METABOX
		if(isset($_POST['email'])) { update_post_meta($post_id, 'email', htmlspecialchars($_POST['email'])); }
		if(isset($_POST['phone'])) { update_post_meta($post_id, 'phone', htmlspecialchars($_POST['phone'])); }
		if(isset($_POST['position'])) { update_post_meta($post_id, 'position', htmlspecialchars($_POST['position'])); }
		
	}
	
	

?>