<?php
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
//
//// ULTRASHARP THEME — INCLUDES/HOME/FUNCTIONS/POST_TYPE.PHP
//
//// REGISTERS OUR CUSTOM POST TYPE
//
//// REQUIRED FOR VERSION: 1.0
//
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////



	//// CREATES OUR SLIDER POST TYPE
	add_action('init', 'btoa_home_post_post_type');	
	
	//// FUNCTION TO CREATE IT
	function btoa_home_post_post_type() {
		
		
		//// LABELS
		$labels = array(
		
			'name' => __('Home Posts', 'btoa'),
			'singular_name' => __('Home Post', 'btoa'),
			'add_new' => __('Add New', 'btoa'),
			'add_new_item' => __('Add New Home Post', 'btoa'),
			'edit_item' => __('Edit Home Post', 'btoa'),
			'new_item' => __('New Home Post', 'btoa'),
			'all_items' => __('All Home Posts', 'btoa'),
			'view_item' =>__('View Home Post', 'btoa'),
			'search_items' => __('Search Home Posts', 'btoa'),
			'not_found' =>  __('No Home Posts Found', 'btoa'),
			'not_found_in_trash' => __('No Home Posts found in trash.', 'btoa'),
			'parent_item_colon' => '',
			'menu_name' => 'Home Posts'
		
		);
		  
		  
		//// ARGUMENTS
		$args = array(
		
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true, 
			'show_in_menu' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'has_archive' => true, 
			'hierarchical' => false,
			'menu_position' => null,
			'supports' => array('title', 'editor', 'custom-fields', 'thumbnail')
		  
		);
		  
		
		//// REGISTERS IT
		register_post_type('home_posts', $args);
		
	}
		
		
		
	////////////////////////////////////////////////////////////
	//// LET'S ADD HELP TO OUR SLIDE PAGE
	add_action('contextual_help', 'home_posts_add_help_text', 10, 3);
	
	function home_posts_add_help_text($contextual_help, $screen_id, $screen) {
		
		//// IF IT'S OUR SLIDE PAGE
		if ('home_posts' == $screen->id ) {
			
			//// OVERVIEW TAB
			$screen->add_help_tab(
			
				array(
				
					'id' => 'home_overview',
					'title' => 'Overview',
					'content' => '<h3>Home Posts</h3>
					
					<p>Whenever you\'re using the standard homepge of UltraSharp, your homepage will be made out of home posts. Depending on the number of home posts you have chosen to display in the DDPanel, that number of the latest home posts will show on your homepage. The beauty of homeposts is that you can add different background colors and so forth to each block of content.</p>',
				
				)
			
			);
			
			//// OVERVIEW TAB
			$screen->add_help_tab(
			
				array(
				
					'id' => 'home_basics',
					'title' => 'Basics',
					'content' => '<h3>Basics</h3>
					
					<p>By default each and every single home post need a title and that\'s it. It is highly recommended some content and a background color. There are only 2 custom fileds on home posts and the rest is made using custom shortcodes.</p>
					
					<h3>Home Post Fields</h3>
					
					<ul>
					
						<li><strong>Title</strong>: The Title of your page. It is <strong>NOT</strong> displayed in the homepage.</li>
						<li><strong>Content</strong>: What will show on the homepage</li>
						<li><strong>Background Color</strong>: The background color of your block fo content.</li>
						<li><strong>Post Shadow</strong>: The effect to show at your home post. Styling purposes only.</li>
					
					</ul>',
				
				)
			
			);
			
			//// OVERVIEW TAB
			$screen->add_help_tab(
			
				array(
				
					'id' => 'home_faw',
					'title' => 'FAQ',
					'content' => '<h3>FAQ</h3>
					
					<p><strong><big>I just published a new home post. What happened to the one that was there?</big></strong><br>
					Most likely you have to increase the number of home posts shown in your DDPanel. Go under the home section and increase the number of home posts.</p><br>
					
					<p><strong><big>How can I make my homepage like your live preview?</big></strong><br>
					The live preview homepage is entirely built with shortcodes. There a a few special shortcodes that will help you building that. To refer to some of the shortcodes, you can either view our live preview at <a href="http://btoa.ddwebstudios.net/">our live preview</a> or check out the <strong>Shortcodes</strong> tab of this guide.</p>
					<p>You are also welcome to import the dummy content that comes with your download file int owordpress so you can see exactly the code used to build each and every single page. Note that images are not included.</p><br>
					
					<p><strong><big>I don\'t understand the dropdown under the background color. What is it for?</big></strong><br>
					That will add special styling to your home posts. Such as drop shadows and custom borders. It\'s a good idea to try them all so you can see exactly how they work.</p>',
				
				)
			
			);
			
			return $contextual_help;
			
		}
		
	}


?>