<?php
	
	

	
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	//// PACKAGE METABOXES
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	add_action('admin_menu' ,'btoa_package_metabox');
	add_action('save_post', 'btoa_package_metabox_save');
	
	//// FUNCTION
	function btoa_package_metabox() {
		
		//// ADDS METABOX
		add_meta_box('btoa_package_metabox_meta', 'Package Information', 'btoa_package_metabox_create', 'package', 'normal', 'high' );
		
	}
	
	//// CREATE THEINLINE CONTENT METABOX
	function btoa_package_metabox_create() {
		
		//// GLOBAL $POST
		global $post;
		
		//// METABOX MARKUP
		include('meta/metaboxes.php');
		
	}
	
	//// SAVES THE INLINE CONTENT METABOX
	function btoa_package_metabox_save($post_id) {
		
		//// GLOBAL $POST
		global $post;
		
		//// CHECK IF IT'S AN AUTOSAVE
		if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
		
		if(isset($_POST['post_type'])) {
		
			//// VERIFY PERMISSIONS
			if('page' == $_POST['post_type']) {
				 
				//// IF USER CAN'T EDIT PAGE
				if(!current_user_can('edit_page', $post_id)) { return $post_id; }
				
				//// IF USER CAN'T EDIT POST
				if(!current_user_can('edit_post', $post_id)) { return $post_id; }
				
			}
		  
		}
		
		//// FREE TO SAVE METABOX
		update_post_meta($post_id, 'featured', htmlspecialchars($_POST['featured'])); 
		update_post_meta($post_id, 'header_bg', htmlspecialchars($_POST['header_bg'])); 
		update_post_meta($post_id, 'pin', htmlspecialchars($_POST['pin'])); 
		if(isset($_POST['count'])) { update_post_meta($post_id, 'count', htmlspecialchars($_POST['count'])); }
		if(isset($_POST['price'])) { update_post_meta($post_id, 'price', htmlspecialchars($_POST['price'])); }
		if(isset($_POST['images'])) { update_post_meta($post_id, 'images', htmlspecialchars($_POST['images'])); }
		update_post_meta($post_id, 'allow_edit', htmlspecialchars($_POST['allow_edit'])); 
		update_post_meta($post_id, 'new', htmlspecialchars($_POST['new'])); 
		update_post_meta($post_id, 'excerpt', htmlspecialchars($_POST['excerpt'])); 
		
	}
	
	

?>