<?php

	///// ADDS OUR PACKAGE SHORTCODES
	add_shortcode('featured_package', 'btoa_featured_package');
	
	//// OUR FUNCTION
	function btoa_featured_package($atts, $content = null) {
		
		//extracts our attrs . if not set set default
		extract(shortcode_atts(array(
		
			'name' => '',
			'slogan' => '',
			'price_text' => '',
		
		), $atts));
		
		///// IF WE HAVE SET A NAME AND IF IT'S ACTUALLY A PACKAGE
		if($package = get_page_by_title($name, 'OBJECT', 'package')) {
			
			/// STARTS OUT OUTPUT
			$output = '<div class="featured-package color-bg color-bg-hover" id="package-'.$package->ID.'" onclick="jQuery(this).openPackageSignUp('.$package->ID.');">';
			
			//// STARTS OUR TITLE AND SLOGAN
			$output .= '<h3>'.$package->post_title.'</h3>';
			
			//// SLOGAN
			if($slogan) { $output .= '<h5>'.$slogan.'</h5>'; }
			
			//// DIVIDER
			$output .= '<div class="divider"></div>';
			
				//// SHOWS OUR PRICE
				$output .= '<div class="one-third">';
				
				//// ACTUAL PRICE
				$price = get_post_meta($package->ID, 'price', true);
				if($price == 0 || $price == '') { $price = __('Free', 'btoa'); }
				$output .= '<span class="price">'.format_price($price).'</span>';
				
				//// PRICE TEXT
				if($price_text) { $output .= '<h6 class="price-text">'.$price_text.'</h6>'; }
				
				//// CLOSES PRICE
				$output .= '</div>';
				
				
				///////////////////////////
				
				
				//// SHOWS OUR FEATURES IN THE PACKAGE
				$output .= '<div class="two-thirds last"><ul class="features">';
				
					//// IF CUSTOM PINS
					if(get_post_meta($package->ID, 'pin', true) == 'on') { $output .= '<li><i class="icon-location"></i>'.__('Upload your own custom pin', 'btoa').'</li>'; }
				
					//// IF HEADER BG
					if(get_post_meta($package->ID, 'header_bg', true) == 'on') { $output .= '<li><i class="icon-picture"></i>'.__('Assign custom headers', 'btoa').'</li>'; }
				
					//// NUMBER OF PROPERTIES
					if(get_post_meta($package->ID, 'count', true) == '') { $count_text = __('Publish unlimited properties', 'btoa'); }
					else { $count_text = sprintf2(__('Publish up to %property_count properties', 'btoa'), array(
					
						'property_count' => get_post_meta($package->ID, 'count', true),
					
					)); }
					if(get_post_meta($package->ID, 'header_bg', true) == 'on') { $output .= '<li><i class="icon-home"></i>'.$count_text.'</li>'; }
				
					//// IF EDIT
					if(get_post_meta($package->ID, 'allow_edit', true) == 'on') { $output .= '<li><i class="icon-pencil"></i>'.__('Edit published properties', 'btoa').'</li>'; }
				
					//// IF EXCERPT
					if(get_post_meta($package->ID, 'excerpt', true) == 'on') { $output .= '<li><i class="icon-doc-text"></i>'.__('Write custom excerpts', 'btoa').'</li>'; }
				
					//// IF EXCERPT
					if(get_post_meta($package->ID, 'excerpt', true) == 'on') { $output .= '<li><i class="icon-picture-1"></i>'.sprintf2(__('Upload up to %image_count images', 'btoa'), array('image_count' => get_post_meta($package->ID, 'images', true))).'</li>'; }
				
					//// IF FEATURED
					if(get_post_meta($package->ID, 'featured', true) == 'on') { $output .= '<li><i class="icon-star"></i>'.__('Featured properties', 'btoa').'</li>'; }
				
					//// IF FEATURED
					if(get_post_meta($package->ID, 'new', true) == 'on') { $output .= '<li><i class="icon-ok"></i>'.__('Properties marked as new', 'btoa').'</li>'; }
				
				//// CLSOES FEATURES
				$output .= '</ul></div>';
				
			//// OUR HIDDEN FIELDS
			$output .= '<div class="clear"></div><div class="sign-up-fields hidden"><div class="divider"></div>';
			
				//// USERNAME
				$output .= '<div class="form-column"><label>'.__('Choose Your Username:', 'btoa').'</label><input type="text" name="username" class="" value="" /></div>';
			
				//// EMAIL
				$output .= '<div class="form-column last"><label>'.__('Your email:', 'btoa').'</label><input type="email" name="email" class="" value="" /></div>';
				
				//// ERROR CONTAINERS
				$output .= '<div class="clear"></div><div class="error">This is an error</div>';
			
			//// HIDDEN FIELDS
			$output .= '</div>';
			
			//// DIVIDER
			$output .= '<div class="clear"></div>';
			
			//// SIGN UP BUTTON
			$output .= '<span class="sign-up" onclick="jQuery(this).packageSignUp('.$package->ID.');">'.__('Sign up now', 'btoa').'</span>';
				
			
			//// FINISHES OUTPUT
			$output .= '<div class="clear"></div></div>';
			
			return $output;
			
		}
		
	}

	///// ADDS OUR PACKAGE SHORTCODES
	add_shortcode('package', 'btoa_package');
	
	//Our Funciton
	function btoa_package($atts, $content = null) {
		
		//extracts our attrs . if not set set default
		extract(shortcode_atts(array(
		
			'name' => '',
			'slogan' => '',
			'price_text' => '',
			'background' => '',
			'features' => '',
		
		), $atts));
		
		///// IF WE HAVE SET A NAME AND IF IT'S ACTUALLY A PACKAGE
		if($package = get_page_by_title($name, 'OBJECT', 'package')) {
			
			/// STARTS OUT OUTPUT
			$output = '<div class="package" id="package-'.$package->ID.'" onclick="jQuery(this).openPackageSignUp('.$package->ID.');"';
			
			//// BACKGROUND
			if($background) { $output .= ' style="background: '.$background.'"'; }
			
			$output .= '>';
			
			//// STARTS OUR TITLE AND SLOGAN
			$output .= '<div class="two-thirds"><h3>'.$package->post_title.'</h3>';
			
			//// SLOGAN
			if($slogan) { $output .= '<h5>'.$slogan.'</h5>'; }
			
			$output .= '</div>';
			
			//// PRICE
			$output .= '<div class="one-third last">';
				
			//// ACTUAL PRICE
			$price = get_post_meta($package->ID, 'price', true);
			if($price == 0 || $price == '') { $price = __('Free', 'btoa'); }
			$output .= '<span class="price">'.format_price($price).'</span>';
				
			//// PRICE TEXT
			if($price_text) { $output .= '<h6 class="price-text">'.$price_text.'</h6>'; }
			
			//// CLOSES PRICE
			$output .= '</div>';
			
			$output .= '<div class="clear"></div>';
			
			//// IF WE ARE NOT HIDING OUR FEATURES
			if($features != 'false') {
			
			$output .= '<div class="divider" style="margin-top: 15px;"></div>';
			
				//// SHOWS OUR FEATURES IN THE PACKAGE
				$output .= '<ul class="features">';
				
					//// IF CUSTOM PINS
					if(get_post_meta($package->ID, 'pin', true) == 'on') { $output .= '<li><i class="icon-location"></i>'.__('Upload your own custom pin', 'btoa').'</li>'; }
				
					//// IF HEADER BG
					if(get_post_meta($package->ID, 'header_bg', true) == 'on') { $output .= '<li><i class="icon-picture"></i>'.__('Assign custom headers', 'btoa').'</li>'; }
				
					//// NUMBER OF PROPERTIES
					if(get_post_meta($package->ID, 'count', true) == '') { $count_text = __('Publish unlimited properties', 'btoa'); }
					else { $count_text = sprintf2(__('Publish up to %property_count properties', 'btoa'), array(
					
						'property_count' => get_post_meta($package->ID, 'count', true),
					
					)); }
					if(get_post_meta($package->ID, 'header_bg', true) == 'on') { $output .= '<li><i class="icon-home"></i>'.$count_text.'</li>'; }
				
					//// IF EDIT
					if(get_post_meta($package->ID, 'allow_edit', true) == 'on') { $output .= '<li><i class="icon-pencil"></i>'.__('Edit published properties', 'btoa').'</li>'; }
				
					//// IF EXCERPT
					if(get_post_meta($package->ID, 'excerpt', true) == 'on') { $output .= '<li><i class="icon-doc-text"></i>'.__('Write custom excerpts', 'btoa').'</li>'; }
				
					//// IF EXCERPT
					$output .= '<li><i class="icon-picture-1"></i>'.sprintf2(__('Upload up to %image_count images', 'btoa'), array('image_count' => get_post_meta($package->ID, 'images', true))).'</li>';
				
					//// IF FEATURED
					if(get_post_meta($package->ID, 'featured', true) == 'on') { $output .= '<li><i class="icon-star"></i>'.__('Featured properties', 'btoa').'</li>'; }
				
					//// IF FEATURED
					if(get_post_meta($package->ID, 'new', true) == 'on') { $output .= '<li><i class="icon-ok"></i>'.__('Properties marked as new', 'btoa').'</li>'; }
				
				//// CLSOES FEATURES
				$output .= '</ul><div class="clear"></div>';
			
			}
				
			//// OUR HIDDEN FIELDS
			$output .= '<div class="sign-up-fields hidden"><div class="divider" style="margin-top: 10px;"></div>';
			
				//// USERNAME
				$output .= '<div class="form-column"><label>'.__('Choose Your Username:', 'btoa').'</label><input type="text" name="username" class="" value="" /></div>';
			
				//// EMAIL
				$output .= '<div class="form-column last"><label>'.__('Your email:', 'btoa').'</label><input type="email" name="email" class="" value="" /></div>';
				
				//// ERROR CONTAINERS
				$output .= '<div class="clear"></div><div class="error">This is an error</div>';
			
			//// HIDDEN FIELDS
			$output .= '</div>';
			
			//// DIVIDER
			$output .= '<div class="clear"></div>';
			
			//// SIGN UP BUTTON
			$output .= '<span class="sign-up" onclick="jQuery(this).packageSignUp('.$package->ID.');">'.__('Sign up now', 'btoa').'</span>';
			
			//// CLOSES OUTPUT
			$output .= '</div>';
			
			return $output;
			
		}
		
	}

?>