<?php



	//////////////////////////////////
	//// ADDS OUR SLIDER METABOXES
	//////////////////////////////////
	include('metaboxes.php');



	//////////////////////////////////
	//// ADDS HELP TABS TO THE PAGE SECTION
	//////////////////////////////////
	include('help.php');



	//////////////////////////////////
	//// OTHER FUNCTIONS
	/////////////////////////////////
	
	
	//// REGISTERS OUR DEFAULT PAGE SIDEBAR
	$args = array(
	
		'name' => 'Default Page Sidebar - Left',
		'id' => 'page-left',
		'before_widget' => '<div class="sidebar-item">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	
	);
	
	register_sidebar($args);
	
	
	//// REGISTERS OUR DEFAULT PAGE SIDEBAR
	$args = array(
	
		'name' => 'Default Page Sidebar - Right',
		'id' => 'page-right',
		'before_widget' => '<div class="sidebar-item">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	
	);
	
	register_sidebar($args);
	
	
	//// GETS PAGE SIDEBAR
	function get_page_sidebar($post_id) {
		
		$page_sidebar = get_post_meta($post_id, 'sidebar_position', true);
		if($page_sidebar == 'default' || $page_sidebar == '') { $page_sidebar = ddp('sidebar_default'); }
		
		return $page_sidebar;
		
	}
	
	
	//// GETS PAGE SIZE
	function get_page_layout($post_id) {
	
		$page_sidebar = get_page_sidebar($post_id);
		
		//// IF TAXONOMY GET PROPERTIES PAGE LAYOUT
		if(is_tax('suburbs')) {
			
			$args = array('post_type' => 'page','meta_key' => '_wp_page_template','meta_value' => 'properties.php');
			$pageQuery = new WP_Query($args);
			
			if($pageQuery->found_posts > 0) { 
			
				while($pageQuery->have_posts()) { $pageQuery->the_post(); $page_sidebar = get_page_sidebar(get_the_ID()); break; } wp_reset_postdata();
			
			}
			
		}
						
		switch($page_sidebar) {
			
			case 'Left Side':
				$layout = 'left';
				break;
			
			case 'Right Side':
				$layout = 'right';
				break;
			
			case 'Both Sidebars':
				$layout = 'both';
				break;
			
			case 'No Sidebar (Full Width)':
				$layout = 'none';
				break;
				
			default:
				$layout = 'none';
				break;
			
		}
		
		return $layout;
		
	}
	
	//// GET SIDEBAR ID
	function get_page_custom_sidebar($post_id, $default) {
		
		if(get_post_meta($post_id, 'page_sidebar', true) == 'Default' || !get_post_meta($post_id, 'page_sidebar', true)) { dynamic_sidebar($default); }
		else { dynamic_sidebar(get_post_meta($post_id, 'page_sidebar', true)); }
		
	}


?>