<?php

	
	//////////////////////////////////
	//// ADDS OUR POST TYPE
	//////////////////////////////////
	include('post_type.php');
	

	
	//////////////////////////////////
	//// ADDS OUR TAXONOMIES
	//////////////////////////////////
	include('taxonomy.php');
	
	
	
	//////////////////////////////////
	//// ADDS OUR METABOXES
	//////////////////////////////////
	include('metaboxes.php');
	
	
	//// REGISTERS OUR DEFAULT PROPERTY PAGE SIDEBAR
	$args = array(
	
		'name' => 'Property Page Default Sidebar - Left',
		'id' => 'property-left',
		'before_widget' => '<div class="sidebar-item">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	
	);
	
	register_sidebar($args);
	
	
	//// REGISTERS OUR DEFAULT PROPERTY PAGE SIDEBAR
	$args = array(
	
		'name' => 'Property Page Default Sidebar - Right',
		'id' => 'property-right',
		'before_widget' => '<div class="sidebar-item">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	
	);
	
	register_sidebar($args);
	
	
	
	//////////////////////////////////
	//// ENQUEUES OUR PROPERTY SEARCH
	//// SCRIPT
	//////////////////////////////////
	
	add_action('wp_enqueue_scripts', 'rb_enqueue_property_script');
	
	function rb_enqueue_property_script() {
		
		//// ONLY IF ITS A PROPERTIES PAGE OR A PROPERTY
		if(is_tax('suburbs') || is_page_template('properties.php') || is_page_template('rent.php') || is_page_template('buy.php') || 'property' == get_post_type() || is_front_page()) {
		
			/// ENQUEUES SCRIPT
			wp_enqueue_script('property-search', get_template_directory_uri().'/js/properties.js', array('jquery'));
			
			//// LOCALISES SCRITPT WITH OUR PROPERTIES PAGE
			$property_page = get_page(ddp('property_page'));
			
			wp_localize_script('property-search', 'pSearch', array(
			
				'ajaxurl' => admin_url( 'admin-ajax.php' ),
				'nonce' => wp_create_nonce('customise-nonce'),
				'property_page' => get_permalink($property_page->ID),
				'price_alert' => __('Your minimum price cannot be the same or higher than your limit price.', 'btoa'),
				'e_nonce' => wp_create_nonce('property-enquiry'),
				
			));
		
		}
		
		
	}
	
	//// CHECKS IF USER CAN EDIT CERTAIN FIELD
	function can_agent_edit_field($field) {
		
		/// MAKES SURE WE'RE USING PUBLIC SUBMISSIONS
		if(ddp('public_submissions') != 'on') { return true; }
		
		
		//// CHECKS IF AGENT
		if(is_user_agent()) {
			
			//// GETS HIS PACKAGE
			$current_user = wp_get_current_user();
			$package_id = get_the_author_meta('package', $current_user->ID);
			
			//// GETS PACKAGE POST
			$package = get_post($package_id);
			
			//// GETS FIELD OF HIS PACKAGE
			$can_user_do = get_post_meta($package->ID, $field, true);
			
			//// IF USER CAN LET HIM
			if($can_user_do == 'on') { return true; }
			else { return false; }
			
		} else { return true; }
		
	}
	
	
	///// CHECKS FILTERED PROPERTIES
	function rb_is_selected($get, $var) {
		
		//// CHECK TO SEE IF IT'S THE SELECTED ELEMENT
		if(isset($get) && !empty($get)) {
			
			if($get == trim($var)) { return ' selected="selected"'; }
			
		}
		
		return false;
		
	}
	
	
	function rb_is_checked($get) {
		
		//// CHECK TO SEE IF IT'S THE SELECTED ELEMENT
		if(isset($get) && !empty($get)) {
			
			if($get == true) { return ' checked="checked"'; }
			
		}
		
		return false;
		
	}
	
	
	
	
	
	//// ARE WE AN AGENT?
	function is_user_agent() {
		
		if(!current_user_can('activate_plugins') && current_user_can('edit_properties')) {
			
			return true;
			
		} else {
			
			return false;
			
		}
		
	}
	
	function posts_out_of_total($my_tot_pages, $paged, $found_posts, $posts_per_page) {
		
		//// IF MAP VIEW
		if(isset($_GET['view']) && $_GET['view'] == 'map') { $posts_per_page = $found_posts; }
		
		if($paged == '' || $paged == 0) $my_curr_page = 1;
		else  $my_curr_page = $paged;
		
		$my_finish =  $my_curr_page * $posts_per_page;
	
		if($found_posts < $my_finish) $my_finish = $found_posts;
		
		if($paged == '' || $paged == 0) $my_start = 1; // first page
		elseif($paged == $my_tot_pages) $my_start = ($my_tot_pages-1) * $posts_per_page +1; // last page
		else $my_start = 1 + $my_finish - $posts_per_page;
		
		if($my_finish > 1) {
			
			$format = __('Showing %1$s - %2$s of %3$s properties.', 'btoa') ;
			printf( $format, $my_start, $my_finish, $found_posts);
			
		}
		
		elseif($found_posts == 0) { _e('No properties found.', 'btoa'); }
		
		else _e('Showing 1 property.', 'btoa');
		
	}
	
	
	//// CHECKS THE INITIAL OR SELECTED LAYOUT FOR THE GRID
	function properties_layout($val) {
		
		//// CHECKS FOR GET FIRST
		if(isset($_GET['view'])) {
			
			if($_GET['view'] == 'list' || $_GET['view'] == 'grid') {
			
				if($_GET['view'] == strtolower($val) && $_GET['view'] != 'map') { return true; }
				else { return false; }
				
			}
			
		}
		
		//// CHECKS FOR COOKIE
		if(isset($_COOKIE['property_view'])) {
			
			//// IF COOKIE IS THE VAL AND NOT MAP
			if($_COOKIE['property_view'] == strtolower($val) && $_COOKIE['property_view'] != 'map') {
				
				return true;
				
			} elseif($_COOKIE['property_view'] == 'map' && $_GET['view'] == 'map') {
				
				//// IF IT'S MAP WE SHOW OUR DEFAULT VIEW
				if($val == 'Map') { return true; }
				
			} elseif($_COOKIE['property_view'] == 'map' && $val == ddp('property_page_layout')) {
				
				return true;
			
			}
			
		} else {
			
			//// SET DEFAULT
			if($val == ddp('property_page_layout')) { return true; }
			
		}
		
		return false;
		
	}
	
	
	///// RETURNS OUR MAP URL
	function get_properties_map_url() {
		
		global $post;
		
		//// IF MAP VIEW IS NOT YET SET
		if(!isset($_GET['view'])) {
		
			//// LETS GO THROUGH ALL OUR GET PROPERTIES AND STACK THEM TOGETHER
			$get = '?'; $i = 0;
			foreach($_GET as $key => $prop) {
				
				/// IF WE NEED THE AMPERSAND
				if($i > 0) { $get .= '&'; }
				
				$get .= $key.'='.$prop;
				
				$i++;
				
			}
		
			//// IF WE'RE IN A SUBURB PAGE
			if(is_tax('suburbs')) {
				
				//// APPEND IT TO OUR TAX PAGE
				$term = get_term_by('name', single_cat_title('', false), 'suburbs');
				return esc_url(get_term_link($term, 'suburbs').$get.'&view=map');
				
			}
			//// IF WE'RE IN A CUSTOM TEMPLATE
			elseif(is_page_template('buy.php') || is_page_template('rent.php')) {
				
				return esc_url(get_permalink($post->ID).$get.'&view=map');
				
			} else {
				
				//// APPEND IT TO OUR PROPERTIES PAGE
				return esc_url(get_permalink(ddp('property_page')).$get.'&view=map');
				
			}
			
		} else {
		
			//// LETS GO THROUGH ALL OUR GET PROPERTIES AND STACK THEM TOGETHER - APART FROM THE VIEW
			$get = '?'; $i = 0;
			foreach($_GET as $key => $prop) {
				
				/// IF WE NEED THE AMPERSAND
				if($i > 0) { $get .= '&'; }
			
				if($key != 'view') {
					
					$get .= $key.'='.$prop;
				
					$i++;
					
				}
				
			}
		
			//// IF WE'RE IN A SUBURB PAGE
			if(is_tax('suburbs')) {
				
				//// APPEND IT TO OUR TAX PAGE
				$term = get_term_by('name', single_cat_title('', false), 'suburbs');
				return esc_url(get_term_link($term, 'suburbs').$get.'&view=map');
				
			} else {
				
				//// APPEND IT TO OUR PROPERTIES PAGE
				return esc_url(get_permalink(ddp('property_page')).$get.'&view=map');
				
			}
			
		}
		
	}
	
	
	//// GETS NROMAL URL - usually coming back from map
	function get_properties_normal_url($type) {
		
		//// LETS GO THROUGH ALL OUR GET PROPERTIES AND STACK THEM TOGETHER - APART FROM THE VIEW
		$get = '?'; $i = 0;
		foreach($_GET as $key => $prop) {
			
			/// IF WE NEED THE AMPERSAND
			if($i > 0) { $get .= '&'; }
			
			if($key != 'view') {
				
				$get .= $key.'='.$prop;
			
				$i++;
				
			}
			
		}
		
		//// IF WE'RE IN A SUBURB PAGE
		if(is_tax('suburbs')) {
			
			//// APPEND IT TO OUR TAX PAGE
			$term = get_term_by('name', single_cat_title('', false), 'suburbs');
			return esc_url(get_term_link($term, 'suburbs').$get.'view='.$type);
			
		} //// IF WE'RE IN A CUSTOM TEMPLATE
		elseif(is_page_template('buy.php') || is_page_template('rent.php')) {
			
			return esc_url(get_permalink($post->ID).$get.'&view='.$type);
			
		} else {
			
			//// APPEND IT TO OUR PROPERTIES PAGE
			return esc_url(get_permalink(ddp('property_page')).$get.'view='.$type);
			
		}
		
	}
	
	
	
	//// GETS URL FOR SORTING PROPERTIES
	function get_sort_property_url($val) {
		
		/// GOES THROUGH OUR GET PROPERTIES AND ADD THE SORTING
		$get = '?'; $i = 0;
		foreach($_GET as $key => $prop) {
			
			/// IF WE NEED THE AMPERSAND
			if($i > 0 && $key != 'sort') { $get .= '&'; }
			
			if($key != 'sort') {
				
				$get .= $key.'='.$prop;
			
				$i++;
				
			}
			
		}
		
		//// IF WE'RE IN A SUBURB PAGE
		if(is_tax('suburbs')) {
			
			//// APPEND IT TO OUR TAX PAGE
			$term = get_term_by('name', single_cat_title('', false), 'suburbs');
			return esc_url(get_term_link($term, 'suburbs').$get.'&sort='.$val);
			
		} //// IF WE'RE IN A CUSTOM TEMPLATE
		elseif(is_page_template('buy.php') || is_page_template('rent.php')) {
			
			return esc_url(get_permalink($post->ID).$get.'&sort='.$val);
			
		} else {
			
			//// APPEND IT TO OUR PROPERTIES PAGE
			return esc_url(get_permalink(ddp('property_page')).$get.'&sort='.$val);
			
		}
			
	}
	
	
	///// SENDS EMAIL FOR PROEPRTY ENQUIRY
	
	function property_enquiry_function() {
		
		sleep(1);
		
		$return = array();
		$return['error'] = '';
		$return['error_email'] = '';
		
		//// VERIFIES NONCE
		$nonce = isset($_POST['nonce']) ? trim($_POST['nonce']) : '';
		if(!wp_verify_nonce($nonce, 'property-enquiry')) die('Busted!');
		
		//// VERIFIES EMAIL
		$email = isset($_POST['email']) ? trim($_POST['email']) : '';
		if(!preg_match('/^[-_a-z0-9\'+*$^&%=~!?{}]++(?:\.[-_a-z0-9\'+*$^&%=~!?{}]+)*+@(?:(?![-.])[-a-z0-9.]+(?<![-.])\.[a-z]{2,6}|\d{1,3}(?:\.\d{1,3}){3})(?::\d++)?$/iD', $email)) { $return['error'] = true; $return['error_message'] = __('The email address is invalid.<br />', 'btoa'); }
		
		//// IF EMAIL SI VALID
		if($return['error'] == '') {
			
			/// GETS OTHER VARS
			$name = isset($_POST['email']) ? trim($_POST['name']) : '';
			$phone = isset($_POST['email']) ? trim($_POST['phone']) : '';
			$message = isset($_POST['email']) ? trim($_POST['message']) : '';
			$post_id = isset($_POST['property']) ? trim($_POST['property']) : '';
			
			//// NOW WE GET OUR PROPERTY AND THE AGENTS ASSIGNED TO IT
			$property = get_post($post_id);
			$agents = get_post_meta($property->ID, 'agents', true);
			
			//// STARTS OUR RECIPIENT ARRAY
			$to = array(get_option('admin_email'));
			
			foreach($agents as $agent) {
				
				$this_agent = '';
			
				//// IF IT'S A POST TYPE
				if($this_agent = get_post($agent)) {
					
					if($this_agent->post_type == 'agent') {

						$to[] = get_post_meta($this_agent->ID, 'email', true);
						
					} else { $this_agent = 'user'; }
					
				} else { $this_agent = 'user'; }
				
				if($this_agent == '' || $this_agent == 'user') {
					
					if($this_agent = get_user_by('id', $agent)) {
						
						$to[] = $this_agent->user_email;
					
					}
					
				}
				
			}
			
			//// HEADERS
			$headers = 'From: '.$name.' <'.$email.'>';
			
			$subject = 'Property Enquiry: '.$property->post_title;
			
			$message = "Property Enquiry
			
Property: ".$property->post_title."

Name: ".$name."
Email: ".$email."
Phone: ".$phone."
Enquiry: ".$message;
			
			//// SENDS OUT OUR EMAIL
			if(!wp_mail($to, $subject, stripslashes($message), $headers)) {
				
				//$return['error'] = true; $return['error_email'] = true; $return['error_message'] = __('There was a problem sending your enquiry. Please email us directly at '.get_option('admin_email').'', 'btoa');
				
			}
			
		}
		
		//// RETURN DATA
		echo json_encode($return);
		
		exit;
		
	}
	
	add_action('wp_ajax_property_enquiry', 'property_enquiry_function');
	add_action('wp_ajax_nopriv_property_enquiry', 'property_enquiry_function');
	
	
	///// MAKES SURE OUR PAGINATION WORKS IN OUR SUBURBS PAGE
	$suburbs_cat_posts_per_page = ddp('property_page_no');
	
	//add_action( 'init', 'my_modify_posts_per_page', 0);
	
	function my_modify_posts_per_page() {
		
		add_filter( 'option_posts_per_page', 'my_option_posts_per_page' );
		
	}
	
	function my_option_posts_per_page( $value ) {
		
		global $suburbs_cat_posts_per_page;
		
		if (is_tax('portfolio_cats') ) {
			
			return 2;
			
		} else {
			
			return $portfolio_cat_posts_per_page;
			
		}
		
	}
	
	function get_property_image($post_id) {
		
		//// GETS FEATURED IMAGE
		$featured = getFeaturedImage($post_id);
		
		//// IF NONE SET LOGO
		if($featured[0] == '') { $featured[0] = ddp('logo'); }
		
		
		// OUTPUT
		$output = '<a href="'.get_permalink().'" class="property-image" title="'.get_the_title().'"><img src="'.ddTimthumb($featured[0], 310, 207).'" alt="'.get_the_title().'" title="'.get_the_title().'" />';
		
		//// IF PROPERTY IS NEW OR FEATURED
		//if(get_post_meta($post_id, 'featured', true) == 'on') { $output .= '<span class="featured"><span>'.__('Featured', 'btoa').'</span></span>'; }
		//elseif(get_post_meta($post_id, 'new', true) == 'on') { $output .= '<span class="new"><span>'.__('New', 'btoa').'</span></span>'; }
		
		$output .= '</a>';
		
		echo $output;
		
	}
	
	
	
	///////////////////////////////////
	//// IF WE ARE VIEWING A PROPERTY
	///////////////////////////////////
	
	function is_user_viewing_property() {
		
		global $post;
		
		//// IF THIS IS A PROPERTY PAGE
		if(is_singular('property')) {
			
			/// LETS GET OUR COOKIE AND ADD THIS TO THE ARRAY
			
			//// IF IS NOT SET LET'S SET IT
			if(!isset($_COOKIE['viewed_property'])) {
				
				$properties = array($post->ID);
				
			} else {
				
				//// GETS OUR ALREADY VIEWED PROPERTIES
				$properties = unserialize($_COOKIE['viewed_property']);
				
				//// IF IT'S ALREADY IN OUR ARRAY
				if(in_array($post->ID, $properties)) {
					
					if(($key = array_search($post->ID, $properties)) !== false) {
						unset($properties[$key]);
					}
					
					//// ADDS IT TO THE TOP
					array_unshift($properties, $post->ID);
					
					
				} else {
					
					//// PUT IT AT THE TOP
					array_unshift($properties, $post->ID);
					
				}
				
			}
			
			//// MAKES SURE OUR ARRAY IS ONLY 10 PROPERTIES LONG
			if(count($properties) > 10) {
				
				$props = $properties;
				$properties = ''; $properties = array(); 
				
				for($i=0; $i<10; $i++) { $properties[] = $props[$i]; }
				
			}
			
			//print_r($properties); exit;
			
				//// SETS COOKIE
				setcookie('viewed_property', serialize($properties), time()+(3600*24*30), '/');
			
		}
		
	}
	
	add_action('template_redirect', 'is_user_viewing_property');

?>