<?php
	
	

	
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	//// PROPERTY METABOXES
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	add_action('admin_menu' ,'btoa_property_metabox');
	add_action('save_post', 'btoa_property_metabox_save');
	
	//// FUNCTION
	function btoa_property_metabox() {
		
		//// ADDS METABOX
		add_meta_box('btoa_property_metabox_meta', 'Property Information', 'btoa_property_metabox_create', 'property', 'normal', 'high' );
		
	}
	
	//// CREATE THEINLINE CONTENT METABOX
	function btoa_property_metabox_create() {
		
		//// GLOBAL $POST
		global $post;
		
		//// METABOX MARKUP
		include('meta/metaboxes.php');
		
	}
	
	//// SAVES THE INLINE CONTENT METABOX
	function btoa_property_metabox_save($post_id) {
		
		//// GLOBAL $POST
		global $post;
		
		//// CHECK IF IT'S AN AUTOSAVE
		if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
		
		if(isset($_POST['post_type'])) {
		
			//// VERIFY PERMISSIONS
			if('page' == $_POST['post_type']) {
				 
				//// IF USER CAN'T EDIT PAGE
				if(!current_user_can('edit_page', $post_id)) { return $post_id; }
				
				//// IF USER CAN'T EDIT POST
				if(!current_user_can('edit_post', $post_id)) { return $post_id; }
				
			}
		  
		}
		
		//// FREE TO SAVE METABOX
		if(isset($_POST['bathrooms'])) { update_post_meta($post_id, 'bathrooms', htmlspecialchars($_POST['bathrooms'])); }
		if(isset($_POST['bedrooms'])) { update_post_meta($post_id, 'bedrooms', htmlspecialchars($_POST['bedrooms'])); }
		if(isset($_POST['car_spaces'])) { update_post_meta($post_id, 'car_spaces', htmlspecialchars($_POST['car_spaces'])); }
		if(isset($_POST['property_lease'])) { update_post_meta($post_id, 'property_lease', htmlspecialchars($_POST['property_lease'])); }
		if(isset($_POST['price'])) { update_post_meta($post_id, 'price', htmlspecialchars($_POST['price'])); }
		if(isset($_POST['address'])) { update_post_meta($post_id, 'address', htmlspecialchars($_POST['address'])); } 
		if(isset($_POST['latitude'])) { update_post_meta($post_id, 'latitude', htmlspecialchars($_POST['latitude'])); }
		if(isset($_POST['longitude'])) { update_post_meta($post_id, 'longitude', htmlspecialchars($_POST['longitude'])); }
		if(isset($_POST['pin'])) { update_post_meta($post_id, 'pin', htmlspecialchars($_POST['pin'])); }
		if(isset($_POST['featured'])) { update_post_meta($post_id, 'featured', htmlspecialchars($_POST['featured'])); }
		if(isset($_POST['sold'])) { update_post_meta($post_id, 'sold', htmlspecialchars($_POST['sold'])); }
		if(isset($_POST['leased'])) { update_post_meta($post_id, 'leased', htmlspecialchars($_POST['leased'])); }
		if(isset($_POST['new'])) { update_post_meta($post_id, 'new', htmlspecialchars($_POST['new'])); }
		if(isset($_POST['slogan'])) { update_post_meta($post_id, 'slogan', htmlspecialchars($_POST['slogan'])); }
		if(isset($_POST['header_bg'])) { update_post_meta($post_id, 'header_bg', htmlspecialchars($_POST['header_bg'])); }
		if(isset($_POST['agents'])) { update_post_meta($post_id, 'agents', $_POST['agents']); }
		if(isset($_POST['hidden_suburb'])) { update_post_meta($post_id, 'hidden_suburb', $_POST['hidden_suburb']); }
		
	}
	
	

?>