<?php



	//// CREATES OUR POST TYPE
	add_action('init', 'btoa_property_post_type');	
	
	//// FUNCTION TO CREATE IT
	function btoa_property_post_type() {
		
		
		//// LABELS
		$labels = array(
		
			'name' => __('Properties', 'btoa'),
			'singular_name' => __('Property', 'btoa'),
			'add_new' => __('Add New', 'btoa'),
			'add_new_item' => __('Add New Property', 'btoa'),
			'edit_item' => __('Edit Property', 'btoa'),
			'new_item' => __('New Property', 'btoa'),
			'all_items' => __('All Properties', 'btoa'),
			'view_item' =>__('View Property', 'btoa'),
			'search_items' => __('Search Properties', 'btoa'),
			'not_found' =>  __('No Properties Found', 'btoa'),
			'not_found_in_trash' => __('No Properties found in trash.', 'btoa'),
			'parent_item_colon' => '',
			'menu_name' => 'Properties'
		
		);
		  
		  
		//// ARGUMENTS
		$args = array(
		
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true, 
			'show_in_menu' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'has_archive' => true, 
			'hierarchical' => false,
			'menu_position' => 7,
			'supports' => array('title', 'editor', 'custom-fields', 'excerpt', 'thumbnail')
		  
		);
		
		//// IF PUBLIC SUBMISSIONS
		if(ddp('public_submissions') == 'on') {
			
			$args['capability_type'] = 'property';
			$args['capabilities'] = array(
			
				'publish_posts' => 'publish_property',
				'edit_posts' => 'edit_properties',
				'edit_others_posts' => 'edit_others_properties',
				'delete_posts' => 'delete_properties',
				'delete_others_posts' => 'delete_others_properties',
				'read_private_posts' => 'read_private_properties',
				'edit_post' => 'edit_property',
				'delete_post' => 'delete_property',
				'read_post' => 'read_property',
				'edit_page' => 'edit_property',
			
			);
			
		}
		  
		
		//// REGISTERS IT
		register_post_type('property', $args);
		
	}
	
	function my_property_meta_cap( $caps, $cap, $user_id, $args ) {

		/* If editing, deleting, or reading a proeprty, get the post and post type object. */
		if ( 'edit_property' == $cap || 'delete_property' == $cap || 'read_property' == $cap ) {
			
			$post = get_post( $args[0] );
			$post_type = get_post_type_object( $post->post_type );
			$caps = array();
		
			switch( $cap ) {
				case 'edit_property':
				$caps[] = ( $user_id == $post->post_author ) ? $post_type->cap->edit_posts : $post_type->cap->edit_others_posts;
				break;
				case 'delete_property':
				$caps[] = ( $user_id == $post->post_author ) ? $post_type->cap->delete_posts : $post_type->cap->delete_others_posts;
				break;
				case 'read_property':
				$caps[] = ( 'private' != $post->post_status || $user_id == $post->post_author ) ? $caps[] = 'read' : $post_type->cap->read_private_posts;
				break;
			}
		
		}
		
		return $caps;
	}

	if(ddp('public_submissions') == 'on') { add_filter( 'map_meta_cap', 'my_property_meta_cap', 10, 4 ); }


?>