<?php



	//// CREATES OUR TAXONOMY
	add_action('init', 'btoa_property_taxonomies');	
	
	//// FUNCTION TO CREATE IT
	function btoa_property_taxonomies() {
		
		
		//////////////////////////////////////////////////
		//// SUBURBS
		//////////////////////////////////////////////////
		
		$labels = array(
		
			'name'                => __( 'Suburbs', 'btoa' ),
			'singular_name'       => __( 'Suburb', 'btoa' ),
			'search_items'        => __( 'Search Suburbs', 'btoa' ),
			'all_items'           => __( 'All Suburbs', 'btoa' ),
			'parent_item'         => __( 'Parent Suburb', 'btoa' ),
			'parent_item_colon'   => __( 'Parent Suburb:', 'btoa' ),
			'edit_item'           => __( 'Edit Suburb', 'btoa' ), 
			'update_item'         => __( 'Update Suburb', 'btoa' ),
			'add_new_item'        => __( 'Add New Suburb', 'btoa' ),
			'new_item_name'       => __( 'New Suburb Name', 'btoa' ),
			'menu_name'           => __( 'Suburb', 'btoa' )
			
		); 	
	
		$args = array(
		
			'hierarchical'        => true,
			'labels'              => $labels,
			'show_ui'             => true,
			'show_admin_column'   => true,
			'query_var'           => true,
			'rewrite'             => array( 'slug' => 'suburb' )
			
		);
		
		//// IF PUBLIC SUBMISSIONS
		if(ddp('public_submissions') == 'on') {
			
			$args['capabilities'] = array(
			
				'manage_terms' => 'manage_suburbs',
				'edit_terms' => 'manage_suburbs',
				'delete_terms' => 'manage_suburbs',
				'assign_terms' => 'assign_suburbs'
				
			
			);
			
		}

  		register_taxonomy('suburbs', 'property', $args);
		
		
		//////////////////////////////////////////////////
		//// SUBURBS METABOX
		//////////////////////////////////////////////////
	
		/// ADDS THE HTML INPUT TO OUR TERM
		function add_fields_suburbs() {
			
			include('meta/metabox-suburbs.php');
			
		}
		
		/// ADDS OUR ACTION
		add_action('suburbs_add_form_fields', 'add_fields_suburbs', 10, 2);

		/// ADDS THE HTML INPUT TO OUR TERM
		function edit_fields_suburbs($term) {
			
			include('meta/metabox-suburbs-edit.php');
			
		}
		
		/// ADDS OUR ACTION
		add_action('suburbs_edit_form_fields', 'edit_fields_suburbs', 10, 2);
		
		//// SAVES OUR CUSTOM FIELDS
		function save_fields_suburbs($term_id) {
			
			//// TERM ID
			$t_id = $term_id;
			
			//// ALL META
			$term_meta = get_option('taxonomy_'.$t_id);
			
			/// IF IS ARRAY (PREVENTS AJAX AERRORS
			if(is_array($_POST['term_meta'])) {
			
			//// LOOPS FIELDS AND SAVES THEM
			$cat_keys = array_keys($_POST['term_meta']);
			
		
		//print_r($_POST['term_meta']['related_suburbs']); exit;
		
			foreach ($cat_keys as $key) {
				
				//// OUR FIELD
				$term_meta[$key] = $_POST['term_meta'][$key];
				
			}
			
			//// SAVES OPTION ARRAY
			update_option('taxonomy_'.$t_id, $term_meta);
			
		}
		
		}
		
		/// SAVE ACTION
		add_action('edited_suburbs', 'save_fields_suburbs', 10, 2);
		add_action('create_suburbs', 'save_fields_suburbs', 10, 2);
		
		
		
		//////////////////////////////////////////////////
		//// PROPERTY TYPE
		//////////////////////////////////////////////////
		
		$labels = array(
		
			'name'                => __( 'Property Types', 'btoa' ),
			'singular_name'       => __( 'Property Type', 'btoa' ),
			'search_items'        => __( 'Search Property Types', 'btoa' ),
			'all_items'           => __( 'All Property Types', 'btoa' ),
			'parent_item'         => __( 'Parent Property Type', 'btoa' ),
			'parent_item_colon'   => __( 'Parent Property Type:', 'btoa' ),
			'edit_item'           => __( 'Edit Property Type', 'btoa' ), 
			'update_item'         => __( 'Update Property Type', 'btoa' ),
			'add_new_item'        => __( 'Add New Property Type', 'btoa' ),
			'new_item_name'       => __( 'New Property Type', 'btoa' ),
			'menu_name'           => __( 'Property Type', 'btoa' )
			
		); 	
	
		$args = array(
		
			'hierarchical'        => true,
			'labels'              => $labels,
			'show_ui'             => true,
			'show_admin_column'   => true,
			'query_var'           => true,
			'rewrite'             => array( 'slug' => 'property-type' )
			
		);
		
		//// IF PUBLIC SUBMISSIONS
		if(ddp('public_submissions') == 'on') {
			
			$args['capabilities'] = array(
			
				'manage_terms' => 'manage_property_types',
				'edit_terms' => 'manage_property_types',
				'delete_terms' => 'manage_property_types',
				'assign_terms' => 'assign_property_types'
				
			
			);
			
		}

  		register_taxonomy('property_type', 'property', $args);
		
		
		
		//////////////////////////////////////////////////
		//// CUSTOM FIELDS
		//////////////////////////////////////////////////
		
		$labels = array(
		
			'name'                => __( 'Custom Fields', 'btoa' ),
			'singular_name'       => __( 'Custom Field', 'btoa' ),
			'search_items'        => __( 'Search Custom Fields', 'btoa' ),
			'all_items'           => __( 'All Custom Fields', 'btoa' ),
			'parent_item'         => null,
			'parent_item_colon'   => null,
			'edit_item'           => __( 'Edit Custom Field', 'btoa' ), 
			'update_item'         => __( 'Update Custom Field', 'btoa' ),
			'add_new_item'        => __( 'Add New Custom Field', 'btoa' ),
			'new_item_name'       => __( 'New Custom Field', 'btoa' ),
			'menu_name'           => __( 'Property Custom Fields', 'btoa' )
			
		); 	
	
		$args = array(
		
			'hierarchical'        => true,
			'labels'              => $labels,
			'show_ui'             => true,
			'show_admin_column'   => true,
			'query_var'           => true,
			'rewrite'             => array( 'slug' => 'property-custom-field' )
			
		);
		
		//// IF PUBLIC SUBMISSIONS
		if(ddp('public_submissions') == 'on') {
			
			$args['capabilities'] = array(
			
				'manage_terms' => 'manage_custom_fields',
				'edit_terms' => 'manage_custom_fields',
				'delete_terms' => 'manage_custom_fields',
				'assign_terms' => 'assign_custom_fields'
				
			
			);
			
		}

  		register_taxonomy('property_custom_field', 'property', $args);
		
	}
	


?>