<?php


	
	
	//////////////////////////////////
	//// ENQUEUES OUR SCRIPTS
	//////////////////////////////////
	
	add_action('wp_enqueue_scripts', 'btoa_register_slider_scripts');
	add_action('wp_enqueue_scripts', 'btoa_enqueue_slider_scripts');
	
	function btoa_register_slider_scripts() {
		
		//// GMAP
		wp_register_script('gmap', get_template_directory_uri().'/js/gmap3.min.js', array('jquery'));
		wp_register_script('google_maps_api', 'http://maps.googleapis.com/maps/api/js?sensor=false');
		
	}
	
	function btoa_enqueue_slider_scripts() {
		
		//// GMAP
		wp_enqueue_script('google_maps_api');
		wp_enqueue_script('gmap');
		
	}
		
	if(ddp('slider_type') != 'Map') {

		//////////////////////////////////
		//// IF WE'RE USING NORMAL SLIDER
		//////////////////////////////////
		
		//// REGISTER CUSTOM POST TYPE
		include('post_type.php');
		
		//// METABOXES
		include('metaboxes.php');
		
		
		
	}
		
		
	//////////////////////////////////
	//// GENERAL FUNCTIONS
	//////////////////////////////////
	
	//// GETS LOCATION
	function get_property_location($post_id) {
		
		/// GETS ADDRESS
		$address = array();
		$address[0] = get_post_meta($post_id, 'address', true);
		$address[1] = get_post_meta($post_id, 'latitude', true);
		$address[2] = get_post_meta($post_id, 'longitude', true);
		
		//// IF LAT AND LONG IS ALSO EMPTY
		if($address[0] == '' && $address[1] == '' && $address[2] == '') { $address = false; }
		
		return $address;
		
	}
	
	//// GETS PIN
	function get_property_pin($post_id) {
		
		/// GETS ADDRESS
		$pin = get_post_meta($post_id, 'pin', true);
		
		//// IF EMPTY GET BY SUBURB
		if($pin == '') {
			
			$suburbs = get_the_terms($post_id, 'suburbs');
			
			if(is_array($suburbs)) {
			
				foreach($suburbs as $suburb) {
					
					$pin = getTermCustomField($suburb->term_id, 'custom_pin');
					break;
					
				}
			
			}
		
		}
		
		//// IF IT'S STILL EMPTY GET BY RENT OR BUY
		if($pin == '') {
			
			$post_type = get_post_meta($post_id, 'property_lease', true);
			
			$pin = ddp('default_pin_'.$post_type);
			
		}
		
		//// IF IT'S STILL EMPTY GET DEFAULT
		if($pin == '') {
			
			$pin = ddp('default_pin');	
			
		}
		
		return $pin;
		
	}


?>