<?php
	

	
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	//// SLIDER LAYOUT
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	add_action('admin_menu' ,'five_slider_type_metabox');
	add_action('save_post', 'five_slider_type_save');
	
	//// FUNCTION
	function five_slider_type_metabox() {
		
		//// ADDS METABOX
		add_meta_box('five_type_meta', 'Slide Type', 'five_slider_type_create', 'slides', 'normal', 'high' );
		
	}
	
	//// CREATE THEINLINE CONTENT METABOX
	function five_slider_type_create() {
		
		//// GLOBAL $POST
		global $post;
		
		//// CREATES NONCE FIELD
		wp_nonce_field( plugin_basename( __FILE__ ), 'wp_nonce_type', false, true);
		
		//// METABOX MARKUP
		include('meta/slider.php');
		
	}
	
	//// SAVES THE INLINE CONTENT METABOX
	function five_slider_type_save($post_id) {
		
		//// GLOBAL $POST
		global $post;
		
		//// VERIFY NONCE FIELD
		if(!wp_verify_nonce($_POST['wp_nonce_type'], plugin_basename(__FILE__))) { return $post_id; }
		
		//// CHECK IF IT'S AN AUTOSAVE
		if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
		
		if(isset($_POST['post_type'])) {
		
			//// VERIFY PERMISSIONS
			if('page' == $_POST['post_type']) {
				 
				//// IF USER CAN'T EDIT PAGE
				if(!current_user_can('edit_page', $post_id)) { return $post_id; }
				
				//// IF USER CAN'T EDIT POST
				if(!current_user_can('edit_post', $post_id)) { return $post_id; }
				
			}
		  
		}
		
		//// FREE TO SAVE METABOX
		update_post_meta($post_id, 'slide_layout', htmlspecialchars($_POST['slide_layout']));
		
	}
	

	
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	//// SLIDER LINK
	////////////////////////////////////////////////////////////
	////////////////////////////////////////////////////////////
	add_action('admin_menu' ,'five_slider_image_metabox');
	add_action('save_post', 'five_slider_image_save');
	
	//// FUNCTION
	function five_slider_image_metabox() {
		
		//// ADDS METABOX
		add_meta_box('five_image_meta', 'Slide Options', 'five_slider_image_create', 'slides', 'side', 'high' );
		
	}
	
	//// CREATE THEINLINE CONTENT METABOX
	function five_slider_image_create() {
		
		//// GLOBAL $POST
		global $post;
		
		//// CREATES NONCE FIELD
		wp_nonce_field( plugin_basename( __FILE__ ), 'wp_nonce_link', false, true);
		wp_nonce_field( plugin_basename( __FILE__ ), 'wp_nonce_header_color', false, true);
		wp_nonce_field( plugin_basename( __FILE__ ), 'wp_nonce_text_color', false, true);
		
		//// METABOX MARKUP
		include('meta/slider-link.php');
		
	}
	
	//// SAVES THE INLINE CONTENT METABOX
	function five_slider_image_save($post_id) {
		
		//// GLOBAL $POST
		global $post;
		
		//// VERIFY NONCE FIELD
		if(!wp_verify_nonce($_POST['wp_nonce_link'], plugin_basename(__FILE__))) { return $post_id; }
		if(!wp_verify_nonce($_POST['wp_nonce_header_color'], plugin_basename(__FILE__))) { return $post_id; }
		if(!wp_verify_nonce($_POST['wp_nonce_text_color'], plugin_basename(__FILE__))) { return $post_id; }
		
		//// CHECK IF IT'S AN AUTOSAVE
		if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
		
		if(isset($_POST['post_type'])) {
		
			//// VERIFY PERMISSIONS
			if('page' == $_POST['post_type']) {
				 
				//// IF USER CAN'T EDIT PAGE
				if(!current_user_can('edit_page', $post_id)) { return $post_id; }
				
				//// IF USER CAN'T EDIT POST
				if(!current_user_can('edit_post', $post_id)) { return $post_id; }
				
			}
		  
		}
		
		//// FREE TO SAVE METABOX
		update_post_meta($post_id, 'slide_link', htmlspecialchars($_POST['slide_link']));
		update_post_meta($post_id, 'header_color', htmlspecialchars($_POST['header_color']));
		update_post_meta($post_id, 'text_color', htmlspecialchars($_POST['text_color']));
		update_post_meta($post_id, 'slider_bg_color', htmlspecialchars($_POST['slider_bg_color']));
		
	}
	
	

?>