
<?php

	//// LETS GET OUR SIMPLE PROPERTIES
	$args = array(
	
		'post_type' => 'property',
		'posts_per_page' => ddp('slider_no'),
		'meta_query' => array(
		
			array(
			
				'key' => 'featured',
				'value' => 'on',
				'compare' => '!=',
			
			)
		
		),
	
	);
	
	$sQuery = new WP_Query($args);
	
	//// IF WE HAVE PUBLIC SUBMISSIONS WE ALSO HAVE TO GET THE PROPERTIES WITH FEATURED THAT DOES NOT EXIST
	if(ddp('public_submissions') == 'on') {
		
		//// LETS GET OUR SIMPLE PROPERTIES
		$args = array(
		
			'post_type' => 'property',
			'posts_per_page' => ddp('slider_no'),
			'meta_query' => array(
			
				array(
				
					'key' => 'featured',
					'compare' => 'NOT EXISTS',
				
				)
			
			),
		
		);
		
		$sQuery2 = new WP_Query($args);
		
	}

	//// LETS GET OUR FEATURED PROPERTIES
	$args = array(
	
		'post_type' => 'property',
		'posts_per_page' => ddp('slider_no'),
		'meta_query' => array(
		
			array(
			
				'key' => 'featured',
				'value' => 'on'
			
			)
		
		),
	
	);
	
	$fQuery = new WP_Query($args);
	
	//// GETS LATEST FEATURED PROPERTY, IF NONE IS SET GET LATEST SIMPLE PROPERTY
	//// AND SET AS THE INITIAL MAP PINPOINT
	if($fQuery->post_count > 0) { $firstQ = $fQuery; }
	else { $firstQ = $sQuery; }
	
	
	foreach($firstQ->posts as $this_post) { $latest_property_id = $this_post->ID; break; }
	$first_location = get_property_location($latest_property_id);

?>

<style type="text/css">

	#slider-map { height: <?php echo ddp('slider_height'); ?>px; }

</style>

<script type="text/javascript">

	<?php if(ddp('slider_cluster') == 'on') : ?>theCluster = '';<?php endif; ?>

	jQuery(document).ready(function() {
		
		myGmap = jQuery('#slider-map');
		zoomLevel = <?php echo ddp('slider_zoom'); ?>;
		
		myGmap.gmap3({
			
			map: {
				
					<?php if($first_location != false) : if($first_location[0] != '' && $first_location[1] == '') : ?>address: 			'<?php echo $first_location[0]; ?>',<?php endif; endif; //// IF IT'S AN ADDRESS ?>
				options: {
					
					zoom: 				zoomLevel,
					mapTypeControl: 	false,
					navigationControl:	false,
					streetViewControl: 	false,
					scrollwheel: 		false,
						<?php if($first_location != false) : if($first_location[1] != '' && $first_location[2] != '') : ?>center: new google.maps.LatLng('<?php echo $first_location[1] ?>', '<?php echo $first_location[2] ?>'),<?php endif; endif; //// IF THE FIRST PROPERTY HAS A LAT AND LONG ?>
					
				},
				
				events: {
					
					mousedown: function() {
						
						jQuery('#property-search-form').stop().animate({ opacity: .15 }, 150);
						jQuery('.overlay-markup-cluster').fadeOut(200, function() { jQuery(this).remove(); });
						
					},
					
					mouseup: function() {
						
						jQuery('#property-search-form').stop().animate({ opacity: 1 }, 150);
						
					}
					
				}
				
			}
			
		});
		
		
		
		
		<?php
		
		//////////////////////////////////////////////////
		//// IF USER IS USING GEOLOCATION
		//////////////////////////////////////////////////
		if(ddp('geolocation') == 'on') : ?>
				
			myGmap.gmap3({
				
				getgeoloc: {
					
					callback: function(latLng) {
						
						//// IF LAT AND LNG
						if(latLng) {
							
							myGmap.gmap3({
								
								  map:{
									options: {
										
										center: latLng
										
									}
								  }
								
							});
							
						}
						
					}
					
				}
				
			});
				
		<?php endif; //////////// END IF GEOLOCATION ?>
		
		
		
		
		<?php
		
		//////////////////////////////////////////////////
		//// IF USER HAS A CUSTOM INITIAL CENTER
		//////////////////////////////////////////////////
		if(ddp('custom_init_map') == 'on') : ?>
				
			myGmap.gmap3({
				
				map: {
					
					options: {
						
						center: new google.maps.LatLng('<?php echo ddp('custom_init_map_lat') ?>', '<?php echo ddp('custom_init_map_lng') ?>')
						
					}
					
				}
				
			});
				
		<?php endif; //////////// END IF GEOLOCATION ?>
			
			
			
		
		<?php
		
			//// LOOPS OUR SIMPLE MARKERS
			$i = 1;
			while($sQuery->have_posts()) : $sQuery-> the_post();
				
				//// GETS ADDRESS
				$address = get_property_location(get_the_ID());
			
			//// ONLY GOES ON IF WE HAVE A LOCATION
			if($address[0] != false) :
				
				if($address[0] == 'address') { $address = $address[1]; $lat = ''; $lng = ''; }
				else if($address[0] == 'latlng') { $address = ''; $lat_lng = explode(',', $first_location[1]); $lat = $lat_lng[0]; $lng = $lat_lng[1]; }
				
				//// PROPERTY PIN
				$pin = get_property_pin(get_the_ID());
				
				$featured_image = getFeaturedImage(get_the_ID());
				$featured_image = ddTimthumb($featured_image[0], 170, 154);
				
				$bathrooms = get_post_meta(get_the_ID(), 'bathrooms', true);
				$bedrooms = get_post_meta(get_the_ID(), 'bedrooms', true);
				$car_spaces = get_post_meta(get_the_ID(), 'car_spaces', true);
				
				//// IF HAS EXCERPT
				if(has_excerpt()) {
					
					$excerpt = get_the_excerpt();
					
				} else { $excerpt = substr(strip_tags(get_the_excerpt()), 0, 105).' [...]'; }
		
		?>
		
		//// ADDS SIMPLE MARKERS
		myGmap.addSimpleMarker(<?php echo get_the_ID() ?>, '<?php echo addslashes($address[0]); ?>', '<?php echo $address[1] ?>', '<?php echo $address[2] ?>', '<?php echo $pin; ?>', '<?php the_permalink(); ?>', '<?php echo $featured_image ?>', '<?php the_title(); ?>', '<?php echo $bedrooms ?>', '<?php echo $bathrooms ?>', '<?php echo $car_spaces ?>', '<?php echo addslashes($excerpt); ?>', '<?php echo format_property_price(get_post_meta(get_the_ID(), 'price', true), get_the_ID()); ?>');
		
		<?php endif; //// MAKES SURE WE HAVE A LOCATION
		
		$i++; endwhile; wp_reset_postdata(); ?>
		
		<?php
		
			//// IF WE HAVE PUBLIS SUBMISSIONS
			if(ddp('public_submissions') == 'on') :
				
			$i = 1;
			while($sQuery2->have_posts()) : $sQuery2-> the_post();
				
				//// GETS ADDRESS
				$address = get_property_location(get_the_ID());
			
				//// ONLY GOES ON IF WE HAVE A LOCATION
				if($address[0] != false) :
				
					if($address[0] == 'address') { $address = $address[1]; $lat = ''; $lng = ''; }
					else if($address[0] == 'latlng') { $address = ''; $lat_lng = explode(',', $first_location[1]); $lat = $lat_lng[0]; $lng = $lat_lng[1]; }
					
					//// PROPERTY PIN
					$pin = get_property_pin(get_the_ID());
					
					$featured_image = getFeaturedImage(get_the_ID());
					$featured_image = ddTimthumb($featured_image[0], 170, 154);
					
					$bathrooms = get_post_meta(get_the_ID(), 'bathrooms', true);
					$bedrooms = get_post_meta(get_the_ID(), 'bedrooms', true);
					$car_spaces = get_post_meta(get_the_ID(), 'car_spaces', true);
					
					//// IF HAS EXCERPT
					if(has_excerpt()) {
						
						$excerpt = get_the_excerpt();
						
					} else { $excerpt = substr(strip_tags(get_the_excerpt()), 0, 105).' [...]'; }
		
		?>
		
		//// ADDS SIMPLE MARKERS
		myGmap.addSimpleMarker(<?php echo get_the_ID() ?>, '<?php echo addslashes($address[0]); ?>', '<?php echo $address[1] ?>', '<?php echo $address[2] ?>', '<?php echo $pin; ?>', '<?php the_permalink(); ?>', '<?php echo $featured_image ?>', '<?php the_title(); ?>', '<?php echo $bedrooms ?>', '<?php echo $bathrooms ?>', '<?php echo $car_spaces ?>', '<?php echo addslashes($excerpt); ?>', '<?php echo format_property_price(get_post_meta(get_the_ID(), 'price', true), get_the_ID()); ?>');
		
		<?php endif; //// MAKES SURE WE HAVE A LOCATION
		
		$i++; endwhile; wp_reset_postdata(); endif; ?>
		
		//// THIS ALL GOES IN THE INIT
		//// WHEN DOCUMENT IS READY
		
		//// WHEN USER CLICKS TO ZOOM IN
		jQuery('#slider-map-zoom-in').gmapZoomIn(myGmap);
		
		//// WHEN USER CLICKS TO ZOOM IN
		jQuery('#slider-map-zoom-out').gmapZoomOut(myGmap);
		
	});

</script>

<div id="slider-map"></div>
<!-- /#slider-map/ -->

<div id="slider-map-zoom-in"></div>
<!-- /#slider-map-zoom-in/ -->

<div id="slider-map-zoom-out"></div>
<!-- /#slider-map-zoom-out/ -->

<?php

	///// LOOPS OUR FEATURED MARKERS
	if($fQuery->have_posts()) :

?>




	<?php
	
		//// GETS OUR FEATURED MARKERS MARKUP
		get_template_part('includes/slider/markup-map', 'featured');
	
	?>



    
    <?php endif; /// IF FEATURED MARKERS ?>
			
<div class="clear"></div>
<!-- /.clear/ -->