<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "us_ads" );' ) );
	
	
	//// OUR WIDGET CLASS
	class us_ads extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'us_ads', // BASE ID
				__('Custom - ADs', 'ultrasharp'), // NAME
				array('description' => __('Shows up to 8 Ads on your sidebar', 'ultrasharp')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// LET'S START OUR OUTPUT
			echo $before_widget;
			
			//// OUR TITLE
			if($title != '') { echo $before_title.$title.$after_title; }
			
			//// DISPLAYS OUR ADS IF HTML IS NOT SET
			if($ad_html == '') {
				
				echo '<ul class="sidebar-ads">';
				
				//// LET'S LOOP OUR ADS AND DISPLAY IF THEY HAVE AN IMAGE
				for($i = 1; $i <= 8; $i++) {
					
					//// CHECKS IF THERE"S ANYTHING
					if($instance['ad'.$i.'_img'] != '') { echo '<li><a href="'.$instance['ad'.$i.'_link'].'"><img src="'.$instance['ad'.$i.'_img'].'" alt="AD" /></a></li>'; }
					
				}
				
				echo '</ul><div class="clear"></div>';
				
			} else {
				
				
				
			}
			echo '</ul>';
			
			//// CLOSES OUR ITEM
			echo $after_widget;
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>

				<style type="text/css">
                
                    .ddDivider {
                        
                        height: 1px;
                        float: left;
                        width: 100%;
                        background: #dfdfdf;
                        margin: 10px 0;
                        
                    }
                
                </style>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['title']; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" id="<?php echo $this->get_field_id( 'title' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad1_img' ); ?>"><?php _e('1st AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad1_img']; ?>" name="<?php echo $this->get_field_name( 'ad1_img' ); ?>" id="<?php echo $this->get_field_id( 'ad1_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad1_link' ); ?>"><?php _e('1st AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad1_link']; ?>" name="<?php echo $this->get_field_name( 'ad1_link' ); ?>" id="<?php echo $this->get_field_id( 'ad1_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad2_img' ); ?>"><?php _e('2nd AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad2_img']; ?>" name="<?php echo $this->get_field_name( 'ad2_img' ); ?>" id="<?php echo $this->get_field_id( 'ad2_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad2_link' ); ?>"><?php _e('2nd AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad2_link']; ?>" name="<?php echo $this->get_field_name( 'ad2_link' ); ?>" id="<?php echo $this->get_field_id( 'ad2_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad3_img' ); ?>"><?php _e('3rd AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad3_img']; ?>" name="<?php echo $this->get_field_name( 'ad3_img' ); ?>" id="<?php echo $this->get_field_id( 'ad3_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad3_link' ); ?>"><?php _e('3rd AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad3_link']; ?>" name="<?php echo $this->get_field_name( 'ad3_link' ); ?>" id="<?php echo $this->get_field_id( 'ad3_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad4_img' ); ?>"><?php _e('4th AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad4_img']; ?>" name="<?php echo $this->get_field_name( 'ad4_img' ); ?>" id="<?php echo $this->get_field_id( 'ad4_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad4_link' ); ?>"><?php _e('4th AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad4_link']; ?>" name="<?php echo $this->get_field_name( 'ad4_link' ); ?>" id="<?php echo $this->get_field_id( 'ad4_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad5_img' ); ?>"><?php _e('5th AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad5_img']; ?>" name="<?php echo $this->get_field_name( 'ad5_img' ); ?>" id="<?php echo $this->get_field_id( 'ad5_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad5_link' ); ?>"><?php _e('5th AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad5_link']; ?>" name="<?php echo $this->get_field_name( 'ad5_link' ); ?>" id="<?php echo $this->get_field_id( 'ad5_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad6_img' ); ?>"><?php _e('6th AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad6_img']; ?>" name="<?php echo $this->get_field_name( 'ad6_img' ); ?>" id="<?php echo $this->get_field_id( 'ad6_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad6_link' ); ?>"><?php _e('6th AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad6_link']; ?>" name="<?php echo $this->get_field_name( 'ad6_link' ); ?>" id="<?php echo $this->get_field_id( 'ad6_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad7_img' ); ?>"><?php _e('7th AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad7_img']; ?>" name="<?php echo $this->get_field_name( 'ad7_img' ); ?>" id="<?php echo $this->get_field_id( 'ad7_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad7_link' ); ?>"><?php _e('7th AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad7_link']; ?>" name="<?php echo $this->get_field_name( 'ad7_link' ); ?>" id="<?php echo $this->get_field_id( 'ad7_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad8_img' ); ?>"><?php _e('8th AD Image (125x125):', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad8_img']; ?>" name="<?php echo $this->get_field_name( 'ad8_img' ); ?>" id="<?php echo $this->get_field_id( 'ad8_img' ); ?>" class="widefat">
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad8_link' ); ?>"><?php _e('8th AD Link:', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['ad8_link']; ?>" name="<?php echo $this->get_field_name( 'ad6_link' ); ?>" id="<?php echo $this->get_field_id( 'ad8_link' ); ?>" class="widefat">
                
                </p>
                
                <div class="ddDivider">&nbsp;</div>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id( 'ad_html' ); ?>"><?php _e('Custom HTML:', 'ultrasharp'); ?></label>
                	<textarea name="<?php echo $this->get_field_name( 'ad_html' ); ?>" id="<?php echo $this->get_field_id( 'ad_html' ); ?>" rows="6" class="widefat"><?php echo $instance['ad_html']; ?></textarea>
                    <em style="margin-top: 10px; display: block;"><?php _e('Note that if you use HTML, the above manager will have no effect.', 'ultrasharp'); ?></em>
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new_instance, $old_instance) {
			
			$instance = $old_instance;
	
			$instance['title'] = $new_instance['title'];
	
			$instance['ad1_img'] = $new_instance['ad1_img'];
			$instance['ad2_img'] = $new_instance['ad2_img'];
			$instance['ad3_img'] = $new_instance['ad3_img'];
			$instance['ad4_img'] = $new_instance['ad4_img'];
			$instance['ad5_img'] = $new_instance['ad5_img'];
			$instance['ad6_img'] = $new_instance['ad6_img'];
			$instance['ad7_img'] = $new_instance['ad7_img'];
			$instance['ad8_img'] = $new_instance['ad8_img'];
	
			$instance['ad1_link'] = $new_instance['ad1_link'];
			$instance['ad2_link'] = $new_instance['ad2_link'];
			$instance['ad3_link'] = $new_instance['ad3_link'];
			$instance['ad4_link'] = $new_instance['ad4_link'];
			$instance['ad5_link'] = $new_instance['ad5_link'];
			$instance['ad6_link'] = $new_instance['ad6_link'];
			$instance['ad7_link'] = $new_instance['ad7_link'];
			$instance['ad8_link'] = $new_instance['ad8_link'];
			
			$instance['ad_html'] = $new_instance['ad_html'];
	
			return $instance;
			
		}
		
		
	}


?>