<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "rb_signup" );' ) );
	
	
	//// OUR WIDGET CLASS
	class rb_signup extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'rb_signup_view', // BASE ID
				__('Sign-up/Login Form', ''), // NAME
				array('description' => __('Shows a sign-up/login form', '')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// IF USER LOGGED IN DO NOT SHOW THIS
			if(is_user_logged_in()) { return false; }
				
			echo $before_widget;
			
			if($title != '') { echo $before_title.$title.$after_title; }
			
			$output = '<script type="text/javascript">jQuery(document).ready(function() { jQuery(\'.sign-up-login\').signUpLoginWidgetTabs(); jQuery(\'.register-new-agent\').sidebarAddNewAgent(); jQuery(\'.login-agent\').sidebarLoginAgent(); });</script><div class="sign-up-login sign-up-login-'.$theme.'">';
				
				//// TABS
				$output .= '<ul class="tabbed">';
				
					$output .= '<li class="tab current">'.__('Register', 'btoa').'</li>';
					$output .= '<li class="tab">'.__('Login', 'btoa').'</li>';
				
				$output .= '</ul>';
				
				$output .= '<div class="clear"></div>';
				
				//// TABBED
				$output .= '<ul class="tabs">';
				
					//// REGISTER
					$output .= '<li class="current"><form class="register-new-agent" action="'.home_url().'" method="post">
                
                	<p class="error">asdf</p>
                
                	<label>'.__('Username:', 'btoa').'</label>
                    <input type="text" name="user" value="" class="text" />
                
                    <div class="form-divider"></div>
                    <!-- /.form-divider/ -->
                
                	<label>'.__('Email Address:', 'btoa').'</label>
                    <input type="email" name="email" value="" class="text" />
                
                    <div class="form-divider"></div>
                    <!-- /.form-divider/ -->
                
                	<label for="top-sign-up-register-package">'.__('Select Your Package', 'btoa').' (<a href="'.get_permalink(ddp('packages_page')).'" style="display: inline;">?</a>)</label>
                    <select name="top-sign-up-register-package" id="top-sign-up-register-package">';
						
							//// LET'S GET OUR PAKAGES
							$args = array(
							
								'post_type' => 'package',
								'posts_per_page' => -1,
								'orderby' => 'meta_value_num',
								'meta_key' => 'price',
								'order' => 'ASC',
							
							);
							
							$pQ = new WP_Query($args);
							
							if($pQ->have_posts()) { while($pQ->have_posts()) { $pQ->the_post();
								
								$output .= '<option value="'.get_the_ID().'">'.get_the_title();
								
								if(get_post_meta(get_the_ID(), 'price', true) == 0 || !is_numeric(get_post_meta(get_the_ID(), 'price', true))) { $output .= __(' - FREE', 'btoa'); }
								else { $output .= ' - '.format_price(get_post_meta(get_the_ID(), 'price', true)); }
								
								echo '</option>';
								
							} wp_reset_postdata(); }
                    
                    $output .= '</select>
                    
                    <input type="submit" class="submit';
					
					if($theme == 'dark') { $output .= ' pop-up-submit'; }
					
					$output .= '" style="margin-top: 25px;" value="Register Now" />
                
                </form></li>
                <!-- /#top-sign-up-login/ -->';
				
					//// LOGIN
					$output .= '<li><form class="login-agent" action="'.home_url().'" method="post">
                
                	<p class="error"></p>
                
                	<label>'.__('Username:', 'btoa').'</label>
                    <input type="text" name="user" value="" class="text" />
                
                    <div class="form-divider"></div>
                    <!-- /.form-divider/ -->
                
                	<label>'.__('Password:', 'btoa').'</label>
                    <input type="password" name="pass" value="" class="text" />
                
                    <div class="form-divider"></div>
                    <!-- /.form-divider/ -->
                    
                    <div class="clear"></div><a href="'.wp_lostpassword_url( home_url() ).'" class="lostpwd">'.__('Forgot Password &rarr;', 'btoa').'</a>
                    
                    <input type="submit" class="submit" value="Log in" />
                
                </form></li>
                <!-- /#top-sign-up-login/ -->';
				
				$output .= '</ul>';
			
			$output .= '</div>';
			
			
			echo $output;
			
			echo $after_widget;
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			$defaults = array(
			
				'theme' => 'dark',
				'title' => '',
			
			);
			
			
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label> 
                	<input type="text" value="<?php echo $instance['title']; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" id="<?php echo $this->get_field_id( 'title' ); ?>" class="widefat">
                
                </p>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('theme'); ?>">Theme:</label> 
                    <select class="widefat" name="<?php echo $this->get_field_name( 'theme' ); ?>" id="<?php echo $this->get_field_id( 'theme' ); ?>">
                    
                    	<option value="dark"<?php if($instance['theme'] == 'dark') { echo ' selected="selected"'; } ?>>Dark Scheme</option>
                    	<option value="light"<?php if($instance['theme'] == 'light') { echo ' selected="selected"'; } ?>>Light Scheme</option>
                    
                    </select>
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new, $old) {
			
			//// NEW INSTANCE ARRAY
			$instance = array();
			
			//// OUR FIELDS
			$instance['title'] = strip_tags($new['title']);
			$instance['theme'] = strip_tags($new['theme']);
			
			//// SAVES OUR FIELDS
			return $instance;
			
		}
		
		
	}


?>