<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "rb_properties" );' ) );
	
	
	//// OUR WIDGET CLASS
	class rb_properties extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'rb_properties_view', // BASE ID
				__('List Properties', ''), // NAME
				array('description' => __('Shows properties as a widget', '')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// DOE SOUR QUERY
			$args = array(
			
				'post_type' => 'property',
				'posts_per_page' => $count,
			
			);
			
			//// IF RANDOM
			if($random == 'on') { $args['orderby'] = 'rand'; }
			
			//// IF FEATURED ONLY
			if($random == 'on') { $args['meta_query'] = array(
			
				array(
				
					'key' => 'featured',
					'value' => 'on',
				
				)
			
			); }
			
			$pQ = new WP_Query($args);
			
			//// HAVE POSTS
			if($pQ->have_posts()) {
				
				echo $before_widget;
				
				if($title != '') { echo $before_title.$title.$after_title; }
				
				echo '<ul class="widget-properties">';
				
				while($pQ->have_posts()) { $pQ->the_post();
				
				$featured = getFeaturedImage(get_the_ID());
					
					echo '<li>'; ?>
					
					
                            
                                <div class="property-image-info">
                            
                                    <?php get_property_image(get_the_ID()); ?>
                                    
                                    <div class="property-info">
                                    
                                        <div class="left">
                                            <span class="beds"><?php echo get_post_meta(get_the_ID(), 'bedrooms', true); ?></span>
                                            <span class="baths"><?php echo get_post_meta(get_the_ID(), 'bathrooms', true); ?></span>
                                            <?php if(get_post_meta(get_the_ID(), 'car_spaces', true) != '') : ?><span class="cars"><?php echo get_post_meta(get_the_ID(), 'car_spaces', true); ?></span><?php endif; ?>
                                        </div>
                                        <!-- /.left/ -->
                                        
                                        <div class="right"><span style="display: block;"><?php echo format_property_price(get_post_meta(get_the_ID(), 'price', true), get_the_ID()); ?></span></div>
                                    
                                    </div>
                                    <!-- /.property-info/ -->
                                    
                                </div>
                                <!-- /.property-image-info/ -->
					
					<?php echo '</li>';
					
				} wp_reset_postdata();
				
				echo '</ul>';
				
				echo $after_widget;
				
			}
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			$defaults = array(
			
				'count' => '3',
				'title' => '',
				'random' => '',
				'featured' => '',
			
			);
			
			
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label> 
                	<input type="text" value="<?php echo $instance['title']; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" id="<?php echo $this->get_field_id( 'title' ); ?>" class="widefat">
                
                </p>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('count'); ?>">Number of Properties:</label> 
                	<input type="text" value="<?php echo $instance['count']; ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" id="<?php echo $this->get_field_id( 'count' ); ?>" class="widefat">
                
                </p>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('random'); ?>">Random</label> 
                	<input type="checkbox" <?php if($instance['random'] == 'on') : ?> checked="checked"<?php endif; ?> name="<?php echo $this->get_field_name( 'random' ); ?>" id="<?php echo $this->get_field_id( 'random' ); ?>">
                
                </p>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('featured'); ?>">Featured Properties Only</label> 
                	<input type="checkbox" <?php if($instance['featured'] == 'on') : ?> checked="checked"<?php endif; ?> name="<?php echo $this->get_field_name( 'featured' ); ?>" id="<?php echo $this->get_field_id( 'featured' ); ?>">
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new, $old) {
			
			//// NEW INSTANCE ARRAY
			$instance = array();
			
			//// OUR FIELDS
			$instance['title'] = strip_tags($new['title']);
			$instance['count'] = strip_tags($new['count']);
			$instance['random'] = strip_tags($new['random']);
			$instance['featured'] = strip_tags($new['featured']);
			
			//// SAVES OUR FIELDS
			return $instance;
			
		}
		
		
	}


?>