<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "us_subpages" );' ) );
	
	
	//// OUR WIDGET CLASS
	class us_subpages extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'us_subpages', // BASE ID
				__('Custom - Subpages', 'ultrasharp'), // NAME
				array('description' => __('Displays subpages of current page', 'ultrasharp')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// LET'S START OUR OUTPUT
			echo $before_widget;
			
			//// OUR TITLE
			if($title != '') { echo $before_title.$title.$after_title; }
			
			//// FIRST LET'S SEE IF THIS PAGE HAS A PARENT POST
			if($post->post_parent != 0) {
				
				$parent_post = $post->post_parent;
				$top_parent = $post->post_parent;
				
				while($parent_post > 0) {
					
					// GET OUR PARENT'S PAGE
					$this_page = get_page($parent_post);
					
					if($this_page->post_parent != 0) { $top_parent = $this_page->post_parent; }
					
					// OUR NEW POST PARENT
					$parent_post = $this_page->post_parent;
					
				}
				
			} else { $top_parent = $post->ID; }
			
			/// NOW LET'S GET ALL CHILDREN PAGES AND DISPLAY THEM IN THE UL
			$args = array(
			
				'child_of' => $top_parent,
			
			);
			
			$subpages = get_pages($args);
			
			echo '<ul class="subpages">';
			
			//// IF IT'S NOT THE TOP PARENT PAGE
			if($top_parent != 0) { echo '<li><a href="'.get_permalink($top_parent).'">'.get_the_title($top_parent).'</a></li>'; }
			
			//// LETS LOOP OUR PAGES
			foreach($subpages as $subp) {
				
				echo '<li><a href="'.get_permalink($subp->ID).'">'.$subp->post_title.'</a></li>';
				
			}
			
			echo '</ul>';
			
			//// CLOSES OUR ITEM
			echo $after_widget;
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			//// OUR DEFAULTS
			$defaults = array(
			
				'username' => 'envato',
				'count' => '4',
			
			);
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>
            
            	<p style="border-bottom: 1px solid #dfdfdf; padding-bottom: 15px; margin-bottom: 15px;">
                
                	<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'ultrasharp'); ?></label> 
                    <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" />
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new, $old) {
			
			//// NEW INSTANCE ARRAY
			$instance = array();
			
			//// OUR FIELDS
			$instance['title'] = strip_tags($new['title']);
			
			//// SAVES OUR FIELDS
			return $instance;
			
		}
		
		
	}


?>