<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "show_suburbs" );' ) );
	
	
	//// OUR WIDGET CLASS
	class show_suburbs extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'rb_show_suburbs', // BASE ID
				__('Suburbs Listing', ''), // NAME
				array('description' => __('Displays a list of suburbs (that have at lease one property)', '')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// LET'S START OUR OUTPUT
			echo $before_widget;
			
			//// OUR TITLE
			if($title != '') { echo $before_title.$title.$after_title; }
			
			/// GETS OUR SURBURBS
			$suburbs = get_terms('suburbs', array('orderby' => 'count', 'order' => 'DESC'));
			
			//// LOOPS SUBURBS
			echo '<ul class="suburbs">';
			
			foreach($suburbs as $suburb) {
				
				echo '<li>';
				
					echo '<a href="'.get_term_link($suburb, 'suburbs').'" title="'.$suburb->name.'">'.$suburb->name;
					
					if($count == 'on') { echo ' ('.$suburb->count.')'; }
					
					echo '</a>';
				
				echo '</li>';	
				
			}
                        
             echo '</ul>
                        <!-- /.suburbs/ -->';
			
			//// CLOSES OUR ITEM
			echo $after_widget;
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			//// OUR DEFAULTS
			$defaults = array(
			
				'title' => '',
				'count' => '',
			
			);
			
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>
            
            
            	<p style="border-bottom: 1px solid #dfdfdf; padding-bottom: 15px; margin-bottom: 15px;">
                
                	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title', 'ultrasharp'); ?></label>
                	<input type="text" value="<?php echo $instance['title']; ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" id="<?php echo $this->get_field_id( 'title' ); ?>" class="widefat">
                
                </p>
                
            	<p>
                
                	<label for="<?php echo $this->get_field_id('count'); ?>">Show Property Count</label> 
                    <input type="checkbox" name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" <?php if($instance['count'] == 'on') { echo 'checked="checked"'; } ?> style="float: right;" />
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new, $old) {
			
			//// NEW INSTANCE ARRAY
			$instance = array();
			
			//// OUR FIELDS
			$instance['count'] = strip_tags($new['count']);
			$instance['title'] = strip_tags($new['title']);
			
			//// SAVES OUR FIELDS
			return $instance;
			
		}
		
		
	}


?>