<?php


	//// REGISTERS OUR WIDGETS
	add_action( 'widgets_init', create_function( '', 'register_widget( "tabbed_posts" );' ) );
	
	
	//// OUR WIDGET CLASS
	class tabbed_posts extends WP_Widget {
		
		////////////////////////////////////////////////////////////
		//// REGISTER WIDGET WITH WORDPRESS
		public function __construct() {
			
			parent::__construct(
			
				'us_tabbed_posts', // BASE ID
				__('Custom - Tabbed Posts', 'ultrasharp'), // NAME
				array('description' => __('Displays Latest and Popular Posts and Recent Comments', 'ultrasharp')) // DESCRIPTION
			
			);
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// FRONT-END FUNCTION
		public function widget($args, $instance) {
			
			global $wpdb, $post;
			
			//lets preserve our $post variable
			$tempPost = $post;
			
			//// EXTRACT OUR INPUTS
			extract($args);
			extract($instance);
			
			//// LET'S START OUR OUTPUT
			echo $before_widget;
			
			/// CRETES A RANDOM ID FOR OUR CONTAINER
			$randomContId = twitterRandomId();
			
			//// NOW WHAT REALLY INTERESTS US ?>
            
            	<script type="text/javascript">
				
					jQuery(document).ready(function() {
						
						jQuery('#<?php echo $randomContId; ?>').tabbedPosts();
						
					});
				
				</script>
            
            	<div class="tabbed-posts" id="<?php echo $randomContId; ?>">
                
                	<ul class="tabbed-posts-tabs">
                    
                    	<?php if($popular != '') : ?><li class="tabbed-posts-tab"><?php echo $popular; ?></li><?php endif; ?>
                    
                    	<?php if($recent != '') : ?><li class="tabbed-posts-tab"><?php echo $recent; ?></li><?php endif; ?>
                    
                    	<?php if($comments != '') : ?><li class="tabbed-posts-tab"><?php echo $comments; ?></li><?php endif; ?>
                    
                    </ul>
                    <!-- /.tabbed-posts-tabs/ -->
                    
                    <ul class="tabbed-posts-tabbed">
                    
                    	<?php if($popular != '') : ?><li>
                        
                        	<ul class="tabbed-posts-popular">
						
                        	<?php
							
								//// OUR POPULAR POSTS
								$popular_posts = $wpdb->get_results("SELECT comment_count,ID,post_title,post_type FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , ".$count);
								
								foreach($popular_posts as $pop_post) {
									
									//// IF IT'S A POST
									if($pop_post->post_type == 'post') {
									
										$src = wp_get_attachment_image_src(get_post_thumbnail_id($pop_post->ID), 'full');
										
										//// OPENS OUR LI
										echo '<li><a href="'.get_permalink($pop_post->ID).'">';
											
											//// IF WE HAVE A FEATURED IMAGE
											if($src[0] != '') { echo '<img src="'.ddTimthumb($src[0], 50, 50).'" title="'.$pop_post->post_title.'" alt="'.$pop_post->post_title.'" />'; }
											
											//// TITLE
											echo '<span class="title">'.$pop_post->post_title.'</span>';
											
											//// DATE AND COMMENTS
											echo '<span class="date">'.get_the_time(get_option('date_format'), $pop_post->ID).'</span><span class="comments">'.$pop_post->comment_count.' responses</span>';
										
										//// CLOSES OUR LI
										echo '<div class="clear"></div></a></li>';
										
									}
									
								}
							
							?>
                            
                            </ul>
                            <!-- /popular-posts/ -->
                            
                        </li><?php endif; ?>
                    
                    	<?php if($recent != '') : ?><li>
                        
                        	<ul class="tabbed-posts-recent">
						
                        	<?php
							
								//// OUR RECENT POSTS
								$args = array(
								
									'post_type' => 'post',
									'posts_per_page' => $count
								
								);
								
								$tabBlogQuery = new WP_Query($args);
								
								if($tabBlogQuery->have_posts()) {
									
									while($tabBlogQuery->have_posts()) { $tabBlogQuery->the_post();
										
										//// FEATUERD IMAGE
										$src = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full');
										
										//// OPENS OUR LI
										echo '<li><a href="'.get_permalink(get_the_ID()).'">';
											
											//// IF WE HAVE A FEATURED IMAGE
											if($src[0] != '') { echo '<img src="'.ddTimthumb($src[0], 50, 50).'" title="'.get_the_title().'" alt="'.get_the_title().'" />'; }
											
											//// TITLE
											echo '<span class="title">'.get_the_title().'</span>';
											
											//// DATE AND COMMENTS
											echo '<span class="date">'.get_the_time(get_option('date_format')).'</span><span class="comments">'.get_comments_number().' responses</span>';
										
										//// CLOSES OUR LI
										echo '<div class="clear"></div></a></li>';
										
									}
									
								}
								
							?>
                            
                            </ul>
                            <!-- /popular-posts/ -->
                            
                        </li><?php endif; ?>
                    
                    	<?php if($comments != '') : ?><li>
                        
                        	<ul class="tabbed-posts-comments">
						
                        	<?php
							
								//// OUR LATEST COMMENTS
								$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,30) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT ".$count;
								
								$comments = $wpdb->get_results($sql);
								
								foreach($comments as $comment) {
										
										//// FEATUERD IMAGE
										$src = get_avatar($comment->ID, 50);
										
										//// OPENS OUR LI
										echo '<li><a href="'.get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID.'">';
											
											//// IF WE HAVE A FEATURED IMAGE
											echo $src;
											
											//// TITLE
											echo '<span class="comment-content">'.$comment->com_excerpt.'</span>';
											
											//// DATE AND COMMENTS
											echo '<span class="comment-post">&mdash; '.__('on', 'ultrasharp').' '.get_the_title($comment->comment_post_ID).'</span>';
										
										//// CLOSES OUR LI
										echo '<div class="clear"></div></a></li>';
										
								}
								
							?>
                            
                            </ul>
                            <!-- /popular-posts/ -->
                            
                        </li><?php endif; ?>
                    
                    </ul>
                    <!-- /tabbed-posts-tabbed/ -->
                
                </div>
                <!-- /tabbed-posts/ -->
            
			
			<?php 
			
			//restores our $post var
			$post = $tempPost;
			
			//// ENDS OUR OUTPUT
			echo $after_widget;
			
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// BACK-END FUNCTION
		public function form($instance) {
			
			//// OUR DEFAULTS
			$defaults = array(
			
				'count' => '4',
				'popular' => 'Popular',
				'recent' => 'Recent',
				'comments' => 'Comments',
			
			);
			$instance = wp_parse_args((array) $instance, $defaults);
			
			//// OUR FORM ?>
            
            	<p style="border-bottom: 1px solid #dfdfdf; padding-bottom: 15px; margin-bottom: 15px;">
                
                	<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Number of Posts/Comments:', 'ultrasharp'); ?></label> 
                    <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo esc_attr($instance['count']); ?>" />
                
                </p>
            
            	<p style="border-bottom: 1px solid #dfdfdf; padding-bottom: 15px; margin-bottom: 15px;">
                
                	<label for="<?php echo $this->get_field_id('popular'); ?>"><?php _e('Popular Tab Title:', 'ultrasharp'); ?> <em>(<?php _e('Leave blank to hide', 'ultrasharp'); ?>)</em></label> 
                    <input class="widefat" id="<?php echo $this->get_field_id('popular'); ?>" name="<?php echo $this->get_field_name('popular'); ?>" type="text" value="<?php echo esc_attr($instance['popular']); ?>" />
                
                </p>
            
            	<p style="border-bottom: 1px solid #dfdfdf; padding-bottom: 15px; margin-bottom: 15px;">
                
                	<label for="<?php echo $this->get_field_id('recent'); ?>"><?php _e('Recent Tab Title:', 'ultrasharp'); ?> <em>(<?php _e('Leave blank to hide', 'ultrasharp'); ?>)</em></label> 
                    <input class="widefat" id="<?php echo $this->get_field_id('recent'); ?>" name="<?php echo $this->get_field_name('recent'); ?>" type="text" value="<?php echo esc_attr($instance['recent']); ?>" />
                
                </p>
            
            	<p>
                
                	<label for="<?php echo $this->get_field_id('comments'); ?>"><?php _e('Comments Tab Title:', 'ultrasharp'); ?> <em>(<?php _e('Leave blank to hide', 'ultrasharp'); ?>)</em></label> 
                    <input class="widefat" id="<?php echo $this->get_field_id('comments'); ?>" name="<?php echo $this->get_field_name('comments'); ?>" type="text" value="<?php echo esc_attr($instance['comments']); ?>" />
                
                </p>
            
            <?php
			
		}
		
		
		////////////////////////////////////////////////////////////
		//// SAVE FUNCTION
		public function update($new, $old) {
			
			//// NEW INSTANCE ARRAY
			$instance = array();
			
			//// OUR FIELDS
			$instance['count'] = strip_tags($new['count']);
			$instance['popular'] = strip_tags($new['popular']);
			$instance['recent'] = strip_tags($new['recent']);
			$instance['comments'] = strip_tags($new['comments']);
			
			//// SAVES OUR FIELDS
			return $instance;
			
		}
		
		
	}


?>