(function($){ 

    $.fn.extend({
		
		rbSeachProperty: function() {
			
			//// VARS
			var formCont = this;
			
			//// WHEN THE USER SUBMITS THE FORM
			formCont.submit(function(e) {
				
				//// LETS BUILD UP THE USED FIELDS AND SET OUR GET METHOD
				var getUrl = '?';
				
				//// FIRST WE GET THE LEASE TYPE
				var leaseTypeCont = formCont.find('#property-lease-input');
				var leaseType = leaseTypeCont.children('option:selected').val();
				var parentCont = formCont.find('#property-search-'+leaseType);
				getUrl += 'lease='+leaseType;
				
				//// GETS THE PROPERTY TYPE
				var propertyType = parentCont.find('select[name="property-type"] option:selected').val();
				if(propertyType != 'all') { getUrl += '&type='+propertyType; }
				
				//// GETS THE SUBURB
				var suburb = parentCont.find('select[name="property-suburb"] option:selected').val();
				if(suburb != 'all') { getUrl += '&suburb='+suburb; }
				
				//// GETS THE SURROUNDING SUBURB
				var surroundingSuburbs = parentCont.find('input[name="property-suburbs-surrounding"]');
				if(surroundingSuburbs.is(':checked') && suburb != 'all') { getUrl += '&surrounding=true'; }
				
				//// GETS PRICE FROM
				var priceFrom = parentCont.find('select[name="property-price-from"] option:selected').val().replace(/^\s+|\s+$/g,'');
				if(priceFrom != 'all') { getUrl += '&from='+priceFrom; }
				
				//// GETS PRICE TO
				var priceTo = parentCont.find('select[name="property-price-to"] option:selected').val().replace(/^\s+|\s+$/g,'');
				if(priceTo != 'all') { getUrl += '&to='+priceTo; }
				
				//// MAKES SURE THE PRICE TO IS NOT HIGHER THAN THE PRICE FROM
				if(priceTo != 'all' && priceFrom != 'all') { if(parseInt(priceFrom) >= parseInt(priceTo)) { alert(pSearch.price_alert); e.preventDefault; return false; } }
				
				//// GETS BEDROOMS
				var bedrooms = parentCont.find('select[name="property-bedrooms"] option:selected').val();
				if(bedrooms != 'all') { getUrl += '&bedrooms='+bedrooms; }
				
				//// GETS BATHROOMS
				var bathrooms = parentCont.find('select[name="property-bathrooms"] option:selected').val();
				if(bathrooms != 'all') { getUrl += '&bathrooms='+bathrooms; }
				
				//// GETS CAR SPACES
				var car_spaces = parentCont.find('select[name="property-car-spaces"] option:selected').val();
				if(car_spaces != 'all') { getUrl += '&car-spaces='+car_spaces; }
				
				//// GETS CUSTOM FIELDS
				parentCont.find('.property-custom-field').each(function() {
					
					//// SEES IF THIS ITEM IS CHECKED
					if(jQuery(this).is(':checked')) { getUrl += '&'+jQuery(this).attr('name')+'=true'; }
					
				});
				
				/// REDIRECTS THE USER
				var redirectUrl = pSearch.property_page+getUrl;
				window.location = redirectUrl;
				
				//// PREVENTS NORMAL SUBMISSION
				e.preventDefault();
				return false;
				
			});
			
		},
		
		rbFilterProperty: function() {
			
			//// VARS
			var formCont = this;
			
			//// WHEN THE USER SUBMITS THE FORM
			formCont.submit(function(e) {
				
				//// LETS BUILD UP THE USED FIELDS AND SET OUR GET METHOD
				var getUrl = '?';
				
				//// FIRST WE GET THE LEASE TYPE
				var leaseTypeCont = formCont.find('#property-lease-input');
				var leaseType = leaseTypeCont.children('option:selected').val();
				var parentCont = formCont.find('.filter-'+leaseType);
				getUrl += 'lease='+leaseType;
				
				
				//// GETS THE PROPERTY TYPE
				var propertyType = parentCont.find('select[name="property-type"] option:selected').val();
				if(propertyType != 'all') { getUrl += '&type='+propertyType; }
				
				//// GETS THE SUBURB
				var suburb = parentCont.find('select[name="property-suburb"] option:selected').val();
				if(suburb != 'all') { getUrl += '&suburb='+suburb; }
				
				//// GETS THE SURROUNDING SUBURB
				var surroundingSuburbs = parentCont.find('input[name="property-suburbs-surrounding"]');
				if(surroundingSuburbs.is(':checked') && suburb != 'all') { getUrl += '&surrounding=true'; }
				
				//// GETS PRICE FROM
				var priceFrom = parentCont.find('select[name="property-price-from"] option:selected').val();
				if(priceFrom != 'all') { getUrl += '&from='+priceFrom; }
				
				//// GETS PRICE TO
				var priceTo = parentCont.find('select[name="property-price-to"] option:selected').val();
				if(priceTo != 'all') { getUrl += '&to='+priceTo; }
				
				//// MAKES SURE THE PRICE TO IS NOT HIGHER THAN THE PRICE FROM
				if(priceTo != 'all' && priceFrom != 'all') { if(parseInt(priceFrom) >= parseInt(priceTo)) { alert(pSearch.price_alert); e.preventDefault; return false; } }
				
				//// GETS BEDROOMS
				var bedrooms = parentCont.find('select[name="property-bedrooms"] option:selected').val();
				if(bedrooms != 'all') { getUrl += '&bedrooms='+bedrooms; }
				
				//// GETS BATHROOMS
				var bathrooms = parentCont.find('select[name="property-bathrooms"] option:selected').val();
				if(bathrooms != 'all') { getUrl += '&bathrooms='+bathrooms; }
				
				//// GETS CAR SPACES
				var car_spaces = parentCont.find('select[name="property-car-spaces"] option:selected').val();
				if(car_spaces != 'all') { getUrl += '&car-spaces='+car_spaces; }
				
				//// GETS CUSTOM FIELDS
				parentCont.find('.property-custom-field').each(function() {
					
					//// SEES IF THIS ITEM IS CHECKED
					if(jQuery(this).is(':checked')) { getUrl += '&'+jQuery(this).attr('name')+'=true'; }
					
				});
				
				//// CHECKS FOR OUR VIEW VARIABLE
				var getVars = window.location.search.replace('?', '').split('&');
				jQuery.each(getVars, function(index, val) { if(val == 'view=map') { getUrl += '&view=map'; } });
				
				/// REDIRECTS THE USER
				var redirectUrl = pSearch.property_page+getUrl;
				window.location = redirectUrl;
				
				//// PREVENTS NORMAL SUBMISSION
				e.preventDefault();
				return false;
				
			});
			
		},
		
		propertyEnquiryForm: function() {
			
			//// VARS
			var mainCont = this;
			var thankCont = mainCont.find('.thank-you');
			var nameCont = mainCont.find('input[name="name"]');
			var emailCont = mainCont.find('input[name="email"]');
			var phoneCont = mainCont.find('input[name="phone"]');
			var messageCont = mainCont.find('textarea[name="message"]');
			var errorCont = mainCont.find('.error-message');
			var property_id = mainCont.find('input[name="property_id"]');
			var buttonCont = mainCont.find('input[type="submit"]');
			
			//// WHEN THE USER SUBMITS THE FORM
			mainCont.submit(function(e) {
				
				var error = '';
				
				//// VALIDATES OUR FORM
				nameCont.removeClass('error');
				if(nameCont.val() == '' || nameCont.val() == 'Your name') { nameCont.addClass('error'); error += 'You need to type in your name<br>'; }
				
				emailCont.removeClass('error');
				if(emailCont.val() == '' || emailCont.val() == 'Email address') { emailCont.addClass('error'); error += 'You need to type in your email address<br>'; }
				
				messageCont.removeClass('error');
				if(messageCont.val() == '' || messageCont.val() == 'Enquiry') { messageCont.addClass('error'); error += 'You need to type in an enquiry<br>'; }
				
				//// IF NO ERRORS
				if(error == '') {
					
					/// DISPLAYS LOADING SIGN
					mainCont.addClass('loading').find('input, textarea').stop().animate({ opacity: .2 }, 300);
					buttonCont.attr('disabled', 'disabled');
					
					/// SENDS OUR FORM
					jQuery.ajax({
						
						url: 					pSearch.ajaxurl,
						type: 					'post',
						dataType: 				'json',
						data: {
						
							nonce:					pSearch.e_nonce,
							action: 				'property_enquiry',
							name: 					nameCont.val(),
							email: 					emailCont.val(),
							phone: 					phoneCont.val(),
							message: 				messageCont.val(),
							property: 				property_id.val()
							
						}, 
						success: function(data) {
							
							//// IF NO ERRORS
							if(data.error == false) {
								
								mainCont.removeClass('loading').find('*').fadeOut(200, function() {
									
									thankCont.fadeIn(200);
									thankCont.find('p').fadeIn(200);
									
								});
								
							} else {
								
								/// IF WE CANT SEND THE MEAIL
								if(data.error_email != '') {
									
									alert(data.error_message);
									
								} else {
								
									errorCont.html(data.error_message).slideDown(200, function() { jQuery(this).delay(5000).slideUp(200); });
						
									/// DISPLAYS LOADING SIGN
									mainCont.removeClass('loading').find('input, textarea').stop().animate({ opacity: 1 }, 300);
									buttonCont.removeAttr('disabled');
								
								}
								
							}
							
						}
						
					})
					
				} else {
					
					errorCont.html(data.error_message).slideDown(200, function() { jQuery(this).delay(5000).slideUp(200); });
					
				}
				
				//// PREVENTS NON AJAX SUBMISSIONS
				e.preventDefault();
				return false;
				
			});
			
		}
		
	});
	
})(jQuery);