(function($){ 

    $.fn.extend({
		
		btoaDropdown: function() {
			
			var mainCont = this;
			
			mainCont.find('li').hoverIntent(function() {
				
				jQuery(this).addClass('hovered').children('ul').slideDown(200);
				
			}, function() {
				
				jQuery(this).removeClass('hovered').children('ul').slideUp(200);
				
			});
			
		},
		
		rbSlider: function(waitTime) {
			
			//main vars
			var mainCont = this;
			var sliderCont = jQuery('#slider-content');
			fiveSharpPlaying = 0;
			fiveIsClicked = 0;
			fiveIsHovered = 0;
			
			mainCont.hover(function() { fiveIsHovered = 1; }, function() { fiveIsHovered = 0; });
			
			//sets up our first slide
			sliderCont.children('li:first').addClass('current').css({ opacity: 0, display: 'block' }).animate({ opacity: 1 }, 400);
			
			//shows our slider and selector
			sliderCont.removeClass('loading');
			
			//// IF WE HAVE MORE THAN ONE SLIDE
			if(sliderCont.children('li').length > 1) {
			
				//if its not playing
					
				var thisInt = setInterval(function() {
					
					if(fiveSharpPlaying === 0 && fiveIsClicked === 0 && fiveIsHovered === 0) { mainCont.nextFiveSlider(); }
					
				}, waitTime);
			
			}
			
		},
		
		nextFiveSlider: function() {
			
			//main vars
			fiveSharpPlaying = 1;
			var mainCont = this;
			var sliderCont = jQuery('#slider-content');
			
			var currentSlide = sliderCont.children('li.current');
			var nextSlide = sliderCont.children('li.current').next();
			
			if(nextSlide.length > 0) {  } else { var nextSlide = sliderCont.children('li:first'); }
			
			//plays the next slide
			
			var thisZ = parseInt(currentSlide.css('z-index'));
			
			nextSlide.css('z-index', (thisZ+1)).css({ opacity: 0, display: 'block' }).animate({ opacity: 1 }, 400, function() {
				
				//removes current
				currentSlide.removeClass('current');
				nextSlide.addClass('current');
				fiveSharpPlaying = 0;
				
			});
			
		},
		
		callFiveSlider: function(id) {
			
			//main vars
			fiveSharpPlaying = 1;
			var mainCont = this;
			var sliderCont = jQuery('#slider-content');
			var selCont = jQuery('#slider-selector');
			
			var currentSlide = sliderCont.children('li.current');
			var nextSlide = sliderCont.children('li#slide_'+id);
			
			var nextSlideId = nextSlide.attr('id').split('_');
			
			//plays the next slide
			selCont.children('li.current').removeClass('current');
			selCont.children('li#sel_'+nextSlideId[1]).addClass('current');
			nextSlide.addClass('nextSlide').css({ opacity: 0 }).animate({ opacity: 1 }, 400, function() {
				
				//removes current
				currentSlide.removeClass('current');
				nextSlide.removeClass('nextSlide').addClass('current');
				fiveSharpPlaying = 0;
				
			});
			
		},
		
		propertyMapLocation: function(the_address, lat, lng, pin) {
			
			//// MAIN VARS
			var myGmap = this;
			
			/// IF LAT AND LNG IS NOT SET, GET IT BY ADDRESS
			if(lat == '' && lng == '') {
				
				var geocoder = new google.maps.Geocoder();
				var latLng = geocoder.geocode({
					
					address: the_address
					
				}, function(results, status) {
					
					/// IF WE HAVE A RESULT
					if(status == google.maps.GeocoderStatus.OK) {
						
						lat = results[0].geometry.location.lat();
						lng = results[0].geometry.location.lng();
						
						myGmap.addPropertyMapLocation(lat, lng, pin)
						
					} else {
						
						console.log('Oops! Could not find the address for the property '+title);
						
					}
					
				});
				
			} else {
				
				//// WE ALREADY HAVE A LAT NAD LNG, JUST ADD THE MARKER
				myGmap.addPropertyMapLocation(lat, lng, pin);
				
			}
			
		},
		
		addPropertyMapLocation: function(lat, lng, pin) {
			
			//// CREATES OUR MAP
		
			this.gmap3({
				
				map: {
					
					options: {
						
						zoom: 				14,
						mapTypeControl: 	true,
						navigationControl:	true,
						streetViewControl: 	true,
						center: new google.maps.LatLng(lat, lng),
						
					}
					
				},
				
				marker: {
					
					latLng: [lat, lng],
					id: 1,
					
					//// MARKER ICON		
					options: {
						
						icon: pin
						
					},
					
				}
				
			});
			
		},
		
		addSimpleMarkerAndCluster: function(i, the_address, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price, cluster) {
			
			//// MAIN VARS
			var myGmap = this;
			
			/// IF LAT AND LNG IS NOT SET, GET IT BY ADDRESS
			if(lat == '' || lng == '') {
				
				var geocoder = new google.maps.Geocoder();
				var latLng = geocoder.geocode({
					
					address: the_address
					
				}, function(results, status) {
					
					/// IF WE HAVE A RESULT
					if(status == google.maps.GeocoderStatus.OK) {
						
						lat = results[0].geometry.location.lat();
						lng = results[0].geometry.location.lng();
						
						myGmap.addSimpleMarkerAction(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price);
						
					} else {
						
						console.log('Oops! Could not find the address for the property '+title);
						
					}
					
				});
				
			} else {
				
				//// WE ALREADY HAVE A LAT NAD LNG, JUST ADD THE MARKER
				myGmap.addSimpleMarkerAndClusterAction(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price);
				
			}
			
		},
		
		addSimpleMarkerAndClusterAction: function(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price) {
			
			var myGmap = this;
			
			//// ADDS THE SIMPLE MARKER
			myGmap.gmap3({
				
				marker: {
					
					latLng: [lat, lng],
					id: i,
					
					//// MARKER ICON		
					options: {
						
						icon: marker
						
					},
					
					//// EVENTS FOR THIS MARKER
					events: {
						
						//// ON CLICK
						click: function(marker, event, context) {
							
								//// REDIRECTS USER
								window.location = linkUrl;
							
						},
						
						//// WHEN USER HOVERS LET'S SHOW OUR OVERLAY
						mouseover: function(marker, event, context) {
							
							//// DISPLAY OUR CUSTOM MARKER OVERLAY
							jQuery('#marker_overlay_'+context.id).css({ left: '20px', opacity: 0, display: 'block' }).animate({ left: 0, opacity: 1 }, 150);
							
						},
						
						//// WHEN USER LEAVES WE HIDE IT
						mouseout: function(marker, event, context) {
							
							//// DISPLAY OUR CUSTOM MARKER OVERLAY
							jQuery('#marker_overlay_'+context.id).fadeOut(100);
							
						}
						
					},
					
					cluster: {
						
						radius: 60,
						0: {
							
							 content: '<div class="cluster cluster-3">CLUSTER_COUNT</div>',
							 width: 50,
							 height: 50
							
						}
						
					},
					
				},
				
				//// ADDS OUR CUSTOM MARKER OVERLAY
				overlay: {
					
					latLng: [lat, lng],
					options: {
						
						content: '<div class="overlay-simple-marker" id="marker_overlay_'+i+'"><span class="arrow"></span><img src="'+thumb+'" alt="" title="" /><span class="title">'+title+'</span><span class="bedrooms">'+beds+'</span><span class="bathrooms">'+baths+'</span><span class="cars">'+cars+'</span><span class="price">'+price+'</span><div class="clear"></div><p>'+excerpt+'</p></div>',
						offset: { y: -33, x: 18 }
						
					}
					
				}
				
			});
			
		},
		
		addSimpleMarker: function(i, the_address, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price, cluster) {
			
			//// MAIN VARS
			var myGmap = this;
			
			/// IF LAT AND LNG IS NOT SET, GET IT BY ADDRESS
			if(lat == '' || lng == '') {
				
				var geocoder = new google.maps.Geocoder();
				var latLng = geocoder.geocode({
					
					address: the_address
					
				}, function(results, status) {
					
					/// IF WE HAVE A RESULT
					if(status == google.maps.GeocoderStatus.OK) {
						
						lat = results[0].geometry.location.lat();
						lng = results[0].geometry.location.lng();
						
						myGmap.addSimpleMarkerAction(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price);
						
					} else {
						
						console.log('Oops! Could not find the address for the property '+title);
						
					}
					
				});
				
			} else {
				
				//// WE ALREADY HAVE A LAT NAD LNG, JUST ADD THE MARKER
				myGmap.addSimpleMarkerAction(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price);
				
			}
			
		},
		
		addSimpleMarkerAction: function(i, lat, lng, marker, linkUrl, thumb, title, beds, baths, cars, excerpt, price) {
			
			var myGmap = this;
			
			//// ADDS THE SIMPLE MARKER
			myGmap.gmap3({
				
				marker: {
					
					latLng: [lat, lng],
					id: i,
					
					//// MARKER ICON		
					options: {
						
						icon: marker
						
					},
					
					//// EVENTS FOR THIS MARKER
					events: {
						
						//// ON CLICK
						click: function(marker, event, context) {
							
							//// IF ITS MOBILE
							if(/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
								
								//// MAKES SURE WE DONT REDIRECT THE USER STRAIGHT AWAY
								if(jQuery('#marker_overlay_'+context.id).css('opacity') < 1) {
									
									
									
								} else {
									
									window.location = linkUrl;
									
								}
								
							} else {
							
								//// REDIRECTS USER
								window.location = linkUrl;
							
							}
							
						},
						
						//// WHEN USER HOVERS LET'S SHOW OUR OVERLAY
						mouseover: function(marker, event, context) {
							
							//// DISPLAY OUR CUSTOM MARKER OVERLAY
							jQuery('#marker_overlay_'+context.id).css({ left: '20px', opacity: 0, display: 'block' }).animate({ left: 0, opacity: 1 }, 150);
							
						},
						
						//// WHEN USER LEAVES WE HIDE IT
						mouseout: function(marker, event, context) {
							
							//// DISPLAY OUR CUSTOM MARKER OVERLAY
							jQuery('#marker_overlay_'+context.id).fadeOut(100);
							
						}
						
					},
					
					callback: function(marker) {
						
						thisSimpleMarkerIdGlobal = marker.__gm_id;
						
					}
					
				},
				
				//// ADDS OUR CUSTOM MARKER OVERLAY
				overlay: {
					
					latLng: [lat, lng],
					options: {
						
						content: '<div class="overlay-simple-marker" id="marker_overlay_'+i+'"><span class="arrow"></span><img src="'+thumb+'" alt="" title="" /><span class="title">'+title+'</span><span class="link" style="display: none;">'+linkUrl+'</span><span class="bedrooms">'+beds+'</span><span class="bathrooms">'+baths+'</span><span class="cars">'+cars+'</span><span class="price">'+price+'</span><div class="clear"></div><p>'+excerpt+'</p></div>',
						offset: { y: -33, x: 18 }
						
					},
					callback: function(results) {
						
						var marker = jQuery(results.getDOMElement()).children('div');
						marker.addClass('overlay-simple-marker-id-'+thisSimpleMarkerIdGlobal);
						
					}
					
				}
				
			});
			
		},
		
		addFeaturedMarker: function(i, the_address, lat, lng, marker, linkUrl, thumb, pTitle, current, cluster) {
			
			//// MAIN VARS
			var myGmap = this;
			
			/// IF LAT AND LNG IS NOT SET, GET IT BY ADDRESS
			if(lat == '' && lng == '') {
				
				var geocoder = new google.maps.Geocoder();
				var latLng = geocoder.geocode({
					
					address: the_address
					
				}, function(results, status) {
					
					console.log(status);
					
					/// IF WE HAVE A RESULT
					if(status == google.maps.GeocoderStatus.OK) {
						
						lat = results[0].geometry.location.lat();
						lng = results[0].geometry.location.lng();
						
						myGmap.addFeaturedMarkerAction(i, lat, lng, marker, linkUrl, thumb, pTitle, current);
						
					} else {
						
						console.log('Oops! Could not find the address for the property '+the_address);
						
					}
					
				});
				
			} else {
				
				//// WE ALREADY HAVE A LAT NAD LNG, JUST ADD THE MARKER
				myGmap.addFeaturedMarkerAction(i, lat, lng, marker, linkUrl, thumb, pTitle, current);
				
			}
			
		},
		
		addFeaturedMarkerAction: function(i, lat, lng, marker, linkUrl, thumb, pTitle, current) {
			
			//// MAIN VARS
			//// ADDS OUR MAP STUFF
			myGmap.gmap3({
				
				//// ADDS MARKER
				marker: {
					
					latLng: [lat, lng],
					id: i,
					
					//// MARKER ICON
					options: {
						
						icon: marker
						
					},
					
					events: {
						
						click: function(marker, event, context) {
							
							//// IF ITS MOBILE
							if(/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
								
								//// MAKES SURE WE DONT REDIRECT THE USER STRAIGHT AWAY
								if(jQuery('#marker_overlay_featured_'+context.id).css('opacity') < 1) {
									
									
									
								} else {
									
									window.location = linkUrl;
									
								}
								
							} else {
							
								//// REDIRECTS USER
								window.location = linkUrl;
							
							}
							
						},
					
						//// WHEN WE MOUSE OVER
						mouseover: function(marker, event, context) {
							
							//// IF IT'S NO ALREADY CURRENT
							if(jQuery('#marker_overlay_featured_'+context.id).attr('class').indexOf('current') == -1) {
							
								/// LET'S FADE OUR CURRENT OUT AND THE HOVERED IN
								jQuery('.overlay-featured-marker-current').animate({ opacity: .65, left: '15px', top: '30px', width: '42px', height: '42px' }, { duration: 200, easing: 'easeOutBack', complete: function() { jQuery(this).removeClass('overlay-featured-marker-current'); } });
								jQuery('.overlay-featured-marker-current .arrow').animate({ left: '18px' }, { duration: 200, easing: 'easeOutBack' });
								
								jQuery('#marker_overlay_featured_'+i).animate({ opacity: 1, left: '0px', top: '0px', width: '72px', height: '72px' }, { duration: 200, easing: 'easeOutBack', complete: function() { jQuery(this).addClass('overlay-featured-marker-current'); } });
								jQuery('#marker_overlay_featured_'+i+' .arrow').animate({ left: '33px' }, { duration: 200, easing: 'easeOutBack' });
								
								//// PLAYS THE SLIDERS - IF ENABLED
								if(jQuery('#slider-map-featured ul').length > 0) { jQuery('#slider-map-featured ul').playProperty(context.id); }
								
							}
							
						},
					
					},
					
					callback: function(marker) {
						
						thisMarkerId = marker.__gm_id;
						
					}
					
				},
				
				//// ADDS OUR OVERLAY
				overlay: {
					
					latLng: [lat, lng],
					options: {
						
						//// OUR HTML AND OFFSET
						content: '<div class="overlay-featured-marker" id="marker_overlay_featured_'+i+'"><img src="'+thumb+'" /><span class="arrow"></span><span class="latlng">'+lat+','+lng+'</span><span class="title" style="display: none">'+pTitle+'</span><span class="link" style="display: none">'+linkUrl+'</span></div>',
						offset: { y: -118, x: -42 }	
						
					},
					
					events: {
						
						click: function(marker, event, context) {
							
							//// IF ITS MOBILE
							if(/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
								
								//// MAKES SURE WE DONT REDIRECT THE USER STRAIGHT AWAY
								if(jQuery('#marker_overlay_featured_'+i).css('opacity') < 1) {
									
									
									
								} else {
									
									window.location = linkUrl;
									
								}
								
							} else {
							
								//// REDIRECTS USER
								window.location = linkUrl;
							
							}
							
						}
						
					},
				
					//// CALLBACK
					callback: function(results) {
						
						console.log(results);
							
							var marker = jQuery(results.getDOMElement()).children('div');
							marker.addClass('overlay-featured-marker-id-'+thisMarkerId);
						
						setTimeout(function() {
							
							var marker = jQuery(results.getDOMElement()).children('div');
							var finalOpacity = .65;
							
							if(typeof theCluster == 'undefined') {
							
								if(current == true) { 
									finalOpacity = 1; marker.addClass('overlay-featured-marker-current');
									marker.css({ opacity: .1, display: 'block', top: '-50px' }).animate({ top: '0', opacity: finalOpacity }, { duration: 600, easing: 'easeOutBounce' });
								}
								else {
									marker.css({ opacity: .1, display: 'block', top: '-80px' }).animate({ top: '30px', opacity: finalOpacity }, { duration: 600, easing: 'easeOutBounce' });
								}
								
							}
							
							//// IF ITS CURRENT
							//// WHEN WE MOUSE OVER OUR OVERLAY
							jQuery('#marker_overlay_featured_'+i).hover(function() {
								
								//// IF IT'S NOT ALREADY CURRENT
								if(jQuery('#marker_overlay_featured_'+i).attr('class').indexOf('current') == -1) {
							
									/// LET'S FADE OUR CURRENT OUT AND THE HOVERED IN
									jQuery('.overlay-featured-marker-current').animate({ opacity: .65, left: '15px', top: '30px', width: '42px', height: '42px' }, { duration: 200, easing: 'easeInOutBack', complete: function() { jQuery(this).removeClass('overlay-featured-marker-current'); } });
									jQuery('.overlay-featured-marker-current .arrow').animate({ left: '18px' }, { duration: 200, easing: 'easeInOutBack' });
									
									jQuery('#marker_overlay_featured_'+i).animate({ opacity: 1, left: '0px', top: '0px', width: '72px', height: '72px' }, { duration: 200, easing: 'easeInOutBack', complete: function() { jQuery(this).addClass('overlay-featured-marker-current'); } });
									jQuery('#marker_overlay_featured_'+i+' .arrow').animate({ left: '33px' }, { duration: 200, easing: 'easeInOutBack' });
									
									//// PLAYS THE SLIDERS - IF WE HAVE OUR FEATURED SLIDER ENABLED
									if(jQuery('#slider-map-featured ul').length > 0) { jQuery('#slider-map-featured ul').playProperty(i); }
									
								}
								
							}, function() {
								
								
								
							});
							
						}, 700);
						
					}
					
				}
				
			});
			
			//// ADDS AN EXTRA OVERLAY SO WHEN WE PAN OUR MAP IT SHOWS THE TARGET
			myGmap.gmap3({
				
				overlay: {
					
					latLng: [lat, lng],
					options: {
						
						content : '<div class="overlay-target" id="marker_overlay_target_'+i+'"></div>',
						offset: { y: -41, x: -28 }
						
					}
					
				}
				
			});
			
		},
		
		gmapZoomIn: function(mapObj) {
			
			//// vars
			var zoomCont = this;
			
			//// when user clicks it
			zoomCont.click(function() {
			
				//// LETS GET CURRENT ZOOM LEVEL AND INCREASE IT
				
				var zoomLevel = jQuery(mapObj).gmap3('get').getZoom();
				zoomLevel++;
				if(zoomLevel>20) { zoomLevel = 20; }
				
				//// SETS NEW ZOOM
				mapObj.gmap3({ map:{
					
					options: {
						
						zoom: zoomLevel
						
					}
					
				}});
				
			});
			
		},
		
		gmapZoomOut: function(mapObj) {
			
			//// vars
			var zoomCont = this;
			
			//// when user clicks it
			zoomCont.click(function() {
			
				//// LETS GET CURRENT ZOOM LEVEL AND INCREASE IT
				
				var zoomLevel = jQuery(mapObj).gmap3('get').getZoom();
				zoomLevel--;
				if(zoomLevel<=2) { zoomLevel = 2; }
				
				//// SETS NEW ZOOM
				mapObj.gmap3({ map:{
					
					options: {
						
						zoom: zoomLevel
						
					}
					
				}});
				
			});
			
		},
		
		sliderMapFeaturedInit: function() {
			
			//// vars
			var mainCont = this;
			var ulCont = this.children('ul');
			var currentCont = ulCont.children('li:first').addClass('current');
			var mapIndex = currentCont.attr('id').split('_');
			var mapIndex = mapIndex[2];
			var prevSlider = jQuery('#slider-map-featured-left');
			var nextSlider = jQuery('#slider-map-featured-right');
			
			//// CENTERS OUR CURRENT ITEM
			ulCont.centerSliderMapFeatured(0, function() {
				
				ulCont.children('li').fadeIn(300);
				
			});
			
			//// WHEN USER RESIZES MAKE SUR EWE STAY CENTERED
			jQuery(window).resize(function() {
				
				var currentItemIndex = ulCont.children('li.current').index();
				ulCont.centerSliderMapFeatured(currentItemIndex);
				
			});
			
			//// WHEN SUER CLICKS IT!
			nextSlider.click(function() {
				
				/// LETS GET THE SECOND ITEM AFTER CURRENT AND CENTER IT
				var nextItem = ulCont.children('li.current').next().next().attr('id').split('_');
				ulCont.playProperty(nextItem[2]);
				if(myGmap != undefined) { myGmap.shoeFeaturedOverlay(nextItem[2]); }
				
			});
			
			//// WHEN SUER CLICKS IT!
			prevSlider.click(function() {
				
				/// LETS GET THE SECOND ITEM AFTER CURRENT AND CENTER IT
				var nextItem = ulCont.children('li.current').prev().prev().attr('id').split('_');
				ulCont.playProperty(nextItem[2]);
				if(myGmap != undefined) { myGmap.shoeFeaturedOverlay(nextItem[2]);  }
				
			});
			
			//// IF MOBILE
			if(/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
				
				/// IF SWIPE LEFT
				jQuery('#slider-map-featured').swipe({ swipe:function(event, direction, distance, duration, fingerCount) {
					
					//// IF SWIPE LEFT
					if(direction == 'left') {
				
						/// LETS GET THE SECOND ITEM AFTER CURRENT AND CENTER IT
						var nextItem = ulCont.children('li.current').next().next().attr('id').split('_');
						ulCont.playProperty(nextItem[2]);
						if(myGmap != undefined) { myGmap.shoeFeaturedOverlay(nextItem[2]); }
						
					} else if(direction == 'right') {
				
						/// LETS GET THE SECOND ITEM AFTER CURRENT AND CENTER IT
						var nextItem = ulCont.children('li.current').prev().prev().attr('id').split('_');
						ulCont.playProperty(nextItem[2]);
						if(myGmap != undefined) { myGmap.shoeFeaturedOverlay(nextItem[2]);  }
						
					}
					
				}});
				
			} else {
				
				//// WHEN USER HOVERS OUR FEATURED SLIDER WE DISPLAY OUR ARROWS
				prevSlider.css({ display: 'block', opacity: 0 });
				nextSlider.css({ display: 'block', opacity: 0 });
				
				mainCont.hover(function() {
					
					prevSlider.stop().animate({ opacity: .6 }, 200);
					nextSlider.stop().animate({ opacity: .6 }, 200);
					
				},function() {
					
					prevSlider.stop().animate({ opacity: 0 }, 400);
					nextSlider.stop().animate({ opacity: 0 }, 400);
					
				});
				
				prevSlider.hover(function() { jQuery(this).stop().animate({ opacity: 1 }, 200); }, function() { jQuery(this).stop().animate({ opacity: .7 }, 200); });
				nextSlider.hover(function() { jQuery(this).stop().animate({ opacity: 1 }, 200); }, function() { jQuery(this).stop().animate({ opacity: .7 }, 200); });
				
			}
			
			//// WHEN WE CLICK AN ITEM
			ulCont.children('li').click(function() {
				
				//// IF NOT ALREADY CURRENT
				if(jQuery(this).attr('class').indexOf('current') == -1) {
				
					/// MAKES IT CURRENT
					var nextItem = jQuery(this).attr('id').split('_');
					ulCont.playProperty(nextItem[2]);
					
					//// SHOWS IT ON THE MAP
					if(myGmap != undefined) { myGmap.shoeFeaturedOverlay(nextItem[2]); }
				
				} else {
					
					//// GETS URL AND REDIRECT THE USER
					var url = jQuery(this).find('.property-info a').attr('href');
					window.location = url;
					
				}
				
			});
			
		},
		
		centerSliderMapFeatured: function(centerIndex, callBack) {
			
			//// VARS
			var mainCont = this;
			var currentCont = mainCont.children('li:eq('+centerIndex+')');
			var windowWidth = jQuery(window).width();
			var liWidth = mainCont.children('li').outerWidth();
			var currentLeft = parseInt(mainCont.css('left'));
			var qtyBeforeLis = mainCont.children('li:lt('+centerIndex+')').length;
			
			//// CALCULATES THE LEFT BASED ON OUR WINDOW WIDTH AND NUMBER OF LIs
			var wrapperWidth = jQuery('.wrapper').width();
			var leftSpace = (windowWidth - wrapperWidth) / 2;
			var newLeft = (qtyBeforeLis*liWidth)-leftSpace;
			if(qtyBeforeLis === 0) { newLeft = leftSpace; mainCont.css({ left: newLeft+'px' }); }
			else { mainCont.css({ left: '-'+newLeft+'px' }); }
			
			//// LET'S CALCULATE HOW MANY ITEMS WE NEED TO PUT IN FRON OF IT TO FILL PAGE
			//// THEN WE APPEND THE LAS ITEMS TO THE FRONT
			var countLeft = Math.ceil(leftSpace / liWidth);
			
			//// IF IT'S THE FIRST TIME LET'S ADD AN EXTRA ONE
			if(qtyBeforeLis === 0) { countLeft++; }
			
			//// MAKES SURE WE ALSO DONT ALREADY HAVE THIS LI'S BEFORE
			if(countLeft > centerIndex) {
				for(var i = 1; i<= countLeft; i++) {
					
					//// LETS PREPEND IT
					mainCont.children('li:last').prependTo(mainCont);
					var currentLeft = parseInt(mainCont.css('left'));
					
					//// FIXES LEFT
					var newLeft = currentLeft - liWidth;
					mainCont.css({ left: newLeft+'px' });
					
				}
			}
			
			//// CALLBACK
			if(typeof callBack == 'function') { callBack.call(mainCont); }
			
		},
		
		playProperty: function(mapIndex) {
			
			//// vars
			var mainCont = this;
			var currentLi = mainCont.children('li.current');
			var nextLi = mainCont.children('#marker_featured_'+mapIndex);
			var realIndex = nextLi.index();
			var windowWidth = jQuery(window).width();
			var liWidth = mainCont.children('li').outerWidth();
			var currentLeft = parseInt(mainCont.css('left'));
			var indexDifference = realIndex-currentLi.index();
			
			//// LETS FIND OUT IF WE'rE PLAYING BACK OR FORWARD
			//// PLAYING FORWARD
			if(realIndex > currentLi.index()) {
				
				//// LET'S FIND OUT THE AMOUNT OF ITEMS WE NEED TO CLONE
				var wrapperWidth = jQuery('.wrapper').width();
				var availableSpace = (windowWidth - wrapperWidth) / 2;
				var countRight = Math.ceil(availableSpace / liWidth);
				var lengthAfer = mainCont.children('li:gt('+realIndex+')').length;
				if(lengthAfer === 0) { countRight++; }
				
				//// IF WE DONT HAVE ENOUGH LIS AFTER
				if(countRight >= lengthAfer) {
					
					//// LET'S CLONE STUFF
					for(var i = 1; i<= countRight; i++) {
					
						//// LETS PREPEND IT
						mainCont.children('li:first').appendTo(mainCont);
						var currentLeft = parseInt(mainCont.css('left'));
						
						//// FIXES LEFT
						var newLeft = currentLeft + liWidth;
						mainCont.css({ left: newLeft+'px' });
						
					}
					
				}
				
				//// NOW WE CALCULATE THE NEW LEFT BASED ON THE INDEX
				var currentLeft = parseInt(mainCont.css('left'));
				var realIndexNew = nextLi.index();
				var newLeft = availableSpace-(realIndexNew*liWidth);
				
				//// ANIMATES STUFF
				currentLi.removeClass('current').children('.property-info').slideUp();
				nextLi.addClass('current').children('.property-info').hide();
				mainCont.stop().animate({ left: newLeft+'px' }, { duration: 300, ease: 'easeInOutQuint', complete: function() {
					
					nextLi.children('.property-info').slideDown({ duration: 100, ease: 'easeInOutQuint' });
					
				}});
				
			}
			//// PLAYING BACK
			else {
				
				//// LET'S FIND OUT THE AMOUNT OF ITEMS WE NEED TO CLONE
				var availableSpace = (windowWidth - 1000) / 2;
				var countLeft = Math.ceil(availableSpace / liWidth);
				var lengthBefore = mainCont.children('li:lt('+realIndex+')').length;
				if(lengthBefore === 0) { countLeft++; }
				
				//// IF WE DONT HAVE ENOUGH LIS AFTER
				if(countLeft >= lengthBefore) {
					
					//// LET'S CLONE STUFF
					for(var i = 1; i<= countLeft; i++) {
					
						//// LETS PREPEND IT
						mainCont.children('li:last').prependTo(mainCont);
						var currentLeft = parseInt(mainCont.css('left'));
						
						//// FIXES LEFT
						var newLeft = currentLeft - liWidth;
						mainCont.css({ left: newLeft+'px' });
						
					}
					
				}
				
				//// NOW WE CALCULATE THE NEW LEFT BASED ON THE INDEX
				var currentLeft = parseInt(mainCont.css('left'));
				var realIndexNew = nextLi.index();
				var newLeft = availableSpace-(realIndexNew*liWidth);
				
				//// ANIMATES STUFF
				currentLi.removeClass('current').children('.property-info').slideUp();
				nextLi.addClass('current').children('.property-info').hide();
				mainCont.stop().animate({ left: newLeft+'px' }, { duration: 300, ease: 'easeInOutQuint', complete: function() {
					
					nextLi.children('.property-info').slideDown({ duration: 100, ease: 'easeInOutQuint' });
					
				}});
				
			}
			
		},
		
		shoeFeaturedOverlay: function(index) {
			
			//// VARS
			var myGmap = this;
			var thisOverlay = jQuery('#marker_overlay_featured_'+index);
			var latlng = thisOverlay.children('span.latlng').text().split(',');
			var thisTarget = jQuery('#marker_overlay_target_'+index);

			var theLat = latlng[0];
			var theLng = latlng[1];
			
			//// IF CLUSTERED
			//if(typeof clusterManager != 'undefined') {
//			
//				//// GETS OUR MARKER
//				var marker = jQuery(myGmap).gmap3({
//					
//					get: {
//						
//						id: 	index,
//						callback: function(objs) {
//				
//							//// IF THIS MARKER IS CLUSTERED
//							if(objs.getMap() == null) {
//							
//								//// LETS GET OUR CLUSTERS AND FIND WHICH ONE OUR MARKER IS IN
//								var clusters = clusterManager.getClusters();
//								
//								jQuery.each(clusters, function(i, cluster) {
//									
//									var thisMarkers = cluster.getMarkers();
//									
//									jQuery.each(thisMarkers, function(i, thisMarker) {
//										
//										//// FOUND OUR MARKER
//										if(thisMarker.__gm_id == objs.__gm_id) {
//											
//											//// CENTERS IN OUR CLUSTER
//											var clusterCenter = cluster.getCenter();
//											theLat = clusterCenter.jb;
//											theLng = clusterCenter.kb;
//											
//											console.log(clusterCenter);
//											
//										}
//										
//									})
//									
//								});
//							
//							}
//							
//						}
//						
//					}
//					
//				});
//				
//			}
			
			//// PANS OUR MAP TO OUR NEW LOCATION
			var myLatLng = new google.maps.LatLng(theLat,theLng);
			jQuery(myGmap).gmap3('get').panTo(myLatLng);
			
			//// ANIMATES OUR OVERLAY
			jQuery('.overlay-featured-marker-current').animate({ opacity: .65, left: '15px', top: '30px', width: '42px', height: '42px' }, { duration: 200, easing: 'easeInOutBack', complete: function() { jQuery(this).removeClass('overlay-featured-marker-current'); thisTarget.fadeIn(600, function() { thisTarget.delay(200).fadeOut(600); }); } });
			jQuery('.overlay-featured-marker-current .arrow').animate({ left: '18px' }, { duration: 200, easing: 'easeInOutBack' });
			
			jQuery('#marker_overlay_featured_'+index).animate({ opacity: 1, left: '0px', top: '0px', width: '72px', height: '72px' }, { duration: 200, easing: 'easeInOutBack', complete: function() { jQuery(this).addClass('overlay-featured-marker-current'); } });
			jQuery('#marker_overlay_featured_'+index+' .arrow').animate({ left: '33px' }, { duration: 200, easing: 'easeInOutBack' });
			
		},
		
		replaceSelect: function() {
			
			//// vars
			var selCont = this;
			
			//// WRAPS IT AROUND SELECT
			selCont.wrap('<div class="select-replace"></div>');
			var mainCont = selCont.parent();
			var selectedItem = selCont.children('option:selected');
			mainCont.append('<span>'+selectedItem.text()+'</span>');
			var mainContHeight = mainCont.height();
			
			//// MAKES IT OVERLAY THE CONTAINER
			selCont.css({ display: 'block', opacity: 0 });
			
			//// WHEN WE CHANGE SELECT
			selCont.change(function() {
				
				//// NEW SELECTED ITEM
				var selectedItem = selCont.children('option:selected');
				mainCont.children('span').text(selectedItem.text());
				
			});
			
		},
		
		replaceCheckbox: function() {
			
			//// vars
			var selCont = this;
			
			//// WRAPS IT AROUND SELECT
			selCont.wrap('<div class="checkbox-replace"></div>');
			var mainCont = selCont.parent();
			
			//// IF IT'S CHECKED
			if(selCont.is(':checked')) { mainCont.addClass('checkbox-replace-checked'); }
			
			//// MAKES IT OVERLAY THE CONTAINER
			selCont.css({ display: 'none' });
			
			//// WHEN WE CLICK THE MAIN CONTAINER
			mainCont.click(function() {
				
				//// IF IT'S CHECKED
				if(jQuery(this).attr('class').indexOf('checked') != -1) {
					
					//// UNCHECKS IT
					jQuery(this).removeClass('checkbox-replace-checked');
					selCont.removeAttr('checked');
					
				} else {
					
					//// UNCHECKS IT
					jQuery(this).addClass('checkbox-replace-checked');
					selCont.attr('checked', 'checked');
					
				}
				
			});
			
		},
		
		showSearchSection: function() {
			
			//// GETS VALUE OF SELECTED ITEM
			var selCont = this;
			var newSelVal = jQuery(this).children('option:selected').val();
			var newItemToShow = jQuery('#property-search-'+newSelVal);
			
			
			//// IF SELECTED VALUE IS HIDDEN
			if(newItemToShow.is(':visible')) {  } else { selCont.parent().parent().siblings('div').slideUp(200, function() {
				
				//// SHOWS THE OTHER
				newItemToShow.slideDown(200);
				
			}); }
			
		},
		
		rbChangeView: function() {
			
			//// MAIN VARS
			var aCont = this;
			var mainCont = jQuery('#properties');
			
			aCont.click(function(e) {
				
				//// MAKES SURE WE ARE NOT IN THE SELECTED VIEW
				if(jQuery(this).parent().attr('class').indexOf('current') == -1 && jQuery(this).parent().attr('class').indexOf('map') == -1) {
				
					var clickedView = jQuery(this).parent().attr('class');
					
					//// CHANGES VIEW
					mainCont.stop().animate({ opacity: 0 }, 200, function() {
						
						jQuery(this).attr('class', clickedView).stop().animate({ opacity: 1 }, 200);
						
					});
					
					//// SETS COOKIE
					jQuery.cookie('property_view', clickedView, { expires: 30 });
					
					jQuery(this).parent().siblings('.current').removeClass('current');
					jQuery(this).parent().addClass('current');
				
				}
				
				//// IF ITS NOT MAP
				if(jQuery(this).parent().attr('class').indexOf('map') == -1) {
				
					//// PREVENTS A CLICK
					e.preventDefault();
					return false;
					
				} else {
					
					jQuery.cookie('property_view', 'map', { expires: 30 });
					return true;
					
				}
				
			})
			
		},
		
		filterSearchSection: function() {
			
			//// vars
			var mainCont = jQuery('#filter');
			var selCont = this;
			
			//// GETS THE CHOSEN TYPE
			var chosenType = selCont.children('option:selected');
			
			//// HIDES THE CURRENT ONE
			var showCont = mainCont.find('.filter-'+chosenType.val());
			
			//// IF IT'S HIDDEN
			if(!showCont.is(':visible')) {
				
				//// HIDE VISIBLE AND SHOWS THE NEW ONE
				mainCont.find('.filter').fadeOut(200, function() {
					
					
					
				});
				
				showCont.delay(200).fadeIn(200);
				
			}
			
		},
		
		sortProperties: function() {
			
			var selCont = this;
			var url = selCont.children('option:selected').val();
			
			window.location = url;
			
		},
		
		propertyGallery: function() {
			
			//// VARS
			var thumbCont = this;
			var mainCont = jQuery('#property-gallery a.image');
			
			//// WHEN THE USER CLICKS A HTUMB
			thumbCont.children('li').click(function() {
				
				//// IF NOT CURRENT
				if(jQuery(this).attr('class').indexOf('current') == -1) {
					
					var liCont = jQuery(this);
					
					/// FADES OUT MAIN CONTAINER
					mainCont.addClass('loading').children('img').fadeOut(200, function() { jQuery(this).remove(); });
					
					/// CHANGES THE CURRENT
					thumbCont.find('.current').removeClass('current');
					liCont.addClass('current');
					
					//// LOADS OUR NEW IMAGE
					var mainImage = liCont.children('.main').text();
					var fullImage = liCont.children('.full').text();
					
					var imgObj = new Image();
					jQuery(imgObj).attr('src', mainImage).load(function() {
						
						//// REPLACES IT IN THE MAIN CONTAINER
						mainCont.append(this);
						mainCont.children('img:last').addClass('next').fadeIn(300, function() { jQuery(this).removeClass('next'); mainCont.removeClass('loading') });
						
						/// UPDATES LINK
						mainCont.attr('href', fullImage);
						
					});
					
				}
				
			});
			
		},
		
		clusterMarkers: function() {
			
			var gMap = this;
			
			//// GETS CLUSTERS
			var clusters = clusterManager.getClusters();
			
			//// REMOVES CLUSTER OVERLAYS FOR STACKED PROPERTIES
			google.maps.event.addListener(jQuery(gMap).gmap3('get'), 'bounds_changed', function() { jQuery('.overlay-markup-cluster').fadeOut(200, function() { jQuery(this).remove(); }); });
			
			//// WHEN THE USER CLICKS OUR CLUSTERER
			google.maps.event.addListener(clusterManager, 'clusterclick', function(cluster) {
				
				/// WHEN WE CLICK WE ZOOM IN ONE LEVEL
				var zoomLevel = jQuery('#slider-map').gmap3('get').getZoom();
				
				//// IF ZOOM LEVEL IS !& OR LESS
				if(zoomLevel <= 15) {
				
					zoomLevel++;
					if(zoomLevel>20) { zoomLevel = 20; }
					
					//// GETS MARKER CENTER
					var centerMap = cluster.getCenter();
				
					//// SETS NEW ZOOM
					jQuery('#slider-map').gmap3({ map:{
						
						options: {
							
							zoom: zoomLevel,
							center: centerMap
							
						}
						
					}});
				
				} else {
					
					var overlayMarkup = '<div class="overlay-markup-cluster"><span class="arrow"></span><ul>';
					
					//// LET'S GET OUR PINS UNDER THIS AND GET THEIR TITLES AND LINKS
					var allMarkers = cluster.getMarkers();
					
					/// LOOPS MARKERS
					jQuery.each(allMarkers, function(i, marker) {
						
						//// LET'S CHECK IF IT'S A FEATURED OVERLAY
						var featuredOverlay = jQuery('.overlay-featured-marker-id-'+marker.__gm_id);
						if(featuredOverlay.length > 0) {
							
							/// WE HAVE A FEATURED OVERLAY - LETS GET TITLE AND LINK
							var thisTitle = featuredOverlay.find('.title').text();
							var thisLink = featuredOverlay.find('.link').text();
							
							//// LET'S ADD THIS TO OUR OVERLAY MARKUP
							overlayMarkup += '<li><a href="'+thisLink+'">'+thisTitle+'</a></li>';
							
						} else {
							
							var simpleOverlay = jQuery('.overlay-simple-marker-id-'+marker.__gm_id);
							
							/// WE HAVE A FEATURED OVERLAY - LETS GET TITLE AND LINK
							var thisTitle = simpleOverlay.find('.title').text();
							var thisLink = simpleOverlay.find('.link').text();
							
							//// LET'S ADD THIS TO OUR OVERLAY MARKUP
							overlayMarkup += '<li><a href="'+thisLink+'">'+thisTitle+'</a></li>';
							
						}
						
					});
					
					///// CLOSES OUR MARKUP
					overlayMarkup + '</ul></div>';
					
					var latLng = cluster.getCenter();
					var theLat = latLng.jb;
					var theLng = latLng.kb;
					
					//// LET'S ADD OUR OVERLAY TO THE MAP
					jQuery(gMap).gmap3({
						
						overlay: {
							
							latLng: [theLat, theLng],
							options: {
								
								content: overlayMarkup,
								offset: {
									
									x: 150,
									y: -17
									
								}
								
							},
							callback: function(results) {
								
								var overlay = jQuery(results.getDOMElement()).children('div');
								overlay.css({ display: 'block', opacity: 0, left: '-100px' }).animate({ left: '-110px', opacity: 1 }, { duration: 200, easing: 'easeInOutQuint' });
								
							}
							
						}
						
					});
					
				}
				
				setTimeout(function() {
				
					//// NOW WE NEED TO SEE WHICH MARKERS WE SHOULD SHOW THE OVERLAY
					jQuery('#slider-map').gmap3({
						
						get: {
							
							name: 'marker',
							all:  true,
							callback: function(objs) {
								
								//// GOES THROUGH THEM AND GETS THE VISIBLE ONES
								jQuery.each(objs, function(i, obj) {
									
									if(obj.getMap()) {
										
										//// SHOW THIS OVERLAY – IF THERE'S ONE
										jQuery('.overlay-featured-marker-id-'+obj.__gm_id).show();
										
									};
									
								});
								
							}
							
						}
						
					});
				
				}, 400);
				
			});
			
			//// LET'S SHOW ALL OUR MARKERS
			jQuery('.overlay-featured-marker').css({ opacity: .65, display: 'block', top: '30px' });
			
			//// WHEN ZOOM CHANGES
			google.maps.event.addListener(jQuery('#slider-map').gmap3('get'), 'zoom_changed', function() {
				
				//// GOES THROUGH OUR MARKERS AND LOOK FOR OVERLAYS
		
				//// LETS GET ALL MARKERS THAT ARE NOT VISIBLE
				clusterManager.repaint();
				
				jQuery('.overlay-featured-marker').css({ top: '30px', opacity: .65 }).show();
				jQuery('.overlay-featured-marker-current').css({ opacity: 1, left: '0px', top: '0px', width: '72px', height: '72px' });
				jQuery('.overlay-featured-marker-current .arrow').css({ left: '33px' });
				
				//// GETS CLUSTERS
				var clusters = clusterManager.getClusters();
				
				//// LOOPS CLUSTERS TO GET MARKERS
				jQuery.each(clusters, function(i, cluster) {
					
					var markers = cluster.getMarkers();
					
					if(markers.length > 1) { 
					
						//// LOOPS MARKERS
						jQuery.each(markers, function(i, marker) {
							
							//// HIDES THIS MARKERS OVERLAY
							jQuery('.overlay-featured-marker-id-'+marker.__gm_id).stop().hide();
							
						});
					
					}
					
				});
				
			});
			
			//// LETS GO MARKER BY MARKER AND SEE IF ITS IN THE CLUSTER
			jQuery.each(clusters, function(i, cluster) {
				
				var _markers = cluster.getMarkers();
				
				if(_markers.length > 1) {
				
					jQuery.each(_markers, function(i, thisMarker) {
						
						//// LET'S HIDE MARKERS WITH THIS ID
						jQuery('.overlay-featured-marker-id-'+thisMarker.__gm_id).stop().hide();
						
					});
				
				}
				
			});
			
		},
		
		signUpTabbed: function() {
			
			/// vars
			var mainCont = this;
			var tabs = mainCont.find('.tabs');
			var tabbed = mainCont.find('.tabbed');
			
			/// WHEN WE CLICK A TAB
			tabs.children('li').click(function() {
				
				//// IF NOT ALREADY CURRENT
				if(jQuery(this).attr('class').indexOf('current') == -1) {
					
					//// LET'S CHANGE THE CURRENT STATA
					tabs.find('.current').removeClass('current');
					jQuery(this).addClass('current');
					var thisIndex = jQuery(this).index();
					
					//// SHOW TABBED
					tabbed.children('.current').slideUp(200, function() { jQuery(this).removeClass('current'); });
					tabbed.children('li:eq('+thisIndex+')').slideDown(200, function() { jQuery(this).addClass('current'); });
					
				}
				
			});
			
		},
		
		openSignUpPopUp: function() {
			
			var btn = this;
			var popup = btn.siblings('.pop-up');
			
			if(popup.is(':visible')) {
				
				popup.slideUp(200);
				
			} else {
				
				popup.slideDown(200);
				
			}
			
		},
		
		agentLogin: function() {
			
			//// VARS
			var formCont = this;
			var user = formCont.find('input[name="user"]');
			var password = formCont.find('input[name="pass"]');
			var errorCont = formCont.find('.error');
			var errorStr = '';
			
			//// ON SUBMIT
			formCont.submit(function(e) {
				
				//// PLAYS LOADING SIGN
				formCont.addClass('loading').children('*').stop().animate({ opacity: .1 }, 200);
				formCont.find('input[type="submit"]').attr('disabled', 'disabled');
				
				//// LET'S LOG USER IN
				jQuery.ajax({
					
					url: 			agent.ajaxurl,
					type: 			'post',
					dataType: 		'json',
					data: {
						
						action: 	'verifyAgentLogin',
						nonce: 		agent.agent_login_nonce,
						username: 	user.val(),
						password: 	password.val()	
						
					},
					success: function(data) {
						
						//// IF ANY ERRORS
						if(data.error === true) {
							
							formCont.removeClass('loading').children('*').stop().animate({ opacity: 1 }, 200);
							formCont.find('input[type="submit"]').removeAttr('disabled');
							
							errorCont.html(data.error_msg).slideDown(200, function() { jQuery(this).delay(4000).slideUp(200); });
							
						} else {
								
								jQuery('body').animate({ scrollTop: 0 }, 400);
								formCont.parent().parent().parent().slideUp(200, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500, function() { 
							window.location.reload(); });
									
								});
							
						}
						
					}
					
				})
				
				//// PREVENTS NON AJAX FORMS
				e.preventDefault();
				return false;	
				
			});	
			
		},
		
		agentRegister: function() {
			
			//// VARS
			var formCont = this;
			var user = formCont.find('input[name="user"]');
			var email = formCont.find('input[name="email"]');
			var package = formCont.find('select');
			var errorCont = formCont.find('.error');
			var errorStr = '';
			
			//// ON SUBMIT
			formCont.submit(function(e) {
				
				//// PLAYS LOADING SIGN
				formCont.addClass('loading').children('*').stop().animate({ opacity: .1 }, 200);
				formCont.find('input[type="submit"]').attr('disabled', 'disabled');
				
				//// LET'S REGISTER THE USER
				jQuery.ajax({
					
					url: 			agent.ajaxurl,
					type: 			'post',
					dataType: 		'json',
					data: {
						
						action: 	'registerThisAgent',
						nonce: 		agent.agent_register_nonce,
						username: 	user.val(),
						email: 		email.val(),
						package: 	package.children('option:selected').val() 
						
					},
					success: function(data) {
						
						//// IF ANY ERRORS
						if(data.error === true) {
							
							formCont.removeClass('loading').children('*').stop().animate({ opacity: 1 }, 200);
							formCont.find('input[type="submit"]').removeAttr('disabled');
							
							errorCont.html(data.error_msg).slideDown(200, function() { jQuery(this).delay(4000).slideUp(200); });
							
						} else {
							
							if(data.redirect != '') {
								
								jQuery('body').animate({ scrollTop: 0 }, 400);
								formCont.parent().parent().parent().slideUp(200, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
								window.location = data.redirect;
								
							} else {
								
								jQuery('body').animate({ scrollTop: 0 }, 400);
								formCont.parent().parent().parent().slideUp(200, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-mail"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
							}
							
						}
						
					}
					
				})
				
				//// PREVENTS NON AJAX FORMS
				e.preventDefault();
				return false;	
				
			});	
			
		},
		
		openPackageSignUp: function(package) {
			
			//// VARS
			var mainCont = this;
			
			//// CHECKS IF OUR FIELDS ARE SHOWN, IF NOT SHOW IT
			if(!mainCont.find('.sign-up-fields').is(':visible')) {
				
				mainCont.removeClass('color-bg-hover').find('.sign-up-fields').slideDown({ duration: 250, easing: 'easeInOutQuint' });
				
			}
			
		},
		
		packageSignUp: function(package_id) {
			
			//// CHECKS THE FIELDS FIRST
			var mainCont = this;
			var errorCont = mainCont.parent().find('.error');
			var error = '';
			
			//// CHECKS IF OUR FIELDS ARE SHOWN, IF NOT SHOW IT
			if(!mainCont.parent().find('.sign-up-fields').is(':visible')) {
				
				mainCont.removeClass('color-bg-hover').find('.sign-up-fields').slideDown({ duration: 250, easing: 'easeInOutQuint' });
				
			} else {
				
				//// VALIDATES OUR FIELDS
				var userCont = mainCont.parent().find('input[name="username"]');
				var emailCont = mainCont.parent().find('input[name="email"]');
				
				//// ABORT IF THERE'S ANY REQUESTS ON THE WY
				if(typeof theRequest != 'undefined') { theRequest.abort(); }
				
				//// HIDES FIELDS AND SHOWS SPINNER
				mainCont.parent().find('.sign-up-fields .form-column').stop().animate({ opacity: .2 }, 200);
				
				//// SHOWS SPINNER
				mainCont.parent().find('.sign-up-fields').spin({ lines: 7, length: 0, width: 5, radius: 5, corners: 1, rotate: 0, direction: 1, speed: 2.5, trail: 64, top: '45px' });
				
				//// DOES OUR AJAX FUNCTION
				theRequest = jQuery.ajax({
					
					url: 		agent.ajaxurl,
					type: 		'post',
					dataType: 	'json',
					data: {
						
						action: 	'signUpPackage',
						package_nonce: 		agent.package_sign_up_nonce,
						username:	userCont.val(),
						email: 		emailCont.val(),
						package: 	package_id
						
					},
					success: function(data) {
						
						//// IF ANY ERRORS
						if(data.error === true) {
							
							mainCont.parent().find('.sign-up-fields').spin(false).find('.form-column').stop().animate({ opacity: 1 }, 200);
							errorCont.html(data.error_msg).slideDown(200, function() { jQuery(this).delay(4000).slideUp(200); });
							
						} else {
							
							if(data.redirect != '') {
								
								mainCont.parent().find('.sign-up-fields').slideUp(200);
								jQuery('body').animate({ scrollTop: 0 }, 400, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
								window.location = data.redirect;
								
							} else {
								
								mainCont.parent().find('.sign-up-fields').slideUp(200);
								jQuery('body').animate({ scrollTop: 0 }, 400, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-mail"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
							}
							
						}
						
					}
					
				})
				
			}
			
		},
		
		signUpLoginWidgetTabs: function() {
			
			var mainCont = this;
			
			mainCont.find('.tabbed li').click(function() {
				
				if(jQuery(this).attr('class').indexOf('current') == -1) {
					
					var thisIndex = jQuery(this).index();
					mainCont.find('.tabbed li.current').removeClass('current');
					jQuery(this).addClass('current');
					
					mainCont.find('.tabs li.current').slideUp(200, function() { jQuery(this).removeClass('current'); });
					mainCont.find('.tabs li:eq('+thisIndex+')').slideDown(200, function() { jQuery(this).addClass('current'); });
					
				}
				
			});
			
		},
		
		sidebarAddNewAgent: function() {
			
			//// VARS
			var formCont = this;
			var user = formCont.find('input[name="user"]');
			var email = formCont.find('input[name="email"]');
			var package = formCont.find('select');
			var errorCont = formCont.find('.error');
			var errorStr = '';
			
			//// ON SUBMIT
			formCont.submit(function(e) {
				
				//// PLAYS LOADING SIGN
				
				//// HIDES FIELDS AND SHOWS SPINNER
				formCont.find('label, input, .select-replace, a, .form-divider').stop().animate({ opacity: .15 }, 200);
				if(formCont.parent().parent().parent().attr('class').indexOf('dark') != -1) { formCont.spin({ lines: 7, length: 0, width: 5, radius: 5, corners: 1, rotate: 0, direction: 1, speed: 2.5, trail: 64, top: '115px', color: '#fff' }); }
				else { formCont.spin({ lines: 7, length: 0, width: 5, radius: 5, corners: 1, rotate: 0, direction: 1, speed: 2.5, trail: 64, top: '115px' }); }
				formCont.find('input[type="submit"]').attr('disabled', 'disabled');
				
				//// LET'S REGISTER THE USER
				jQuery.ajax({
					
					url: 			agent.ajaxurl,
					type: 			'post',
					dataType: 		'json',
					data: {
						
						action: 	'registerThisAgent',
						nonce: 		agent.agent_register_nonce,
						username: 	user.val(),
						email: 		email.val(),
						package: 	package.children('option:selected').val() 
						
					},
					success: function(data) {
						
						//// IF ANY ERRORS
						if(data.error === true) {
							
							formCont.spin(false);
							formCont.find('label, input, .select-replace, a, .form-divider').stop().animate({ opacity: 1 }, 200);
							formCont.find('input[type="submit"]').removeAttr('disabled');
							
							errorCont.html(data.error_msg).slideDown(200, function() { jQuery(this).delay(4000).slideUp(200); });
							
						} else {
							
							if(data.redirect != '') {
								
								jQuery('body').animate({ scrollTop: 0 }, 400, function() {
									
									formCont.parent().parent().parent().slideUp(300);
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
								window.location = data.redirect;
								
							} else {
								
									formCont.parent().parent().parent().slideUp(300);
								jQuery('body').animate({ scrollTop: 0 }, 400, function() {
									
									jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
									jQuery('#agent-success').slideDown(500);
									
								});
								
							}
							
						}
						
					}
					
				})
				
				//// PREVENTS NON AJAX FORMS
				e.preventDefault();
				return false;	
				
			});	
			
		},
		
		sidebarLoginAgent: function() {
			
			//// VARS
			var formCont = this;
			var user = formCont.find('input[name="user"]');
			var password = formCont.find('input[name="pass"]');
			var errorCont = formCont.find('.error');
			var errorStr = '';
			
			//// ON SUBMIT
			formCont.submit(function(e) {
				
				//// PLAYS LOADING SIGN
				
				//// HIDES FIELDS AND SHOWS SPINNER
				formCont.find('label, input, .select-replace, a, .form-divider').stop().animate({ opacity: .15 }, 200);
				if(formCont.parent().parent().parent().attr('class').indexOf('dark') != -1) { formCont.spin({ lines: 7, length: 0, width: 5, radius: 5, corners: 1, rotate: 0, direction: 1, speed: 2.5, trail: 64, top: '80px', color: '#fff' }); }
				else { formCont.spin({ lines: 7, length: 0, width: 5, radius: 5, corners: 1, rotate: 0, direction: 1, speed: 2.5, trail: 64, top: '80px' }); }
				formCont.find('input[type="submit"]').attr('disabled', 'disabled');
				
				//// LET'S LOGIN THE USER
				//// LET'S LOG USER IN
				jQuery.ajax({
					
					url: 			agent.ajaxurl,
					type: 			'post',
					dataType: 		'json',
					data: {
						
						action: 	'verifyAgentLogin',
						nonce: 		agent.agent_login_nonce,
						username: 	user.val(),
						password: 	password.val()	
						
					},
					success: function(data) {
						
						//// IF ANY ERRORS
						if(data.error === true) {
							
							formCont.spin(false);
							formCont.find('label, input, .select-replace, a, .form-divider').stop().animate({ opacity: 1 }, 200);
							formCont.find('input[type="submit"]').removeAttr('disabled');
							
							errorCont.html(data.error_msg).slideDown(200, function() { jQuery(this).delay(4000).slideUp(200); });
							
						} else {
								
							formCont.parent().parent().parent().slideUp(300);
							jQuery('body').animate({ scrollTop: 0 }, 400, function() {
								
								jQuery('body').prepend('<div id="agent-success" class="signup-sucess"><div class="wrapper"><span><i class="icon-spin3 animate-spin"></i>'+data.message+'</span></div></div>');
								jQuery('#agent-success').slideDown(500);
								window.location.reload();
								
							});
							
						}
						
					}
					
				});
				
				//// PREVENTS NON AJAX FORMS
				e.preventDefault();
				return false;	
				
			});	
			
		}
		
	});
	
})(jQuery);






/*! Backstretch - v2.0.3 - 2012-11-30
* http://srobbin.com/jquery-plugins/backstretch/
* Copyright (c) 2012 Scott Robbin; Licensed MIT */
(function(e,t,n){"use strict";e.fn.backstretch=function(r,s){return(r===n||r.length===0)&&e.error("No images were supplied for Backstretch"),e(t).scrollTop()===0&&t.scrollTo(0,0),this.each(function(){var t=e(this),n=t.data("backstretch");n&&(s=e.extend(n.options,s),n.destroy(!0)),n=new i(this,r,s),t.data("backstretch",n)})},e.backstretch=function(t,n){return e("body").backstretch(t,n).data("backstretch")},e.expr[":"].backstretch=function(t){return e(t).data("backstretch")!==n},e.fn.backstretch.defaults={centeredX:!0,centeredY:!0,duration:5e3,fade:0};var r={wrap:{left:0,top:0,overflow:"hidden",margin:0,padding:0,height:"100%",width:"100%",zIndex:-999999},img:{position:"absolute",display:"none",margin:0,padding:0,border:"none",width:"auto",height:"auto",maxWidth:"none",zIndex:-999999}},i=function(n,i,o){this.options=e.extend({},e.fn.backstretch.defaults,o||{}),this.images=e.isArray(i)?i:[i],e.each(this.images,function(){e("<img />")[0].src=this}),this.isBody=n===document.body,this.$container=e(n),this.$wrap=e('<div class="backstretch"></div>').css(r.wrap).appendTo(this.$container),this.$root=this.isBody?s?e(t):e(document):this.$container;if(!this.isBody){var u=this.$container.css("position"),a=this.$container.css("zIndex");this.$container.css({position:u==="static"?"relative":u,zIndex:a==="auto"?0:a,background:"none"}),this.$wrap.css({zIndex:-999998})}this.$wrap.css({position:this.isBody&&s?"fixed":"absolute"}),this.index=0,this.show(this.index),e(t).on("resize.backstretch",e.proxy(this.resize,this)).on("orientationchange.backstretch",e.proxy(function(){this.isBody&&t.pageYOffset===0&&(t.scrollTo(0,1),this.resize())},this))};i.prototype={resize:function(){try{var e={left:0,top:0},n=this.isBody?this.$root.width():this.$root.innerWidth(),r=n,i=this.isBody?t.innerHeight?t.innerHeight:this.$root.height():this.$root.innerHeight(),s=r/this.$img.data("ratio"),o;s>=i?(o=(s-i)/2,this.options.centeredY&&(e.top="-"+o+"px")):(s=i,r=s*this.$img.data("ratio"),o=(r-n)/2,this.options.centeredX&&(e.left="-"+o+"px")),this.$wrap.css({width:n,height:i}).find("img:not(.deleteable)").css({width:r,height:s}).css(e)}catch(u){}return this},show:function(t){if(Math.abs(t)>this.images.length-1)return;this.index=t;var n=this,i=n.$wrap.find("img").addClass("deleteable"),s=e.Event("backstretch.show",{relatedTarget:n.$container[0]});return clearInterval(n.interval),n.$img=e("<img />").css(r.img).bind("load",function(t){var r=this.width||e(t.target).width(),o=this.height||e(t.target).height();e(this).data("ratio",r/o),e(this).fadeIn(n.options.speed||n.options.fade,function(){i.remove(),n.paused||n.cycle(),n.$container.trigger(s,n)}),n.resize()}).appendTo(n.$wrap),n.$img.attr("src",n.images[t]),n},next:function(){return this.show(this.index<this.images.length-1?this.index+1:0)},prev:function(){return this.show(this.index===0?this.images.length-1:this.index-1)},pause:function(){return this.paused=!0,this},resume:function(){return this.paused=!1,this.next(),this},cycle:function(){return this.images.length>1&&(clearInterval(this.interval),this.interval=setInterval(e.proxy(function(){this.paused||this.next()},this),this.options.duration)),this},destroy:function(n){e(t).off("resize.backstretch orientationchange.backstretch"),clearInterval(this.interval),n||this.$wrap.remove(),this.$container.removeData("backstretch")}};var s=function(){var e=navigator.userAgent,n=navigator.platform,r=e.match(/AppleWebKit\/([0-9]+)/),i=!!r&&r[1],s=e.match(/Fennec\/([0-9]+)/),o=!!s&&s[1],u=e.match(/Opera Mobi\/([0-9]+)/),a=!!u&&u[1],f=e.match(/MSIE ([0-9]+)/),l=!!f&&f[1];return!((n.indexOf("iPhone")>-1||n.indexOf("iPad")>-1||n.indexOf("iPod")>-1)&&i&&i<534||t.operamini&&{}.toString.call(t.operamini)==="[object OperaMini]"||u&&a<7458||e.indexOf("Android")>-1&&i&&i<533||o&&o<6||"palmGetResource"in t&&i&&i<534||e.indexOf("MeeGo")>-1&&e.indexOf("NokiaBrowser/8.5.0")>-1||l&&l<=6)}()})(jQuery,window);




/*
 * jQuery Easing v1.3 - http://gsgd.co.uk/sandbox/jquery/easing/
 *
 * Uses the built in easing capabilities added In jQuery 1.1
 * to offer multiple easing options
 *
 * TERMS OF USE - jQuery Easing
 * 
 * Open source under the BSD License. 
 * 
 * Copyright © 2008 George McGinley Smith
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of 
 * conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list 
 * of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 * 
 * Neither the name of the author nor the names of contributors may be used to endorse 
 * or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE. 
 *
*/

// t: current time, b: begInnIng value, c: change In value, d: duration
jQuery.easing['jswing'] = jQuery.easing['swing'];

jQuery.extend( jQuery.easing,
{
	def: 'easeOutQuad',
	swing: function (x, t, b, c, d) {
		//alert(jQuery.easing.default);
		return jQuery.easing[jQuery.easing.def](x, t, b, c, d);
	},
	easeInQuad: function (x, t, b, c, d) {
		return c*(t/=d)*t + b;
	},
	easeOutQuad: function (x, t, b, c, d) {
		return -c *(t/=d)*(t-2) + b;
	},
	easeInOutQuad: function (x, t, b, c, d) {
		if ((t/=d/2) < 1) return c/2*t*t + b;
		return -c/2 * ((--t)*(t-2) - 1) + b;
	},
	easeInCubic: function (x, t, b, c, d) {
		return c*(t/=d)*t*t + b;
	},
	easeOutCubic: function (x, t, b, c, d) {
		return c*((t=t/d-1)*t*t + 1) + b;
	},
	easeInOutCubic: function (x, t, b, c, d) {
		if ((t/=d/2) < 1) return c/2*t*t*t + b;
		return c/2*((t-=2)*t*t + 2) + b;
	},
	easeInQuart: function (x, t, b, c, d) {
		return c*(t/=d)*t*t*t + b;
	},
	easeOutQuart: function (x, t, b, c, d) {
		return -c * ((t=t/d-1)*t*t*t - 1) + b;
	},
	easeInOutQuart: function (x, t, b, c, d) {
		if ((t/=d/2) < 1) return c/2*t*t*t*t + b;
		return -c/2 * ((t-=2)*t*t*t - 2) + b;
	},
	easeInQuint: function (x, t, b, c, d) {
		return c*(t/=d)*t*t*t*t + b;
	},
	easeOutQuint: function (x, t, b, c, d) {
		return c*((t=t/d-1)*t*t*t*t + 1) + b;
	},
	easeInOutQuint: function (x, t, b, c, d) {
		if ((t/=d/2) < 1) return c/2*t*t*t*t*t + b;
		return c/2*((t-=2)*t*t*t*t + 2) + b;
	},
	easeInSine: function (x, t, b, c, d) {
		return -c * Math.cos(t/d * (Math.PI/2)) + c + b;
	},
	easeOutSine: function (x, t, b, c, d) {
		return c * Math.sin(t/d * (Math.PI/2)) + b;
	},
	easeInOutSine: function (x, t, b, c, d) {
		return -c/2 * (Math.cos(Math.PI*t/d) - 1) + b;
	},
	easeInExpo: function (x, t, b, c, d) {
		return (t==0) ? b : c * Math.pow(2, 10 * (t/d - 1)) + b;
	},
	easeOutExpo: function (x, t, b, c, d) {
		return (t==d) ? b+c : c * (-Math.pow(2, -10 * t/d) + 1) + b;
	},
	easeInOutExpo: function (x, t, b, c, d) {
		if (t==0) return b;
		if (t==d) return b+c;
		if ((t/=d/2) < 1) return c/2 * Math.pow(2, 10 * (t - 1)) + b;
		return c/2 * (-Math.pow(2, -10 * --t) + 2) + b;
	},
	easeInCirc: function (x, t, b, c, d) {
		return -c * (Math.sqrt(1 - (t/=d)*t) - 1) + b;
	},
	easeOutCirc: function (x, t, b, c, d) {
		return c * Math.sqrt(1 - (t=t/d-1)*t) + b;
	},
	easeInOutCirc: function (x, t, b, c, d) {
		if ((t/=d/2) < 1) return -c/2 * (Math.sqrt(1 - t*t) - 1) + b;
		return c/2 * (Math.sqrt(1 - (t-=2)*t) + 1) + b;
	},
	easeInElastic: function (x, t, b, c, d) {
		var s=1.70158;var p=0;var a=c;
		if (t==0) return b;  if ((t/=d)==1) return b+c;  if (!p) p=d*.3;
		if (a < Math.abs(c)) { a=c; var s=p/4; }
		else var s = p/(2*Math.PI) * Math.asin (c/a);
		return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
	},
	easeOutElastic: function (x, t, b, c, d) {
		var s=1.70158;var p=0;var a=c;
		if (t==0) return b;  if ((t/=d)==1) return b+c;  if (!p) p=d*.3;
		if (a < Math.abs(c)) { a=c; var s=p/4; }
		else var s = p/(2*Math.PI) * Math.asin (c/a);
		return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
	},
	easeInOutElastic: function (x, t, b, c, d) {
		var s=1.70158;var p=0;var a=c;
		if (t==0) return b;  if ((t/=d/2)==2) return b+c;  if (!p) p=d*(.3*1.5);
		if (a < Math.abs(c)) { a=c; var s=p/4; }
		else var s = p/(2*Math.PI) * Math.asin (c/a);
		if (t < 1) return -.5*(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
		return a*Math.pow(2,-10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )*.5 + c + b;
	},
	easeInBack: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c*(t/=d)*t*((s+1)*t - s) + b;
	},
	easeOutBack: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
	},
	easeInOutBack: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158; 
		if ((t/=d/2) < 1) return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
		return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
	},
	easeInBounce: function (x, t, b, c, d) {
		return c - jQuery.easing.easeOutBounce (x, d-t, 0, c, d) + b;
	},
	easeOutBounce: function (x, t, b, c, d) {
		if ((t/=d) < (1/2.75)) {
			return c*(7.5625*t*t) + b;
		} else if (t < (2/2.75)) {
			return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
		} else if (t < (2.5/2.75)) {
			return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
		} else {
			return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
		}
	},
	easeInOutBounce: function (x, t, b, c, d) {
		if (t < d/2) return jQuery.easing.easeInBounce (x, t*2, 0, c, d) * .5 + b;
		return jQuery.easing.easeOutBounce (x, t*2-d, 0, c, d) * .5 + c*.5 + b;
	}
});

/*
 *
 * TERMS OF USE - EASING EQUATIONS
 * 
 * Open source under the BSD License. 
 * 
 * Copyright © 2001 Robert Penner
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of 
 * conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list 
 * of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 * 
 * Neither the name of the author nor the names of contributors may be used to endorse 
 * or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE. 
 *
 */
 
 
 
 /*!
 * jQuery Cookie Plugin v1.3.1
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2013 Klaus Hartl
 * Released under the MIT license
 */
(function (factory) {
	if (typeof define === 'function' && define.amd) {
		// AMD. Register as anonymous module.
		define(['jquery'], factory);
	} else {
		// Browser globals.
		factory(jQuery);
	}
}(function ($) {

	var pluses = /\+/g;

	function raw(s) {
		return s;
	}

	function decoded(s) {
		return decodeURIComponent(s.replace(pluses, ' '));
	}

	function converted(s) {
		if (s.indexOf('"') === 0) {
			// This is a quoted cookie as according to RFC2068, unescape
			s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
		}
		try {
			return config.json ? JSON.parse(s) : s;
		} catch(er) {}
	}

	var config = $.cookie = function (key, value, options) {

		// write
		if (value !== undefined) {
			options = $.extend({}, config.defaults, options);

			if (typeof options.expires === 'number') {
				var days = options.expires, t = options.expires = new Date();
				t.setDate(t.getDate() + days);
			}

			value = config.json ? JSON.stringify(value) : String(value);

			return (document.cookie = [
				config.raw ? key : encodeURIComponent(key),
				'=',
				config.raw ? value : encodeURIComponent(value),
				options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
				options.path    ? '; path=' + options.path : '',
				options.domain  ? '; domain=' + options.domain : '',
				options.secure  ? '; secure' : ''
			].join(''));
		}

		// read
		var decode = config.raw ? raw : decoded;
		var cookies = document.cookie.split('; ');
		var result = key ? undefined : {};
		for (var i = 0, l = cookies.length; i < l; i++) {
			var parts = cookies[i].split('=');
			var name = decode(parts.shift());
			var cookie = decode(parts.join('='));

			if (key && key === name) {
				result = converted(cookie);
				break;
			}

			if (!key) {
				result[name] = converted(cookie);
			}
		}

		return result;
	};

	config.defaults = {};

	$.removeCookie = function (key, options) {
		if ($.cookie(key) !== undefined) {
			$.cookie(key, '', $.extend(options, { expires: -1 }));
			return true;
		}
		return false;
	};

}));




/*!
 * hoverIntent r7 // 2013.03.11 // jQuery 1.9.1+
 * http://cherne.net/brian/resources/jquery.hoverIntent.html
 *
 * You may use hoverIntent under the terms of the MIT license.
 * Copyright 2007, 2013 Brian Cherne
 */
(function(e){e.fn.hoverIntent=function(t,n,r){var i={interval:100,sensitivity:7,timeout:0};if(typeof t==="object"){i=e.extend(i,t)}else if(e.isFunction(n)){i=e.extend(i,{over:t,out:n,selector:r})}else{i=e.extend(i,{over:t,out:t,selector:n})}var s,o,u,a;var f=function(e){s=e.pageX;o=e.pageY};var l=function(t,n){n.hoverIntent_t=clearTimeout(n.hoverIntent_t);if(Math.abs(u-s)+Math.abs(a-o)<i.sensitivity){e(n).off("mousemove.hoverIntent",f);n.hoverIntent_s=1;return i.over.apply(n,[t])}else{u=s;a=o;n.hoverIntent_t=setTimeout(function(){l(t,n)},i.interval)}};var c=function(e,t){t.hoverIntent_t=clearTimeout(t.hoverIntent_t);t.hoverIntent_s=0;return i.out.apply(t,[e])};var h=function(t){var n=jQuery.extend({},t);var r=this;if(r.hoverIntent_t){r.hoverIntent_t=clearTimeout(r.hoverIntent_t)}if(t.type=="mouseenter"){u=n.pageX;a=n.pageY;e(r).on("mousemove.hoverIntent",f);if(r.hoverIntent_s!=1){r.hoverIntent_t=setTimeout(function(){l(n,r)},i.interval)}}else{e(r).off("mousemove.hoverIntent",f);if(r.hoverIntent_s==1){r.hoverIntent_t=setTimeout(function(){c(n,r)},i.timeout)}}};return this.on({"mouseenter.hoverIntent":h,"mouseleave.hoverIntent":h},i.selector)}})(jQuery);




(function(t,e){if(typeof exports=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define(e);else t.Spinner=e()})(this,function(){"use strict";var t=["webkit","Moz","ms","O"],e={},i;function o(t,e){var i=document.createElement(t||"div"),o;for(o in e)i[o]=e[o];return i}function n(t){for(var e=1,i=arguments.length;e<i;e++)t.appendChild(arguments[e]);return t}var r=function(){var t=o("style",{type:"text/css"});n(document.getElementsByTagName("head")[0],t);return t.sheet||t.styleSheet}();function s(t,o,n,s){var a=["opacity",o,~~(t*100),n,s].join("-"),f=.01+n/s*100,l=Math.max(1-(1-t)/o*(100-f),t),d=i.substring(0,i.indexOf("Animation")).toLowerCase(),u=d&&"-"+d+"-"||"";if(!e[a]){r.insertRule("@"+u+"keyframes "+a+"{"+"0%{opacity:"+l+"}"+f+"%{opacity:"+t+"}"+(f+.01)+"%{opacity:1}"+(f+o)%100+"%{opacity:"+t+"}"+"100%{opacity:"+l+"}"+"}",r.cssRules.length);e[a]=1}return a}function a(e,i){var o=e.style,n,r;if(o[i]!==undefined)return i;i=i.charAt(0).toUpperCase()+i.slice(1);for(r=0;r<t.length;r++){n=t[r]+i;if(o[n]!==undefined)return n}}function f(t,e){for(var i in e)t.style[a(t,i)||i]=e[i];return t}function l(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var o in i)if(t[o]===undefined)t[o]=i[o]}return t}function d(t){var e={x:t.offsetLeft,y:t.offsetTop};while(t=t.offsetParent)e.x+=t.offsetLeft,e.y+=t.offsetTop;return e}var u={lines:12,length:7,width:5,radius:10,rotate:0,corners:1,color:"#000",direction:1,speed:1,trail:100,opacity:1/4,fps:20,zIndex:2e9,className:"spinner",top:"auto",left:"auto",position:"relative"};function p(t){if(typeof this=="undefined")return new p(t);this.opts=l(t||{},p.defaults,u)}p.defaults={};l(p.prototype,{spin:function(t){this.stop();var e=this,n=e.opts,r=e.el=f(o(0,{className:n.className}),{position:n.position,width:0,zIndex:n.zIndex}),s=n.radius+n.length+n.width,a,l;if(t){t.insertBefore(r,t.firstChild||null);l=d(t);a=d(r);f(r,{left:(n.left=="auto"?l.x-a.x+(t.offsetWidth>>1):parseInt(n.left,10)+s)+"px",top:(n.top=="auto"?l.y-a.y+(t.offsetHeight>>1):parseInt(n.top,10)+s)+"px"})}r.setAttribute("role","progressbar");e.lines(r,e.opts);if(!i){var u=0,p=(n.lines-1)*(1-n.direction)/2,c,h=n.fps,m=h/n.speed,y=(1-n.opacity)/(m*n.trail/100),g=m/n.lines;(function v(){u++;for(var t=0;t<n.lines;t++){c=Math.max(1-(u+(n.lines-t)*g)%m*y,n.opacity);e.opacity(r,t*n.direction+p,c,n)}e.timeout=e.el&&setTimeout(v,~~(1e3/h))})()}return e},stop:function(){var t=this.el;if(t){clearTimeout(this.timeout);if(t.parentNode)t.parentNode.removeChild(t);this.el=undefined}return this},lines:function(t,e){var r=0,a=(e.lines-1)*(1-e.direction)/2,l;function d(t,i){return f(o(),{position:"absolute",width:e.length+e.width+"px",height:e.width+"px",background:t,boxShadow:i,transformOrigin:"left",transform:"rotate("+~~(360/e.lines*r+e.rotate)+"deg) translate("+e.radius+"px"+",0)",borderRadius:(e.corners*e.width>>1)+"px"})}for(;r<e.lines;r++){l=f(o(),{position:"absolute",top:1+~(e.width/2)+"px",transform:e.hwaccel?"translate3d(0,0,0)":"",opacity:e.opacity,animation:i&&s(e.opacity,e.trail,a+r*e.direction,e.lines)+" "+1/e.speed+"s linear infinite"});if(e.shadow)n(l,f(d("#000","0 0 4px "+"#000"),{top:2+"px"}));n(t,n(l,d(e.color,"0 0 1px rgba(0,0,0,.1)")))}return t},opacity:function(t,e,i){if(e<t.childNodes.length)t.childNodes[e].style.opacity=i}});function c(){function t(t,e){return o("<"+t+' xmlns="urn:schemas-microsoft.com:vml" class="spin-vml">',e)}r.addRule(".spin-vml","behavior:url(#default#VML)");p.prototype.lines=function(e,i){var o=i.length+i.width,r=2*o;function s(){return f(t("group",{coordsize:r+" "+r,coordorigin:-o+" "+-o}),{width:r,height:r})}var a=-(i.width+i.length)*2+"px",l=f(s(),{position:"absolute",top:a,left:a}),d;function u(e,r,a){n(l,n(f(s(),{rotation:360/i.lines*e+"deg",left:~~r}),n(f(t("roundrect",{arcsize:i.corners}),{width:o,height:i.width,left:i.radius,top:-i.width>>1,filter:a}),t("fill",{color:i.color,opacity:i.opacity}),t("stroke",{opacity:0}))))}if(i.shadow)for(d=1;d<=i.lines;d++)u(d,-2,"progid:DXImageTransform.Microsoft.Blur(pixelradius=2,makeshadow=1,shadowopacity=.3)");for(d=1;d<=i.lines;d++)u(d);return n(e,l)};p.prototype.opacity=function(t,e,i,o){var n=t.firstChild;o=o.shadow&&o.lines||0;if(n&&e+o<n.childNodes.length){n=n.childNodes[e+o];n=n&&n.firstChild;n=n&&n.firstChild;if(n)n.opacity=i}}}var h=f(o("group"),{behavior:"url(#default#VML)"});if(!a(h,"transform")&&h.adj)c();else i=a(h,"animation");return p});






(function(factory) {

  if (typeof exports == 'object') {
    // CommonJS
    factory(require('jquery'), require('spin'))
  }
  else if (typeof define == 'function' && define.amd) {
    // AMD, register as anonymous module
    define(['jquery', 'spin'], factory)
  }
  else {
    // Browser globals
    if (!window.Spinner) throw new Error('Spin.js not present')
    factory(window.jQuery, window.Spinner)
  }

}(function($, Spinner) {

  $.fn.spin = function(opts, color) {

    return this.each(function() {
      var $this = $(this),
        data = $this.data();

      if (data.spinner) {
        data.spinner.stop();
        delete data.spinner;
      }
      if (opts !== false) {
        opts = $.extend(
          { color: color || $this.css('color') },
          $.fn.spin.presets[opts] || opts
        )
        data.spinner = new Spinner(opts).spin(this)
      }
    })
  }

  $.fn.spin.presets = {
    tiny: { lines: 8, length: 2, width: 2, radius: 3 },
    small: { lines: 8, length: 4, width: 3, radius: 5 },
    large: { lines: 10, length: 8, width: 4, radius: 8 }
  }

}));




/* 


TOUCHSWIPE



*/

(function(e){var o="left",n="right",d="up",v="down",c="in",w="out",l="none",r="auto",k="swipe",s="pinch",x="tap",i="doubletap",b="longtap",A="horizontal",t="vertical",h="all",q=10,f="start",j="move",g="end",p="cancel",a="ontouchstart" in window,y="TouchSwipe";var m={fingers:1,threshold:75,cancelThreshold:null,pinchThreshold:20,maxTimeThreshold:null,fingerReleaseThreshold:250,longTapThreshold:500,doubleTapThreshold:200,swipe:null,swipeLeft:null,swipeRight:null,swipeUp:null,swipeDown:null,swipeStatus:null,pinchIn:null,pinchOut:null,pinchStatus:null,click:null,tap:null,doubleTap:null,longTap:null,triggerOnTouchEnd:true,triggerOnTouchLeave:false,allowPageScroll:"auto",fallbackToMouseEvents:true,excludedElements:"button, input, select, textarea, a, .noSwipe"};e.fn.swipe=function(D){var C=e(this),B=C.data(y);if(B&&typeof D==="string"){if(B[D]){return B[D].apply(this,Array.prototype.slice.call(arguments,1))}else{e.error("Method "+D+" does not exist on jQuery.swipe")}}else{if(!B&&(typeof D==="object"||!D)){return u.apply(this,arguments)}}return C};e.fn.swipe.defaults=m;e.fn.swipe.phases={PHASE_START:f,PHASE_MOVE:j,PHASE_END:g,PHASE_CANCEL:p};e.fn.swipe.directions={LEFT:o,RIGHT:n,UP:d,DOWN:v,IN:c,OUT:w};e.fn.swipe.pageScroll={NONE:l,HORIZONTAL:A,VERTICAL:t,AUTO:r};e.fn.swipe.fingers={ONE:1,TWO:2,THREE:3,ALL:h};function u(B){if(B&&(B.allowPageScroll===undefined&&(B.swipe!==undefined||B.swipeStatus!==undefined))){B.allowPageScroll=l}if(B.click!==undefined&&B.tap===undefined){B.tap=B.click}if(!B){B={}}B=e.extend({},e.fn.swipe.defaults,B);return this.each(function(){var D=e(this);var C=D.data(y);if(!C){C=new z(this,B);D.data(y,C)}})}function z(a0,aq){var av=(a||!aq.fallbackToMouseEvents),G=av?"touchstart":"mousedown",au=av?"touchmove":"mousemove",R=av?"touchend":"mouseup",P=av?null:"mouseleave",az="touchcancel";var ac=0,aL=null,Y=0,aX=0,aV=0,D=1,am=0,aF=0,J=null;var aN=e(a0);var W="start";var T=0;var aM=null;var Q=0,aY=0,a1=0,aa=0,K=0;var aS=null;try{aN.bind(G,aJ);aN.bind(az,a5)}catch(ag){e.error("events not supported "+G+","+az+" on jQuery.swipe")}this.enable=function(){aN.bind(G,aJ);aN.bind(az,a5);return aN};this.disable=function(){aG();return aN};this.destroy=function(){aG();aN.data(y,null);return aN};this.option=function(a8,a7){if(aq[a8]!==undefined){if(a7===undefined){return aq[a8]}else{aq[a8]=a7}}else{e.error("Option "+a8+" does not exist on jQuery.swipe.options")}};function aJ(a9){if(ax()){return}if(e(a9.target).closest(aq.excludedElements,aN).length>0){return}var ba=a9.originalEvent?a9.originalEvent:a9;var a8,a7=a?ba.touches[0]:ba;W=f;if(a){T=ba.touches.length}else{a9.preventDefault()}ac=0;aL=null;aF=null;Y=0;aX=0;aV=0;D=1;am=0;aM=af();J=X();O();if(!a||(T===aq.fingers||aq.fingers===h)||aT()){ae(0,a7);Q=ao();if(T==2){ae(1,ba.touches[1]);aX=aV=ap(aM[0].start,aM[1].start)}if(aq.swipeStatus||aq.pinchStatus){a8=L(ba,W)}}else{a8=false}if(a8===false){W=p;L(ba,W);return a8}else{ak(true)}}function aZ(ba){var bd=ba.originalEvent?ba.originalEvent:ba;if(W===g||W===p||ai()){return}var a9,a8=a?bd.touches[0]:bd;var bb=aD(a8);aY=ao();if(a){T=bd.touches.length}W=j;if(T==2){if(aX==0){ae(1,bd.touches[1]);aX=aV=ap(aM[0].start,aM[1].start)}else{aD(bd.touches[1]);aV=ap(aM[0].end,aM[1].end);aF=an(aM[0].end,aM[1].end)}D=a3(aX,aV);am=Math.abs(aX-aV)}if((T===aq.fingers||aq.fingers===h)||!a||aT()){aL=aH(bb.start,bb.end);ah(ba,aL);ac=aO(bb.start,bb.end);Y=aI();aE(aL,ac);if(aq.swipeStatus||aq.pinchStatus){a9=L(bd,W)}if(!aq.triggerOnTouchEnd||aq.triggerOnTouchLeave){var a7=true;if(aq.triggerOnTouchLeave){var bc=aU(this);a7=B(bb.end,bc)}if(!aq.triggerOnTouchEnd&&a7){W=ay(j)}else{if(aq.triggerOnTouchLeave&&!a7){W=ay(g)}}if(W==p||W==g){L(bd,W)}}}else{W=p;L(bd,W)}if(a9===false){W=p;L(bd,W)}}function I(a7){var a8=a7.originalEvent;if(a){if(a8.touches.length>0){C();return true}}if(ai()){T=aa}a7.preventDefault();aY=ao();Y=aI();if(a6()){W=p;L(a8,W)}else{if(aq.triggerOnTouchEnd||(aq.triggerOnTouchEnd==false&&W===j)){W=g;L(a8,W)}else{if(!aq.triggerOnTouchEnd&&a2()){W=g;aB(a8,W,x)}else{if(W===j){W=p;L(a8,W)}}}}ak(false)}function a5(){T=0;aY=0;Q=0;aX=0;aV=0;D=1;O();ak(false)}function H(a7){var a8=a7.originalEvent;if(aq.triggerOnTouchLeave){W=ay(g);L(a8,W)}}function aG(){aN.unbind(G,aJ);aN.unbind(az,a5);aN.unbind(au,aZ);aN.unbind(R,I);if(P){aN.unbind(P,H)}ak(false)}function ay(bb){var ba=bb;var a9=aw();var a8=aj();var a7=a6();if(!a9||a7){ba=p}else{if(a8&&bb==j&&(!aq.triggerOnTouchEnd||aq.triggerOnTouchLeave)){ba=g}else{if(!a8&&bb==g&&aq.triggerOnTouchLeave){ba=p}}}return ba}function L(a9,a7){var a8=undefined;if(F()||S()){a8=aB(a9,a7,k)}else{if((M()||aT())&&a8!==false){a8=aB(a9,a7,s)}}if(aC()&&a8!==false){a8=aB(a9,a7,i)}else{if(al()&&a8!==false){a8=aB(a9,a7,b)}else{if(ad()&&a8!==false){a8=aB(a9,a7,x)}}}if(a7===p){a5(a9)}if(a7===g){if(a){if(a9.touches.length==0){a5(a9)}}else{a5(a9)}}return a8}function aB(ba,a7,a9){var a8=undefined;if(a9==k){aN.trigger("swipeStatus",[a7,aL||null,ac||0,Y||0,T]);if(aq.swipeStatus){a8=aq.swipeStatus.call(aN,ba,a7,aL||null,ac||0,Y||0,T);if(a8===false){return false}}if(a7==g&&aR()){aN.trigger("swipe",[aL,ac,Y,T]);if(aq.swipe){a8=aq.swipe.call(aN,ba,aL,ac,Y,T);if(a8===false){return false}}switch(aL){case o:aN.trigger("swipeLeft",[aL,ac,Y,T]);if(aq.swipeLeft){a8=aq.swipeLeft.call(aN,ba,aL,ac,Y,T)}break;case n:aN.trigger("swipeRight",[aL,ac,Y,T]);if(aq.swipeRight){a8=aq.swipeRight.call(aN,ba,aL,ac,Y,T)}break;case d:aN.trigger("swipeUp",[aL,ac,Y,T]);if(aq.swipeUp){a8=aq.swipeUp.call(aN,ba,aL,ac,Y,T)}break;case v:aN.trigger("swipeDown",[aL,ac,Y,T]);if(aq.swipeDown){a8=aq.swipeDown.call(aN,ba,aL,ac,Y,T)}break}}}if(a9==s){aN.trigger("pinchStatus",[a7,aF||null,am||0,Y||0,T,D]);if(aq.pinchStatus){a8=aq.pinchStatus.call(aN,ba,a7,aF||null,am||0,Y||0,T,D);if(a8===false){return false}}if(a7==g&&a4()){switch(aF){case c:aN.trigger("pinchIn",[aF||null,am||0,Y||0,T,D]);if(aq.pinchIn){a8=aq.pinchIn.call(aN,ba,aF||null,am||0,Y||0,T,D)}break;case w:aN.trigger("pinchOut",[aF||null,am||0,Y||0,T,D]);if(aq.pinchOut){a8=aq.pinchOut.call(aN,ba,aF||null,am||0,Y||0,T,D)}break}}}if(a9==x){if(a7===p||a7===g){clearTimeout(aS);if(V()&&!E()){K=ao();aS=setTimeout(e.proxy(function(){K=null;aN.trigger("tap",[ba.target]);if(aq.tap){a8=aq.tap.call(aN,ba,ba.target)}},this),aq.doubleTapThreshold)}else{K=null;aN.trigger("tap",[ba.target]);if(aq.tap){a8=aq.tap.call(aN,ba,ba.target)}}}}else{if(a9==i){if(a7===p||a7===g){clearTimeout(aS);K=null;aN.trigger("doubletap",[ba.target]);if(aq.doubleTap){a8=aq.doubleTap.call(aN,ba,ba.target)}}}else{if(a9==b){if(a7===p||a7===g){clearTimeout(aS);K=null;aN.trigger("longtap",[ba.target]);if(aq.longTap){a8=aq.longTap.call(aN,ba,ba.target)}}}}}return a8}function aj(){var a7=true;if(aq.threshold!==null){a7=ac>=aq.threshold}return a7}function a6(){var a7=false;if(aq.cancelThreshold!==null&&aL!==null){a7=(aP(aL)-ac)>=aq.cancelThreshold}return a7}function ab(){if(aq.pinchThreshold!==null){return am>=aq.pinchThreshold}return true}function aw(){var a7;if(aq.maxTimeThreshold){if(Y>=aq.maxTimeThreshold){a7=false}else{a7=true}}else{a7=true}return a7}function ah(a7,a8){if(aq.allowPageScroll===l||aT()){a7.preventDefault()}else{var a9=aq.allowPageScroll===r;switch(a8){case o:if((aq.swipeLeft&&a9)||(!a9&&aq.allowPageScroll!=A)){a7.preventDefault()}break;case n:if((aq.swipeRight&&a9)||(!a9&&aq.allowPageScroll!=A)){a7.preventDefault()}break;case d:if((aq.swipeUp&&a9)||(!a9&&aq.allowPageScroll!=t)){a7.preventDefault()}break;case v:if((aq.swipeDown&&a9)||(!a9&&aq.allowPageScroll!=t)){a7.preventDefault()}break}}}function a4(){var a8=aK();var a7=U();var a9=ab();return a8&&a7&&a9}function aT(){return !!(aq.pinchStatus||aq.pinchIn||aq.pinchOut)}function M(){return !!(a4()&&aT())}function aR(){var ba=aw();var bc=aj();var a9=aK();var a7=U();var a8=a6();var bb=!a8&&a7&&a9&&bc&&ba;return bb}function S(){return !!(aq.swipe||aq.swipeStatus||aq.swipeLeft||aq.swipeRight||aq.swipeUp||aq.swipeDown)}function F(){return !!(aR()&&S())}function aK(){return((T===aq.fingers||aq.fingers===h)||!a)}function U(){return aM[0].end.x!==0}function a2(){return !!(aq.tap)}function V(){return !!(aq.doubleTap)}function aQ(){return !!(aq.longTap)}function N(){if(K==null){return false}var a7=ao();return(V()&&((a7-K)<=aq.doubleTapThreshold))}function E(){return N()}function at(){return((T===1||!a)&&(isNaN(ac)||ac===0))}function aW(){return((Y>aq.longTapThreshold)&&(ac<q))}function ad(){return !!(at()&&a2())}function aC(){return !!(N()&&V())}function al(){return !!(aW()&&aQ())}function C(){a1=ao();aa=event.touches.length+1}function O(){a1=0;aa=0}function ai(){var a7=false;if(a1){var a8=ao()-a1;if(a8<=aq.fingerReleaseThreshold){a7=true}}return a7}function ax(){return !!(aN.data(y+"_intouch")===true)}function ak(a7){if(a7===true){aN.bind(au,aZ);aN.bind(R,I);if(P){aN.bind(P,H)}}else{aN.unbind(au,aZ,false);aN.unbind(R,I,false);if(P){aN.unbind(P,H,false)}}aN.data(y+"_intouch",a7===true)}function ae(a8,a7){var a9=a7.identifier!==undefined?a7.identifier:0;aM[a8].identifier=a9;aM[a8].start.x=aM[a8].end.x=a7.pageX||a7.clientX;aM[a8].start.y=aM[a8].end.y=a7.pageY||a7.clientY;return aM[a8]}function aD(a7){var a9=a7.identifier!==undefined?a7.identifier:0;var a8=Z(a9);a8.end.x=a7.pageX||a7.clientX;a8.end.y=a7.pageY||a7.clientY;return a8}function Z(a8){for(var a7=0;a7<aM.length;a7++){if(aM[a7].identifier==a8){return aM[a7]}}}function af(){var a7=[];for(var a8=0;a8<=5;a8++){a7.push({start:{x:0,y:0},end:{x:0,y:0},identifier:0})}return a7}function aE(a7,a8){a8=Math.max(a8,aP(a7));J[a7].distance=a8}function aP(a7){return J[a7].distance}function X(){var a7={};a7[o]=ar(o);a7[n]=ar(n);a7[d]=ar(d);a7[v]=ar(v);return a7}function ar(a7){return{direction:a7,distance:0}}function aI(){return aY-Q}function ap(ba,a9){var a8=Math.abs(ba.x-a9.x);var a7=Math.abs(ba.y-a9.y);return Math.round(Math.sqrt(a8*a8+a7*a7))}function a3(a7,a8){var a9=(a8/a7)*1;return a9.toFixed(2)}function an(){if(D<1){return w}else{return c}}function aO(a8,a7){return Math.round(Math.sqrt(Math.pow(a7.x-a8.x,2)+Math.pow(a7.y-a8.y,2)))}function aA(ba,a8){var a7=ba.x-a8.x;var bc=a8.y-ba.y;var a9=Math.atan2(bc,a7);var bb=Math.round(a9*180/Math.PI);if(bb<0){bb=360-Math.abs(bb)}return bb}function aH(a8,a7){var a9=aA(a8,a7);if((a9<=45)&&(a9>=0)){return o}else{if((a9<=360)&&(a9>=315)){return o}else{if((a9>=135)&&(a9<=225)){return n}else{if((a9>45)&&(a9<135)){return v}else{return d}}}}}function ao(){var a7=new Date();return a7.getTime()}function aU(a7){a7=e(a7);var a9=a7.offset();var a8={left:a9.left,right:a9.left+a7.outerWidth(),top:a9.top,bottom:a9.top+a7.outerHeight()};return a8}function B(a7,a8){return(a7.x>a8.left&&a7.x<a8.right&&a7.y>a8.top&&a7.y<a8.bottom)}}})(jQuery);