<?php /*

	Template Name: Properties

*/ ?><?php get_header(); ?>
        
        <script type="text/javascript">
		
			jQuery(document).ready(function() {
				
				jQuery('#filter-header').backstretch('<?php echo get_page_header_bg($post->ID); ?>');
				
			});
		
		</script>
        
    
        <?php
        
            //////////////////////////////////////////////////////
            //// GETS OUR FILTER SECTION - MUCH LIKE OUR PROPERTY
			//// SEARCHER ON THE HOMEPAGE
            //////////////////////////////////////////////////////
            
                get_template_part('includes/properties/markup', 'filter-property');
            
            //////////////////////////////////////////////////////
        
        ?>
        
        
        
        <?php
        
            //////////////////////////////////////////////////////
            //// PAGE SIDEBAR
            //////////////////////////////////////////////////////
			$page_layout = get_page_layout($post->ID);
		
			//// LETS BUILD OUR PROPERTY QUERY BASED ON THE VARIABLES GIVEN
			
			//////////////////////////////////////////////////////
			//// INITIAL ARGS
			//////////////////////////////////////////////////////
			global $paged;
			
			$args = array(
			
				'post_type' => 'property',
				'posts_per_page' => ddp('property_page_no'),
				'meta_query' => array(),
				'tax_query' => array(),
				'paged' => $paged,
			
			);
			
			//// IF ITS MAP VIEW LET'S SHOW TWICE AS MANY PROPERTIES
			if(isset($_GET['view']) && $_GET['view'] == 'map') { $args['posts_per_page'] = -1; }
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR SALE OR RENTAL
			//////////////////////////////////////////////////////
			if($_GET['lease'] == 'rent' || $_GET['lease'] == 'buy') {
				
				if($_GET['lease'] == 'rent') { $lease = 'rental'; }
				if($_GET['lease'] == 'buy') { $lease = 'sale'; }
				
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'property_lease',
					'value' => $lease,
				
				);
				
				//// SETS COOKIE
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR SUBURB AND SURROUNDING SUBURBS
			//////////////////////////////////////////////////////
			if(isset($_GET['suburb']) && !empty($_GET['suburb'])) {
				
				//// MAKES SURE THE TYPE IS A VALID PROPERTY TYPE
				if(get_term_by('slug', $_GET['suburb'], 'suburbs')) {
					
					//// CURRENT SUBURB
					$currentSuburb = get_term_by('slug', $_GET['suburb'], 'suburbs');
					
					//// IF USER HAS CHOSEN TO INCLUDE SURROUNDING SUBURBS
					if(isset($_GET['surrounding']) && !empty($_GET['surrounding']) && $_GET['surrounding'] == true) {
						
						/// GETS THE SURROUNDING SUBURBS
						$surrounding = getTermCustomField($currentSuburb->term_id, 'related_suburbs');
						
						$suburbs = $surrounding;
						$suburbs[] = $currentSuburb->term_id;
						
					} else { $suburbs = array($currentSuburb->term_id); }
						
					//// ADDS IT TO OUR ARGS
					$args['tax_query'][] = array(
					
						'taxonomy' => 'suburbs',
						'field' => 'id',
						'terms' => $suburbs,
					
					);
					
				}
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR PROPERTY TYPE
			//////////////////////////////////////////////////////
			if(isset($_GET['type']) && !empty($_GET['type'])) {
				
				//// MAKES SURE THE TYPE IS A VALID PROPERTY TYPE
				if(get_term_by('slug', $_GET['type'], 'property_type')) {
						
					//// ADDS IT TO OUR ARGS
					$args['tax_query'][] = array(
					
						'taxonomy' => 'property_type',
						'field' => 'slug',
						'terms' => $_GET['type'],
					
					);
					
				}
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR PROPERTY PRICE - MINIMUM
			//////////////////////////////////////////////////////
			if(isset($_GET['from']) && !empty($_GET['from'])) {
				
				//// IF TO IS ALSO SET
				if(isset($_GET['to']) && !empty($_GET['to'])) { $compare = 'BETWEEN'; $compare_value = array($_GET['from'], $_GET['to']); }
				else {$compare = '>='; $compare_value = $_GET['from']; }
				
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'price',
					'value' => $compare_value,
					'compare' => $compare,
					'type' => 'NUMERIC',
				
				);
				
			} elseif(isset($_GET['to']) && !empty($_GET['to'])) {
				
				//// IF ONLY MAXIMUM IS SET
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'price',
					'value' => $_GET['to'],
					'compare' => '<=',
					'type' => 'NUMERIC',
				
				);
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR BEDROOMS
			//////////////////////////////////////////////////////
			if(isset($_GET['bedrooms']) && !empty($_GET['bedrooms']) && is_numeric($_GET['bedrooms'])) {
						
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'bedrooms',
					'value' => $_GET['bedrooms'],
					'compare' => '>=',
					'type' => 'NUMERIC',
				
				);
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR BATHROOMS
			//////////////////////////////////////////////////////
			if(isset($_GET['bathrooms']) && !empty($_GET['bathrooms']) && is_numeric($_GET['bathrooms'])) {
						
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'bathrooms',
					'value' => $_GET['bathrooms'],
					'compare' => '>=',
					'type' => 'NUMERIC',
				
				);
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR CAR SPACES
			//////////////////////////////////////////////////////
			if(isset($_GET['car-spaces']) && !empty($_GET['car-spaces']) && is_numeric($_GET['car-spaces'])) {
						
				//// ADDS IT TO OUR ARGS
				$args['meta_query'][] = array(
				
					'key' => 'car_spaces',
					'value' => $_GET['car-spaces'],
					'compare' => '>=',
					'type' => 'NUMERIC',
				
				);
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR CUSTOM FIELDS
			//////////////////////////////////////////////////////
			foreach($_GET as $key=>$getVar) {
				
				//// MAKES SURE IT'S A VALID CUSTOM FIELD
				if(!in_array($key, array('lease', 'type', 'suburb', 'surrounding', 'from', 'to', 'bedrooms', 'bathrooms', 'car-spaces', 'view', 'sort'))) {
					
					//// IF IT'S VALID TAXONOMY OF OUR CUSTOM FIELDS
					if(get_term_by('slug', $key, 'property_custom_field') && $getVar == true) {
						
						//// ADDS IT TO OUR QUERY
						
						//// ADDS IT TO OUR ARGS
						$args['tax_query'][] = array(
					
							'taxonomy' => 'property_custom_field',
							'field' => 'slug',
							'terms' => $key,
						
						);
						
					}
					
				}
				
			}
			
			//////////////////////////////////////////////////////
			//// CHECKS FOR SORTING OPTIONS
			//////////////////////////////////////////////////////
			if(isset($_GET['sort']) && !empty($_GET['sort'])) {
						
				//// IF BY PRICE - HIGH
				if($_GET['sort'] == 'price-high') { $args['meta_key'] = 'price'; $args['orderby'] = 'meta_value_num'; $args['order'] = 'DESC'; }
				
				//// IF BY PRICE - LOW
				if($_GET['sort'] == 'price-low') { $args['meta_key'] = 'price'; $args['orderby'] = 'meta_value_num'; $args['order'] = 'ASC'; }
				
				//// IF BY DATE - NEW
				if($_GET['sort'] == 'date-new') { $args['orderby'] = 'date'; $args['order'] = 'DESC'; }
				
				//// IF BY PRICE - OLD
				if($_GET['sort'] == 'date-old') { $args['orderby'] = 'date'; $args['order'] = 'ASC'; }
				
				//// IF BY PRICE - OLD
				//if($_GET['sort'] == 'relevant') { $args['orderby'] = 'meta_value'; $args['meta_key'] = 'featured'; }
				
			}
			
			//// DOES OUR QUERY
			$pQuery = new WP_Query($args);
		
		?>

        
        
        <div id="property-controls">
        
        	<div class="wrapper">
            
            	<div class="results"><?php posts_out_of_total($pQuery->max_num_pages, $paged, $pQuery->found_posts, ddp('property_page_no')); ?></div>
                <!-- /.results/ -->
                
                <div class="properties-sort">
                
                	<span class="left">Sort By:</span>
                    
                    <select id="select-properties-sort" onchange="jQuery(this).sortProperties();">
                    
                    	<option value="<?php echo get_sort_property_url('relevant'); ?>"<?php if($_GET['sort'] == 'relevant') { echo ' selected="selected"'; } ?>>Most Relevant</option>
                    	<option value="<?php echo get_sort_property_url('price-high'); ?>"<?php if($_GET['sort'] == 'price-high') { echo ' selected="selected"'; } ?>>Price (Highest to Lowest)</option>
                    	<option value="<?php echo get_sort_property_url('price-low'); ?>"<?php if($_GET['sort'] == 'price-low') { echo ' selected="selected"'; } ?>>Price (Lowest to Highest)</option>
                    	<option value="<?php echo get_sort_property_url('date-new'); ?>"<?php if($_GET['sort'] == 'date-new') { echo ' selected="selected"'; } ?>>Date (Newest to Oldest)</option>
                    	<option value="<?php echo get_sort_property_url('date-old'); ?>"<?php if($_GET['sort'] == 'date-old') { echo ' selected="selected"'; } ?>>Date (Oldest to Newest)</option>
                    
                    </select>
                    <!-- /#select-properties-sort/ -->
                
                </div>
                <!-- /.properties-sort/ -->
                
                <script type="text/javascript">
				
					jQuery(document).ready(function() {
						
						<?php if($_GET['view'] != 'map') : //// IF WE ARE NOT IN MAP VIEW ?>jQuery('#property-controls .grid-view li a').each(function() { jQuery(this).rbChangeView(); });<?php endif; ?>
						
					});
				
				</script>
                
                <div class="grid-view">
                
                	<ul>
                    
                    	<li class="list<?php if(properties_layout('List')) { echo ' current'; } ?>"><a href="<?php if($_GET['view'] == 'map') { echo get_properties_normal_url('list'); } else { echo '#'; } ?>">List</a></li>
                    
                    	<li class="grid<?php if(properties_layout('Grid')) { echo ' current'; } ?>"><a href="<?php if($_GET['view'] == 'map') { echo get_properties_normal_url('grid'); } else { echo '#'; } ?>">Grid</a></li>
                    
                    	<li class="map<?php if(properties_layout('Map')) { echo ' current'; } ?>"><a href="<?php echo get_properties_map_url(); ?>">Map</a></li>
                    
                    </ul>
                    <!-- /.grid-view ul/ -->
                
                </div>
                <!-- /.grid-view/ -->
            
            </div>
            <!-- /#property-controls .wrapper/ -->
        
        </div>
        <!-- /#property-controls/ -->
        
        
        <div id="content">
        
        	<div class="wrapper">
            
            	<?php
				
					////////////////////////////////////
					//// IF WE ARE NOT ON MAP VIEW
					////////////////////////////////////
					
					if(!isset($_GET['view']) || $_GET['view'] != 'map') :
				
				?>
            
                    <div id="main-content" class="sidebar-<?php echo $page_layout; ?>">
                    
                        <?php
                        
                            //// IF WE HAVE FOUND PROPERTIES
                            if($pQuery->have_posts()) :
                        
                        ?>
                    
                        <h1 class="search-title"><?php the_title(); ?></h1>
                    
                        <ul id="properties" class="<?php if(properties_layout('List')) { echo 'list'; } elseif(properties_layout('Grid')) { echo 'grid'; } else { echo 'list'; } ?>">
                        
                            <?php
                            
                                //// LOOPS OUR PROPERTIES
								$i = 1;
                                while($pQuery->have_posts()) : $pQuery->the_post();
                                
                                $featured_image = getFeaturedImage(get_the_ID());
								
								$suburbs = get_the_terms(get_the_ID(), 'suburbs');
								
								if(is_array($suburbs)) {
                                
                                	foreach($suburbs as $term) { $suburb = '<br />'.$term->name; break; }
								
								}
                            
                            ?>
                        
                            <li class="property-item" id="property-<?php the_ID(); ?>"<?php if($page_layout == 'none') { if($i%3==0) { echo ' style="margin-right: 0;"'; } } else { if($i%2==0) { echo ' style="margin-right: 0;"'; } } ?>>
                            
                                <div class="property-image-info">
                            
                                    <?php get_property_image(get_the_ID()); ?>
                                    
                                    <div class="property-info">
                                    
                                        <div class="left">
											<?php if(get_post_meta(get_the_ID(), 'bedrooms', true)!='') : ?><span class="beds"><?php echo get_post_meta(get_the_ID(), 'bedrooms', true); ?></span><?php endif; ?>
                                            <?php if(get_post_meta(get_the_ID(), 'bathrooms', true)!='') : ?><span class="baths"><?php echo get_post_meta(get_the_ID(), 'bathrooms', true); ?></span><?php endif; ?>
                                            <?php if(get_post_meta(get_the_ID(), 'car_spaces', true) != '') : ?><span class="cars"><?php echo get_post_meta(get_the_ID(), 'car_spaces', true); ?></span><?php endif; ?>
                                        </div>
                                        <!-- /.left/ -->
                                        
                                        <div class="right"><span style="display: block;"><?php echo format_property_price(get_post_meta(get_the_ID(), 'price', true), get_the_ID()); ?></span></div>
                                    
                                    </div>
                                    <!-- /.property-info/ -->
                                    
                                </div>
                                <!-- /.property-image-info/ -->
                                
                                <div class="property-content">
                                
                                	<?php if(get_post_meta(get_the_ID(), 'featured', true) == 'on') : ?><span class="property-featured"><?php _e('Featured', 'btoa'); ?></span><?php endif; ?>
                                	<?php if(get_post_meta(get_the_ID(), 'new', true) == 'on') : ?><span class="property-new"><?php _e('New', 'btoa'); ?></span><?php endif; ?>
                            
                                    <?php if(get_post_meta(get_the_ID(), 'slogan', true) != '') : ?><span class="property-slogan"><?php echo get_post_meta(get_the_ID(), 'slogan', true); ?></span><?php endif; ?>
                                    <h3><a href="<?php the_permalink(); ?>" title="<?php _e('View', 'btoa'); ?> <?php the_title(); ?>"><?php the_title(); echo $suburb; ?></a></h3>
                                    <p><?php
                                            
                                            echo substr(strip_tags(get_the_content()), 0, 350).' '.__('[...]', 'btoa');
                                    
                                    ?></p>
                                    <p><a href="<?php the_permalink(); ?>" class="button" title="View <?php the_title(); ?>"><?php _e('View Property', 'btoa'); ?></a></p>
                                
                                </div>
                                <!-- /.property-content/ -->
                            
                            </li>
                            <!-- /.property-item/ -->
                            
                            <?php if($i%3==0) { echo '<li class="clear"></li>'; } ?>
                            
                            <?php $i++; endwhile; ?>
                        
                        </ul>
                        <!-- /#properties.list/ -->
                        
                        <ul id="pagination">
                                        
                            <?php
                    
                                //PAGINATION
                                $temp_query = $wp_query;
                                $wp_query = $pQuery;
                                include(locate_template('includes/general/wp-pagenavi.php'));
                                if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
                                $wp_query = $temp_query;
                            
                            ?>
                        
                        </ul>
                        <!-- /#pagination/ -->
                        
                        <?php else : ?>
                        
                        <h1><?php _e('Could not find any properties', 'btoa'); ?></h1>
                        
                        <p><?php _e('Oops! Seems like we were not able to find any properties that matched your criteria. Please try again.', 'btoa'); ?></p>
                        
                        <?php endif; wp_reset_postdata(); ?>
                    
                    </div>
                    <!-- /#main-content/ -->
                
                <?php 
				
						//// LEFT SIDEBAR IF IS SET
						if($page_layout == 'left') {
							
							echo '<div id="sidebar-left">';
							get_page_custom_sidebar($post->ID, 'property-left');
							echo '</div>';
							
						}
					
						//// RIGHT SIDEBAR IF IS SET
						if($page_layout == 'right') {
							
							echo '<div id="sidebar-right">';
							get_page_custom_sidebar($post->ID, 'property-right');
							echo '</div>';
							
						}
						
					
					endif;  ?>
            
            </div>
            <!-- /#content .wrapper/ -->
        
        </div>
        <!-- /#content/ -->
        
		<?php
            
            
            ////// NOW IF WE ARE ON MAP VIEW
            if(isset($_GET['view']) && $_GET['view'] == 'map') :
            
            ////////////////////////////////////////////
            //// GETS MAP VIEW
            ////////////////////////////////////////////
            
                get_template_part('includes/properties/single', 'map');
            
            endif;
                
                
        ?>

	
<!-- /FOOTER STARTS/ -->
<?php get_footer(); ?>